<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1 class="extension">extension: bundled:sympol</h1>
  <p/>
  <h1>application: polytope</h1>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:polytope__polytope__linear_symmetries__119" onclick="swap_content('span:polytope__polytope__linear_symmetries__119'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="polytope__polytope__linear_symmetries__119" onclick="swap_content('span:polytope__polytope__linear_symmetries__119'); return false;"><b>linear_symmetries</b></a>
			()  

			<div style="display: inline" id="span:polytope__polytope__linear_symmetries__119" class="foldit"><br/><div class="descr_func"><div class="descr"><p> wrapper function to store the symmetry group in the parent object</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:polytope__polytope__overload_1__397" onclick="swap_content('span:polytope__polytope__overload_1__397'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="polytope__polytope__overload_1__397" onclick="swap_content('span:polytope__polytope__overload_1__397'); return false;"><b>linear_symmetries</b></a>
			(m)  

			
				→ group::Group<div style="display: inline" id="span:polytope__polytope__overload_1__397" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Use sympol to compute the linear symmetries of
 - the rows of a rational matrix <em class="param">m</em>, or
 - the RAYS|VERTICES, FACETS, or POINTS of a rational cone or polytope <em class="param">C</em> (whatever is available, in this order), or
 - the VECTORS|POINTS of a rational vector or point configuration <em class="param">P</em>.
 Except for matrices, the action of the symmetry group is stored inside the parent object.
 In the case of cones, sympol might compute only a subset of the linear symmetry group.
 Sympol, and therefore this function, can only handle rational objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">m</td><td><div class="descr"><div>| Cone <em class="param">C</em> | VectorConfiguration <em class="param">P</em></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#group__Group__12" onclick="unfold('span:group__Group__12');">group::Group</a></td><td><div class="descr"><div>the linear symmetry group, together with a PERMUTATION_ACTION, VERTEX_ACTION, FACETS_ACTION, or VECTOR_ACTION</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li/></ul></div></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:polytope__polytope__representation_conversion_up_to_symmetry__120" onclick="swap_content('span:polytope__polytope__representation_conversion_up_to_symmetry__120'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="polytope__polytope__representation_conversion_up_to_symmetry__120" onclick="swap_content('span:polytope__polytope__representation_conversion_up_to_symmetry__120'); return false;"><b>representation_conversion_up_to_symmetry</b></a>
			(c, a, v_to_h, rayCompMethod)  

			
				→ Pair<div style="display: inline" id="span:polytope__polytope__representation_conversion_up_to_symmetry__120" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the dual description of a polytope up to its linear symmetry group.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#polytope__Cone__84" onclick="unfold('span:polytope__Cone__84');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>the cone (or polytope) whose dual description is to be computed</div></div></td></tr><tr><td><a href="group.html#group__Group__12" onclick="unfold('span:group__Group__12');">group::Group</a></td><td class="param">a</td><td><div class="descr"><div>symmetry group of the cone <em class="param">c</em></div></div></td></tr><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">v_to_h</td><td><div class="descr"><div>true (default) if converting V to H, false if converting H to V</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">rayCompMethod</td><td><div class="descr"><div>specifies sympol's method of ray computation via lrs(0) (default), cdd(1), beneath_and_beyond(2), ppl(3)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Pair__315" onclick="unfold('span:common__Pair__315');">Pair</a></td><td><div class="descr"><div>(Matrix&lt;Rational&gt; vertices/inequalities, Matrix&lt;Rational&gt; lineality/equations)</div></div></td></tr></table></div></div></div>
        </div>
      </li>
    </ul>
  </div>
</div>
