<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: graph</h1>
  <div class="descr">
    <p> The application graph deals with directed and undirected graphs. They can be
 defined abstractly as a set of nodes and <a href="#graph__EDGES__133" onclick="unfold('span:graph__EDGES__133');">EDGES</a> or as part of a larger structure
 for instance as the <a href="polytope.html#polytope__GRAPH__632" onclick="unfold('span:polytope__GRAPH__632');">vertex-edge graph</a> of a polytope.</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__GeometricGraph__74" onclick="swap_content('span:graph__GeometricGraph__74'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__GeometricGraph__74" onclick="swap_content('span:graph__GeometricGraph__74'); return false;">
                  <span class="object">GeometricGraph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__GeometricGraph__74" class="foldit"><b>Category: </b>Combinatorics<br/><div class="undoc">UNDOCUMENTED</div><b>derived from: </b><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph&lt;Undirected&gt;</a><br/><div class="level3"/><h4>Properties of GeometricGraph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__BOUNDING_BOX__105" onclick="swap_content('span:graph__BOUNDING_BOX__105'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__BOUNDING_BOX__105" onclick="swap_content('span:graph__BOUNDING_BOX__105'); return false;"><b>BOUNDING_BOX</b>:
		</a><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a><br/><div style="display: inline" id="span:graph__BOUNDING_BOX__105" class="foldit"><div class="descr"><p> Since a Voronoi polyhedron is unbounded it must be artificially bounded for visualization purposes.
 Allowed is any set of hyperplanes which makes the projection onto the last d-1 coordinates bounded.
 By default, these are the vertical facets of a suitably scaled cube.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__COORDINATES__106" onclick="swap_content('span:graph__COORDINATES__106'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__COORDINATES__106" onclick="swap_content('span:graph__COORDINATES__106'); return false;"><b>COORDINATES</b>:
		</a><a href="common.html#common__NodeMap__329" onclick="unfold('span:common__NodeMap__329');">common::NodeMap</a><br/><div style="display: inline" id="span:graph__COORDINATES__106" class="foldit"><div class="descr"><p> The coordinates of the nodes of the graph.</p></div></div></div></div></li></ul></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Graph__75" onclick="swap_content('span:graph__Graph__75'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__Graph__75" onclick="swap_content('span:graph__Graph__75'); return false;">
                  <span class="object">Graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Graph__75" class="foldit"><b>Category: </b>Combinatorics<br/><div class="descr"><p> A graph with optional node and edge attributes.</p></div><div class="level3"/><h4>Specializations of Graph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__Graph_Undirected__137" onclick="swap_content('span:graph__Graph_Undirected__137'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__Graph_Undirected__137" onclick="swap_content('span:graph__Graph_Undirected__137'); return false;"><b>Graph&lt;Undirected&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:graph__Graph_Undirected__137" class="foldit"><div class="descr"><p>Unnamed full specialization of Graph</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__Graph_Directed__136" onclick="swap_content('span:graph__Graph_Directed__136'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__Graph_Directed__136" onclick="swap_content('span:graph__Graph_Directed__136'); return false;"><b>Graph&lt;Directed&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:graph__Graph_Directed__136" class="foldit"><div class="descr"><p>Unnamed full specialization of Graph</p></div></div></div></div></li></ul><h4>Properties of Graph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__ADJACENCY__115" onclick="swap_content('span:graph__ADJACENCY__115'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__ADJACENCY__115" onclick="swap_content('span:graph__ADJACENCY__115'); return false;"><b>ADJACENCY</b>:
		</a><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">common::Graph</a><br/><div style="display: inline" id="span:graph__ADJACENCY__115" class="foldit"><div class="descr"><p> combinatorial description of the Graph in the form of adjacency matrix</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the adjacency matrix of the complete graph of three nodes, whereby the i-th node is connected to the nodes shown in the i-th row:<code>&gt; print complete(3)-&gt;ADJACENCY;</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__AVERAGE_DEGREE__128" onclick="swap_content('span:graph__AVERAGE_DEGREE__128'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__AVERAGE_DEGREE__128" onclick="swap_content('span:graph__AVERAGE_DEGREE__128'); return false;"><b>AVERAGE_DEGREE</b>:
		</a><a href="common.html#common__Rational__323" onclick="unfold('span:common__Rational__323');">common::Rational</a><br/><div style="display: inline" id="span:graph__AVERAGE_DEGREE__128" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> The average degree of a node</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the average degree of a node for the complete bipartite graph 
 with 1 and 3 nodes:<code>&gt; print complete_bipartite(1,3)-&gt;AVERAGE_DEGREE;</code><code> 3/2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__BICONNECTED_COMPONENTS__130" onclick="swap_content('span:graph__BICONNECTED_COMPONENTS__130'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__BICONNECTED_COMPONENTS__130" onclick="swap_content('span:graph__BICONNECTED_COMPONENTS__130'); return false;"><b>BICONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:graph__BICONNECTED_COMPONENTS__130" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> Biconnected components.
 Every row contains nodes from a single component.
 Articulation nodes may occur in several rows.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the biconnected components of two triangles having
 a single common node: <code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[1,2],[0,2],[0,1,3,4],[2,4],[2,3]]);</code><code>&gt; print $g-&gt;BICONNECTED_COMPONENTS;</code><code> {2 3 4}</code><code> {0 1 2}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__BIPARTITE__125" onclick="swap_content('span:graph__BIPARTITE__125'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__BIPARTITE__125" onclick="swap_content('span:graph__BIPARTITE__125'); return false;"><b>BIPARTITE</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:graph__BIPARTITE__125" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> True if the graph is a bipartite.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following checks if a square (as a graph) is bipartite:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[1,3],[0,2],[1,3],[0,2]]);</code><code>&gt; print $g-&gt;BIPARTITE;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__CHARACTERISTIC_POLYNOMIAL__122" onclick="swap_content('span:graph__CHARACTERISTIC_POLYNOMIAL__122'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__CHARACTERISTIC_POLYNOMIAL__122" onclick="swap_content('span:graph__CHARACTERISTIC_POLYNOMIAL__122'); return false;"><b>CHARACTERISTIC_POLYNOMIAL</b>:
		</a><a href="common.html#common__UniPolynomial__290" onclick="unfold('span:common__UniPolynomial__290');">common::UniPolynomial&lt;Rational, Int&gt;</a><br/><div style="display: inline" id="span:graph__CHARACTERISTIC_POLYNOMIAL__122" class="foldit"><div class="descr"><p> Characteristic polynomial of the adjacency matrix; its roots are the eigenvalues</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the characteristic polynomial of a complete graph with three nodes:<code>&gt; print complete(3)-&gt;CHARACTERISTIC_POLYNOMIAL</code><code> x^3 -3*x -2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__CONNECTED__118" onclick="swap_content('span:graph__CONNECTED__118'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__CONNECTED__118" onclick="swap_content('span:graph__CONNECTED__118'); return false;"><b>CONNECTED</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:graph__CONNECTED__118" class="foldit"><div class="descr"><p> True if the graph is a connected graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following checks whether a graph is connected or not. 
 A single edge with its endpoints is obviously connected. We construct the adjacency matrix beforehand:<code>&gt; $IM = new IncidenceMatrix&lt;Symmetric&gt;([[1],[0]]);</code><code>&gt; print new Graph(ADJACENCY=&gt;$IM)-&gt;CONNECTED;      </code><code> 1</code> The same procedure yields the opposite outcome after adding an isolated node:<code>&gt; $IM = new IncidenceMatrix&lt;Symmetric&gt;([[1],[0],[]]);</code><code>&gt; print new Graph(ADJACENCY=&gt;$IM)-&gt;CONNECTED;      </code><code> </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__CONNECTED_COMPONENTS__109" onclick="swap_content('span:graph__CONNECTED_COMPONENTS__109'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__CONNECTED_COMPONENTS__109" onclick="swap_content('span:graph__CONNECTED_COMPONENTS__109'); return false;"><b>CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:graph__CONNECTED_COMPONENTS__109" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> The connected components.
 Every row contains nodes from a single component.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the connected components of two seperate triangles:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[1,2],[0,2],[0,1],[4,5],[3,5],[3,4]]);</code><code>&gt; print $g-&gt;CONNECTED_COMPONENTS;</code><code> {0 1 2}</code><code> {3 4 5}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__CONNECTIVITY__129" onclick="swap_content('span:graph__CONNECTIVITY__129'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__CONNECTIVITY__129" onclick="swap_content('span:graph__CONNECTIVITY__129'); return false;"><b>CONNECTIVITY</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__CONNECTIVITY__129" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> Node connectivity of the graph, that is, the minimal number of nodes to be removed
 from the graph such that the result is disconnected.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the connectivity of the complete bipartite graph of 2 and
 4 nodes:<code>&gt; print complete_bipartite(2,4)-&gt;CONNECTIVITY;</code><code> 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__DEGREE_SEQUENCE__116" onclick="swap_content('span:graph__DEGREE_SEQUENCE__116'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__DEGREE_SEQUENCE__116" onclick="swap_content('span:graph__DEGREE_SEQUENCE__116'); return false;"><b>DEGREE_SEQUENCE</b>:
		</a><a href="common.html#common__Map__337" onclick="unfold('span:common__Map__337');">common::Map&lt;Int, Int&gt;</a><br/><div style="display: inline" id="span:graph__DEGREE_SEQUENCE__116" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> How many times a node of a given degree occurs</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints how often each degree of a node in the complete bipartite graph
 with 1 and 3 nodes occurs, whereby the first entry of a tuple represents the degree:<code>&gt; print complete_bipartite(1,3)-&gt;DEGREE_SEQUENCE;</code><code> {(1 3) (3 1)}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__DIAMETER__127" onclick="swap_content('span:graph__DIAMETER__127'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__DIAMETER__127" onclick="swap_content('span:graph__DIAMETER__127'); return false;"><b>DIAMETER</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__DIAMETER__127" class="foldit"><div class="descr"><p> The diameter of the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the diameter of the complete bipartite graph of 1 and 3 nodes:<code>&gt; print complete_bipartite(1,3)-&gt;NODE_DEGREES;</code><code> 3 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__EIGENVALUES_LAPLACIAN__112" onclick="swap_content('span:graph__EIGENVALUES_LAPLACIAN__112'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__EIGENVALUES_LAPLACIAN__112" onclick="swap_content('span:graph__EIGENVALUES_LAPLACIAN__112'); return false;"><b>EIGENVALUES_LAPLACIAN</b>:
		</a><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">common::Vector&lt;Float&gt;</a><br/><div style="display: inline" id="span:graph__EIGENVALUES_LAPLACIAN__112" class="foldit"><div class="descr"><p> eigenvalues of the discrete laplacian operator of a graph</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the eigenvalues of the discrete laplacian operator of the complete graph
 with 3 nodes:<code>&gt; print complete(3)-&gt;EIGENVALUES_LAPLACIAN</code><code> 3 -3 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__MAX_CLIQUES__120" onclick="swap_content('span:graph__MAX_CLIQUES__120'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__MAX_CLIQUES__120" onclick="swap_content('span:graph__MAX_CLIQUES__120'); return false;"><b>MAX_CLIQUES</b>:
		</a><a href="common.html#common__PowerSet__342" onclick="unfold('span:common__PowerSet__342');">common::PowerSet&lt;Int&gt;</a><br/><div style="display: inline" id="span:graph__MAX_CLIQUES__120" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> The maximal cliques of the graph, encoded as node sets.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the maximal cliques of two complete graphs with 3 nodes being
 connected by a single edge:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[1,2],[0,2],[0,1,3],[2,4,5],[3,5],[3,4]]);</code><code>&gt; print $g-&gt;MAX_CLIQUES;</code><code> {{0 1 2} {2 3} {3 4 5}}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__NODE_DEGREES__131" onclick="swap_content('span:graph__NODE_DEGREES__131'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__NODE_DEGREES__131" onclick="swap_content('span:graph__NODE_DEGREES__131'); return false;"><b>NODE_DEGREES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:graph__NODE_DEGREES__131" class="foldit"><div class="descr"><p> Degrees of nodes in the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the node degrees of the complete bipartite graph of 1 and 3 nodes:<code>&gt; print complete_bipartite(1,3)-&gt;NODE_DEGREES;</code><code> 3 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__NODE_IN_DEGREES__111" onclick="swap_content('span:graph__NODE_IN_DEGREES__111'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__NODE_IN_DEGREES__111" onclick="swap_content('span:graph__NODE_IN_DEGREES__111'); return false;"><b>NODE_IN_DEGREES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:graph__NODE_IN_DEGREES__111" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> The number of incoming edges of the graph nodes.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the number of incoming edges of a directed version of the complete graph with 3 nodes, type this:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1,2],[2],[]]);</code><code>&gt; print $g-&gt;NODE_IN_DEGREES;</code><code> 0 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__NODE_LABELS__123" onclick="swap_content('span:graph__NODE_LABELS__123'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__NODE_LABELS__123" onclick="swap_content('span:graph__NODE_LABELS__123'); return false;"><b>NODE_LABELS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:graph__NODE_LABELS__123" class="foldit"><div class="descr"><p> Labels of the nodes of the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the node labels of the generalized_johnson_graph with parameters (4,2,1):<code>&gt; print generalized_johnson_graph(4,2,1)-&gt;NODE_LABELS;</code><code> {0 1} {0 2} {0 3} {1 2} {1 3} {2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__NODE_OUT_DEGREES__132" onclick="swap_content('span:graph__NODE_OUT_DEGREES__132'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__NODE_OUT_DEGREES__132" onclick="swap_content('span:graph__NODE_OUT_DEGREES__132'); return false;"><b>NODE_OUT_DEGREES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:graph__NODE_OUT_DEGREES__132" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> The number of outgoing edges of the graph nodes.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the number of incoming edges of a directed version of the complete graph with 3 nodes, type this:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1,2],[2],[]]);</code><code>&gt; print $g-&gt;NODE_OUT_DEGREES;</code><code> 2 1 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__N_CONNECTED_COMPONENTS__113" onclick="swap_content('span:graph__N_CONNECTED_COMPONENTS__113'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__N_CONNECTED_COMPONENTS__113" onclick="swap_content('span:graph__N_CONNECTED_COMPONENTS__113'); return false;"><b>N_CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__N_CONNECTED_COMPONENTS__113" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> Number of <a href="#graph__CONNECTED_COMPONENTS__109" onclick="unfold('span:graph__CONNECTED_COMPONENTS__109');">CONNECTED_COMPONENTS</a> of the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the number of connected components of two seperate 
 triangles:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[1,2],[0,2],[0,1],[4,5],[3,5],[3,4]]);</code><code>&gt; print $g-&gt;N_CONNECTED_COMPONENTS;</code><code> 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__N_EDGES__117" onclick="swap_content('span:graph__N_EDGES__117'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__N_EDGES__117" onclick="swap_content('span:graph__N_EDGES__117'); return false;"><b>N_EDGES</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__N_EDGES__117" class="foldit"><div class="descr"><p> Number of <a href="#graph__EDGES__133" onclick="unfold('span:graph__EDGES__133');">EDGES</a> of the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the number of edges of the complete graph of 4 nodes (which is 4 choose 2):<code>&gt; print complete(4)-&gt;N_EDGES;</code><code> 6</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__N_NODES__114" onclick="swap_content('span:graph__N_NODES__114'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__N_NODES__114" onclick="swap_content('span:graph__N_NODES__114'); return false;"><b>N_NODES</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__N_NODES__114" class="foldit"><div class="descr"><p> Number of nodes of the graph.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the number of nodes of the complete bipartite graph of 1 and 3 nodes (which is the sum of the nodes in each partition):<code>&gt; print complete_bipartite(1,3)-&gt;N_NODES;</code><code> 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__SIGNATURE__124" onclick="swap_content('span:graph__SIGNATURE__124'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__SIGNATURE__124" onclick="swap_content('span:graph__SIGNATURE__124'); return false;"><b>SIGNATURE</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__SIGNATURE__124" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> Difference of the black and white nodes if the graph is <a href="#graph__BIPARTITE__125" onclick="unfold('span:graph__BIPARTITE__125');">BIPARTITE</a>.
 Otherwise -1.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the signature of the complete bipartite graph with 2
 and 7 nodes:<code>&gt; print complete_bipartite(2,7)-&gt;SIGNATURE;</code><code> 5</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__SIGNED_INCIDENCE_MATRIX__121" onclick="swap_content('span:graph__SIGNED_INCIDENCE_MATRIX__121'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__SIGNED_INCIDENCE_MATRIX__121" onclick="swap_content('span:graph__SIGNED_INCIDENCE_MATRIX__121'); return false;"><b>SIGNED_INCIDENCE_MATRIX</b>:
		</a><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">common::SparseMatrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:graph__SIGNED_INCIDENCE_MATRIX__121" class="foldit"><div class="descr"><p> Signed vertex-edge incidence matrix; for undirected graphs, the orientation comes from the lexicographic order of the nodes.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the signed incidence matrix of the cylcic graph with 4 nodes:<code>&gt; print cycle_graph(4)-&gt;SIGNED_INCIDENCE_MATRIX;</code><code> 1 0 1 0</code><code> -1 1 0 0</code><code> 0 -1 0 1</code><code> 0 0 -1 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__STRONGLY_CONNECTED__110" onclick="swap_content('span:graph__STRONGLY_CONNECTED__110'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__STRONGLY_CONNECTED__110" onclick="swap_content('span:graph__STRONGLY_CONNECTED__110'); return false;"><b>STRONGLY_CONNECTED</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:graph__STRONGLY_CONNECTED__110" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> True if the graph is strongly connected</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following checks a graph for strong connectivity. First we construct a graph with 4 nodes 
 consisting of two directed circles, which are connected by a single directed edge. We then and check 
 the property:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0,2],[3],[2]]);</code><code>&gt; print $g-&gt;STRONGLY_CONNECTED;</code><code> </code> The same procedure yields the opposite result for the graph with the reversed edge added in the middle: <code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0,2],[1,3],[2]]);</code><code>&gt; print $g-&gt;STRONGLY_CONNECTED;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__STRONG_COMPONENTS__126" onclick="swap_content('span:graph__STRONG_COMPONENTS__126'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__STRONG_COMPONENTS__126" onclick="swap_content('span:graph__STRONG_COMPONENTS__126'); return false;"><b>STRONG_COMPONENTS</b>:
		</a><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:graph__STRONG_COMPONENTS__126" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> Strong components.
 Every row contains nodes from a single component</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the strong connected components of a graph with 4 nodes consisting of two 
 directed circles and which are connected by a single directed edge, type this:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0,2],[3],[2]]);</code><code>&gt; print $g-&gt;STRONG_COMPONENTS;</code><code> {2 3}</code><code> {0 1}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__TRIANGLE_FREE__119" onclick="swap_content('span:graph__TRIANGLE_FREE__119'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__TRIANGLE_FREE__119" onclick="swap_content('span:graph__TRIANGLE_FREE__119'); return false;"><b>TRIANGLE_FREE</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:graph__TRIANGLE_FREE__119" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Undirected__137">Graph&lt;Undirected&gt;</a></b></div><div class="descr"><p> Determine whether the graph has triangles or not.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following checks if the petersen graph contains triangles:<code>&gt; print petersen()-&gt;TRIANGLE_FREE;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__WEAKLY_CONNECTED__108" onclick="swap_content('span:graph__WEAKLY_CONNECTED__108'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__WEAKLY_CONNECTED__108" onclick="swap_content('span:graph__WEAKLY_CONNECTED__108'); return false;"><b>WEAKLY_CONNECTED</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:graph__WEAKLY_CONNECTED__108" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> True if the graph is weakly connected</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following checks a graph for weak connectivity. First we construct a graph with 4 
 nodes consisting of two directed circles, which are connected by a single directed edge. We then 
 check the property:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0,2],[3],[2]]);</code><code>&gt; print $g-&gt;WEAKLY_CONNECTED;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__WEAKLY_CONNECTED_COMPONENTS__107" onclick="swap_content('span:graph__WEAKLY_CONNECTED_COMPONENTS__107'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__WEAKLY_CONNECTED_COMPONENTS__107" onclick="swap_content('span:graph__WEAKLY_CONNECTED_COMPONENTS__107'); return false;"><b>WEAKLY_CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:graph__WEAKLY_CONNECTED_COMPONENTS__107" class="foldit"><div class="descr"><b>Only defined for <a href="#graph__Graph_Directed__136">Graph&lt;Directed&gt;</a></b></div><div class="descr"><p> Weakly connected components.
 Every row contains nodes from a single component</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the weakly connected components of a graph with 4 nodes consisting of two 
 directed circles, which are connected by a single directed edge, type this:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0,2],[3],[2]]);</code><code>&gt; print $g-&gt;WEAKLY_CONNECTED_COMPONENTS;</code><code> {0 1 2 3}</code> The same procedure yields the opposite outcome using the same graph without the linking edge between
 the two circles:<code>&gt; $g = new Graph&lt;Directed&gt;(ADJACENCY=&gt;[[1],[0],[3],[2]]);</code><code>&gt; print $g-&gt;WEAKLY_CONNECTED_COMPONENTS;</code><code> {0 1}</code><code> {2 3}</code></div></li></ul></div></div></div></div></li></ul><h4>User Methods of Graph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__EDGES__133" onclick="swap_content('span:graph__EDGES__133'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__EDGES__133" onclick="swap_content('span:graph__EDGES__133'); return false;"><b>EDGES</b></a>
			()  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:graph__EDGES__133" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Explore the graph as a sequence of its edges.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__Visualization__134" onclick="swap_content('span:graph__Visualization__134'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="graph__Visualization__134" onclick="swap_content('span:graph__Visualization__134'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:graph__Visualization__134" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__VISUAL__153" onclick="swap_content('span:graph__VISUAL__153'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__VISUAL__153" onclick="swap_content('span:graph__VISUAL__153'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Graph<div style="display: inline" id="span:graph__VISUAL__153" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the graph.
 Decorations may include <code>Coord</code>, disabling the default spring embedder.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the spring embedder</div></div></td></tr><tr><td>option list:</td><td><a href="#graph__Visual__Graph__decorations__31" onclick="unfold('span:graph__Visual__Graph__decorations__31');">Visual::Graph::decorations</a></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Visual__Graph__71" onclick="unfold('span:graph__Visual__Graph__71');">Visual::Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following visualizes the petersen graph with default settings:<code>&gt; petersen()-&gt;VISUAL;</code> The following shows some modified visualization style of the same graph:<code>&gt; petersen()-&gt;VISUAL(NodeColor=&gt;"green",NodeThickness=&gt;6,EdgeColor=&gt;"purple",EdgeThickness=&gt;4);</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of Graph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__NodePerm__135" onclick="swap_content('span:graph__NodePerm__135'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__NodePerm__135" onclick="swap_content('span:graph__NodePerm__135'); return false;"><b>NodePerm</b></a><div style="display: inline" id="span:graph__NodePerm__135" class="foldit"><div class="descr"><p> permutation of nodes</p></div></div></div></div></li></ul></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Lattice__73" onclick="swap_content('span:graph__Lattice__73'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__Lattice__73" onclick="swap_content('span:graph__Lattice__73'); return false;">
                  <span class="object">Lattice</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Lattice__73" class="foldit"><b>Category: </b>Combinatorics<br/><div class="descr"><p> A Lattice is a poset where join and meet exist for any two elements.
 It is realized as a directed graph, such that an arbitrar decoration is attached
 to each node.
 It is assumed that this decoration always contains at least a face (a Set&lt;Int&gt;) and
 a rank (an Int). 
 Lattices occur in two different flavors: <a href="#graph__Sequential__30" onclick="unfold('span:graph__Sequential__30');">Sequential</a> and <a href="#graph__Nonsequential__29" onclick="unfold('span:graph__Nonsequential__29');">Nonsequential</a>. They are sequential,
 if it is clear that all nodes occur sorted according to rank (forwards or backwards).
 Otherwise they should be declared nonsequential. Sequential Lattices are more efficient in terms
 of storing them in XML files.</p></div><b>derived from: </b><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph&lt;Directed&gt;</a><br/><div class="level3"/><h4>Properties of Lattice</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__Combinatorics__102" onclick="swap_content('span:graph__Combinatorics__102'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="graph__Combinatorics__102" onclick="swap_content('span:graph__Combinatorics__102'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:graph__Combinatorics__102" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__BOTTOM_NODE__146" onclick="swap_content('span:graph__BOTTOM_NODE__146'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__BOTTOM_NODE__146" onclick="swap_content('span:graph__BOTTOM_NODE__146'); return false;"><b>BOTTOM_NODE</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__BOTTOM_NODE__146" class="foldit"><div class="descr"><p> The index of the bottom node</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the bottom node of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;BOTTOM_NODE;</code><code> 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__DECORATION__141" onclick="swap_content('span:graph__DECORATION__141'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__DECORATION__141" onclick="swap_content('span:graph__DECORATION__141'); return false;"><b>DECORATION</b>:
		</a><a href="common.html#common__NodeMap__329" onclick="unfold('span:common__NodeMap__329');">common::NodeMap</a><br/><div style="display: inline" id="span:graph__DECORATION__141" class="foldit"><div class="descr"><p> This is the data associated to each node. The prototype for this is <a href="#graph__BasicDecoration__28" onclick="unfold('span:graph__BasicDecoration__28');">BasicDecoration</a>,
 which consists of properties face and rank.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints this property of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;DECORATION;</code><code> ({} 0)</code><code> ({0} 1)</code><code> ({1} 1)</code><code> ({2} 1)</code><code> ({1 2} 2)</code><code> ({0 2} 2)</code><code> ({0 1} 2)</code><code> ({0 1 2} 3)</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__DIMS__142" onclick="swap_content('span:graph__DIMS__142'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__DIMS__142" onclick="swap_content('span:graph__DIMS__142'); return false;"><b>DIMS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:graph__DIMS__142" class="foldit"><div class="descr"><p> Kept only for backwards compatibility. Basically encodes the <a href="#graph__INVERSE_RANK_MAP__144" onclick="unfold('span:graph__INVERSE_RANK_MAP__144');">INVERSE_RANK_MAP</a> in 
 FaceLattice objects prior to 3.0.7</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__FACES__143" onclick="swap_content('span:graph__FACES__143'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__FACES__143" onclick="swap_content('span:graph__FACES__143'); return false;"><b>FACES</b>:
		</a><a href="common.html#common__NodeMap__329" onclick="unfold('span:common__NodeMap__329');">common::NodeMap&lt;Directed, Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:graph__FACES__143" class="foldit"><div class="descr"><p> The face of each node, realized as a NodeMap. 
 This property is kept for two reasons: As a convenient way to access only the face part
 of the decoration (in this case the property is temporary) and
 for reasons of backwards compatibility.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the faces of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;FACES;</code><code> {}</code><code> {0}</code><code> {1}</code><code> {2}</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code><code> {0 1 2}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__INVERSE_RANK_MAP__144" onclick="swap_content('span:graph__INVERSE_RANK_MAP__144'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__INVERSE_RANK_MAP__144" onclick="swap_content('span:graph__INVERSE_RANK_MAP__144'); return false;"><b>INVERSE_RANK_MAP</b>:
		</a><a href="#graph__InverseRankMap__27" onclick="unfold('span:graph__InverseRankMap__27');">InverseRankMap</a><br/><div style="display: inline" id="span:graph__INVERSE_RANK_MAP__144" class="foldit"><div class="descr"><p> This property provides an efficient way to enumerate all nodes of a given rank.
 Internally these are realized differently, depending on whether the Lattice 
 is <a href="#graph__Sequential__30" onclick="unfold('span:graph__Sequential__30');">Sequential</a> or <a href="#graph__Nonsequential__29" onclick="unfold('span:graph__Nonsequential__29');">Nonsequential</a>. 
 Both provide the same user methods though.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints this property of the face lattice of the 2-simplex (triangle), where the tuples represent the ranges of nodes belonging to a specific rank:<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;INVERSE_RANK_MAP;</code><code> {(0 (0 0)) (1 (1 3)) (2 (4 6)) (3 (7 7))}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__TOP_NODE__145" onclick="swap_content('span:graph__TOP_NODE__145'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__TOP_NODE__145" onclick="swap_content('span:graph__TOP_NODE__145'); return false;"><b>TOP_NODE</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:graph__TOP_NODE__145" class="foldit"><div class="descr"><p> The index of the top node</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the top node of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;TOP_NODE;</code><code> 7</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of Lattice</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__Combinatorics__103" onclick="swap_content('span:graph__Combinatorics__103'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="graph__Combinatorics__103" onclick="swap_content('span:graph__Combinatorics__103'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:graph__Combinatorics__103" class="foldit"><div class="descr"><p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__dual_faces__150" onclick="swap_content('span:graph__dual_faces__150'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__dual_faces__150" onclick="swap_content('span:graph__dual_faces__150'); return false;"><b>dual_faces</b></a>
			()  

			
				→ Array&lt;Set&lt;Int&gt; &gt;<div style="display: inline" id="span:graph__dual_faces__150" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt; &gt;</a></td><td><div class="descr"><div>For each node, contains the indices of maximal nodes it lies below.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the dual faces of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;dual_faces();</code><code> {0 1 2}</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code><code> {0}</code><code> {1}</code><code> {2}</code><code> {}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__nodes_of_rank__147" onclick="swap_content('span:graph__nodes_of_rank__147'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__nodes_of_rank__147" onclick="swap_content('span:graph__nodes_of_rank__147'); return false;"><b>nodes_of_rank</b></a>
			(r)  

			
				→ List&lt;Int&gt;<div style="display: inline" id="span:graph__nodes_of_rank__147" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List&lt;Int&gt;</a></td><td><div class="descr"><div>All indices of nodes of rank r</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the nodes of rank 1 of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;nodes_of_rank(1);</code><code> {1 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__nodes_of_rank_range__149" onclick="swap_content('span:graph__nodes_of_rank_range__149'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__nodes_of_rank_range__149" onclick="swap_content('span:graph__nodes_of_rank_range__149'); return false;"><b>nodes_of_rank_range</b></a>
			(r1, r2)  

			
				→ List&lt;Int&gt;<div style="display: inline" id="span:graph__nodes_of_rank_range__149" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r1</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List&lt;Int&gt;</a></td><td><div class="descr"><div>or Set&lt;Int&gt; All indices of rank r1 &lt;= r &lt;= r2</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the nodes with rank between 1 and 2 of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;nodes_of_rank_range(1,2);</code><code> {1 2 3 4 5 6}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__rank__148" onclick="swap_content('span:graph__rank__148'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__rank__148" onclick="swap_content('span:graph__rank__148'); return false;"><b>rank</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:graph__rank__148" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td><div class="descr"><div>The rank of the <a href="#graph__TOP_NODE__145" onclick="unfold('span:graph__TOP_NODE__145');">TOP_NODE</a></div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the rank of the top node of the face lattice of the 2-simplex (triangle):<code>&gt; print simplex(2)-&gt;HASSE_DIAGRAM-&gt;rank();</code><code> 3</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__Visualization__104" onclick="swap_content('span:graph__Visualization__104'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="graph__Visualization__104" onclick="swap_content('span:graph__Visualization__104'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:graph__Visualization__104" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:graph__VISUAL__152" onclick="swap_content('span:graph__VISUAL__152'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__VISUAL__152" onclick="swap_content('span:graph__VISUAL__152'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Lattice<div style="display: inline" id="span:graph__VISUAL__152" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the Lattice.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td><a href="#graph__Visual__Lattice__decorations__32" onclick="unfold('span:graph__Visual__Lattice__decorations__32');">Visual::Lattice::decorations</a></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Visual__Lattice__72" onclick="unfold('span:graph__Visual__Lattice__72');">Visual::Lattice</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following visualizes the face lattice of the 2-simplex (triangle) with default settings:<code>&gt; simplex(2)-&gt;HASSE_DIAGRAM-&gt;VISUAL;</code> The following shows some modified visualization style of the same lattice:<code>&gt; simplex(2)-&gt;HASSE_DIAGRAM-&gt;VISUAL(NodeColor=&gt;"green",EdgeThickness=&gt;2,EdgeColor=&gt;"purple");</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph__VISUAL_DUAL__151" onclick="swap_content('span:graph__VISUAL_DUAL__151'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph__VISUAL_DUAL__151" onclick="swap_content('span:graph__VISUAL_DUAL__151'); return false;"><b>VISUAL_DUAL</b></a>
			()  

			
				→ Visual::Lattice<div style="display: inline" id="span:graph__VISUAL_DUAL__151" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the dual Lattice.
 This only produces meaningful results for lattice where the
 codimension one nodes generate the lattice under intersection.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td><a href="#graph__Visual__Lattice__decorations__32" onclick="unfold('span:graph__Visual__Lattice__decorations__32');">Visual::Lattice::decorations</a></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Visual__Lattice__72" onclick="unfold('span:graph__Visual__Lattice__72');">Visual::Lattice</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following visualizes the dual face lattice of the 2-simplex (triangle) with default settings:<code>&gt; simplex(2)-&gt;HASSE_DIAGRAM-&gt;VISUAL_DUAL;</code> The following shows some modified visualization style of the same lattice:<code>&gt; simplex(2)-&gt;HASSE_DIAGRAM-&gt;VISUAL_DUAL(NodeColor=&gt;"green",EdgeThickness=&gt;2,EdgeColor=&gt;"purple");</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li></ul></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Lattice__25" onclick="swap_content('span:graph__Lattice__25'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__Lattice__25" onclick="swap_content('span:graph__Lattice__25'); return false;">
                  <span class="object">Lattice</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Lattice__25" class="foldit">
              <div class="level3"/>
              <h4>Specializations of Lattice</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__Lattice__BasicLattice__100" onclick="swap_content('span:graph__Lattice__BasicLattice__100'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__Lattice__BasicLattice__100" onclick="swap_content('span:graph__Lattice__BasicLattice__100'); return false;">
                        <b>Lattice::BasicLattice</b>
                      </a>
                      <a href="" onclick="unfold('span:');"/>
                      <br/>
                      <div style="display: inline" id="span:graph__Lattice__BasicLattice__100" class="foldit">
                        <div class="undoc">
                          <p>UNDOCUMENTED</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Visual__Graph__71" onclick="swap_content('span:graph__Visual__Graph__71'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__Visual__Graph__71" onclick="swap_content('span:graph__Visual__Graph__71'); return false;">
                  <span class="object">Visual::Graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Visual__Graph__71" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Collection of nodes and edges of an abstract graph amended with visual decoration attributes
 and an optional embedding in 3-d.</p></div><b>derived from: </b><a href="common.html#common__Visual__Object__270" onclick="unfold('span:common__Visual__Object__270');">Visual::Object</a><br/><div class="level3"/></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Visual__Lattice__72" onclick="swap_content('span:graph__Visual__Lattice__72'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="graph__Visual__Lattice__72" onclick="swap_content('span:graph__Visual__Lattice__72'); return false;">
                  <span class="object">Visual::Lattice</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Visual__Lattice__72" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Collection of nodes (representing faces of a face lattice) and edges (representing the inclusion relation)
 amended with visual decoration attributes and an optional embedding in 2-d.</p></div><b>derived from: </b><a href="#graph__Visual__Graph__71" onclick="unfold('span:graph__Visual__Graph__71');">Visual::Graph</a><br/><div class="level3"/></div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Combinatorics__10" onclick="swap_content('span:graph__Combinatorics__10'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Combinatorics__10" onclick="swap_content('span:graph__Combinatorics__10'); return false;">
                  <span class="category">Combinatorics</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Combinatorics__10" class="foldit">
              <div class="descr">
                <p> These functions capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__all_spanningtrees__38" onclick="swap_content('span:graph__all_spanningtrees__38'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__all_spanningtrees__38" onclick="swap_content('span:graph__all_spanningtrees__38'); return false;"><b>all_spanningtrees</b></a>
			(G)  

			
				→ Array&lt;Set&lt;int&gt;&gt;<div style="display: inline" id="span:graph__all_spanningtrees__38" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate all spanning trees for a connected graph along the lines of
</p><blockquote><div> Donald E. Knuth:</div><div> The Art of Computer Programming</div><div> Volume 4, Fascicle 4, 24-31, 2006, Pearson Education Inc.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>beeing connected</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;int&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints all spanning trees of the complete graph with
 3 nodes, whereby each line represents a single spanning tree as an edge set:<code>&gt; print all_spanningtrees(complete(3)-&gt;ADJACENCY);</code><code> {0 1}</code><code> {1 2}</code><code> {0 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__complement_graph__46" onclick="swap_content('span:graph__complement_graph__46'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__complement_graph__46" onclick="swap_content('span:graph__complement_graph__46'); return false;"><b>complement_graph</b></a>
			(G)  

			
				→ Graph<div style="display: inline" id="span:graph__complement_graph__46" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">complement graph</em> of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjancency matrix of the complement graph of the star graph with 4 nodes: <code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[],[0],[0],[0]]);</code><code>&gt; print complement_graph($g)-&gt;ADJACENCY;</code><code> {}</code><code> {2 3}</code><code> {1 3}</code><code> {1 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__connectivity__47" onclick="swap_content('span:graph__connectivity__47'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__connectivity__47" onclick="swap_content('span:graph__connectivity__47'); return false;"><b>connectivity</b></a>
			(graph)  

			
				→ Int<div style="display: inline" id="span:graph__connectivity__47" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <a href="#graph__CONNECTIVITY__129" onclick="unfold('span:graph__CONNECTIVITY__129');">CONNECTIVITY</a> of a given <em class="param">graph</em> using the Ford-Fulkerson flow algorithm.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph&lt;Undirected&gt;</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compute the connectivity of the vertex-edge graph of the square:<code>&gt; print connectivity(cube(2)-&gt;GRAPH-&gt;ADJACENCY);</code><code> 2</code> This means that at least two nodes or edges need to be removed in order
 for the resulting graph not to be connected anymore.</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__eigenvalues_laplacian__40" onclick="swap_content('span:graph__eigenvalues_laplacian__40'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__eigenvalues_laplacian__40" onclick="swap_content('span:graph__eigenvalues_laplacian__40'); return false;"><b>eigenvalues_laplacian</b></a>
			(G)  

			
				→ Vector&lt;Float&gt;<div style="display: inline" id="span:graph__eigenvalues_laplacian__40" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the eigenvalues of the discrete laplacian a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector&lt;Float&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = eigenvalues_laplacian(cycle_graph(4));</code><code>&gt; print $v;</code><code> 4 2 2 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__83" onclick="swap_content('span:graph__overload_1__83'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__83" onclick="swap_content('span:graph__overload_1__83'); return false;"><b>eigenvalues_laplacian</b></a>
			(G)  

			
				→ Vector&lt;Float&gt;<div style="display: inline" id="span:graph__overload_1__83" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the eigenvalues of the discrete laplacian a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector&lt;Float&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = eigenvalues_laplacian(cycle_graph(4)-&gt;ADJACENCY);</code><code>&gt; print $v;</code><code> 4 2 2 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__find_lattice_permutation__43" onclick="swap_content('span:graph__find_lattice_permutation__43'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__find_lattice_permutation__43" onclick="swap_content('span:graph__find_lattice_permutation__43'); return false;"><b>find_lattice_permutation</b></a>
			(L1, L2, permutation)  

			
				→ Permutation<div style="display: inline" id="span:graph__find_lattice_permutation__43" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This takes two lattices and checks whether they are isomorphic, possibly after applying
 a permutation to the faces. This function only compares faces and ranks of nodes to determine
 isomorphism</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Lattice__73" onclick="unfold('span:graph__Lattice__73');">Lattice</a></td><td class="param">L1</td><td><div class="descr"><div>A lattice</div></div></td></tr><tr><td><a href="#graph__Lattice__73" onclick="unfold('span:graph__Lattice__73');">Lattice</a></td><td class="param">L2</td><td><div class="descr"><div>Another lattice, having the same decoration and sequential type</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Permutation</a></td><td class="param">permutation</td><td><div class="descr"><div>A permutation to be applied to the faces. If empty, 
 the identity permutation is chosen</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Permutation</a></td><td><div class="descr"><div>A permutation on the nodes of the graph, if the lattices are isomorphic.
 Otherwise an exeption is thrown.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__graph_homomorphisms__36" onclick="swap_content('span:graph__graph_homomorphisms__36'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__graph_homomorphisms__36" onclick="swap_content('span:graph__graph_homomorphisms__36'); return false;"><b>graph_homomorphisms</b></a>
			(G, H)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:graph__graph_homomorphisms__36" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Enumerate all homomorphisms (edge-preserving maps) from one graph to another</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">H</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">allow_loops</td><td><div class="descr"><div>Should edges of G be allowed to collapse to a loop when mapped to H? Default 0</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td class="param">prescribed_map</td><td><div class="descr"><div>A vector of length G.nodes() with those images in G that should be fixed. Negative entries will be enumerated over.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__incidence_matrix__41" onclick="swap_content('span:graph__incidence_matrix__41'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__incidence_matrix__41" onclick="swap_content('span:graph__incidence_matrix__41'); return false;"><b>incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:graph__incidence_matrix__41" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = incidence_matrix(cycle_graph(4));</code><code>&gt; print $I</code><code> 1 0 1 0</code><code> 1 1 0 0</code><code> 0 1 0 1</code><code> 0 0 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__85" onclick="swap_content('span:graph__overload_1__85'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__85" onclick="swap_content('span:graph__overload_1__85'); return false;"><b>incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:graph__overload_1__85" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = incidence_matrix(cycle_graph(4)-&gt;ADJACENCY);</code><code>&gt; print $I;</code><code> 1 0 1 0</code><code> 1 1 0 0</code><code> 0 1 0 1</code><code> 0 0 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__laplacian__37" onclick="swap_content('span:graph__laplacian__37'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__laplacian__37" onclick="swap_content('span:graph__laplacian__37'); return false;"><b>laplacian</b></a>
			(G)  

			
				→ SparseMatrix&lt;Rational&gt;<div style="display: inline" id="span:graph__laplacian__37" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Rational&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = laplacian(cycle_graph(4));</code><code>&gt; print $I;</code><code> 2 -1 0 -1</code><code> -1 2 -1 0</code><code> 0 -1 2 -1</code><code> -1 0 -1 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__81" onclick="swap_content('span:graph__overload_1__81'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__81" onclick="swap_content('span:graph__overload_1__81'); return false;"><b>laplacian</b></a>
			(G)  

			
				→ SparseMatrix&lt;Rational&gt;<div style="display: inline" id="span:graph__overload_1__81" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Rational&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = laplacian(cycle_graph(4)-&gt;ADJACENCY);</code><code>&gt; print $I;</code><code> 2 -1 0 -1</code><code> -1 2 -1 0</code><code> 0 -1 2 -1</code><code> -1 0 -1 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__lattice_of_chains__42" onclick="swap_content('span:graph__lattice_of_chains__42'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__lattice_of_chains__42" onclick="swap_content('span:graph__lattice_of_chains__42'); return false;"><b>lattice_of_chains</b></a>
			(lattice)  

			
				→ Lattice&lt;BasicDecoration&gt;<div style="display: inline" id="span:graph__lattice_of_chains__42" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given lattice, this computes the lattice of chains from bottom to top node.
 The result always includes an artificial top node.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Lattice__25" onclick="unfold('span:graph__Lattice__25');">Lattice&lt;Decoration&gt;</a></td><td class="param">lattice</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Lattice__25" onclick="unfold('span:graph__Lattice__25');">Lattice&lt;BasicDecoration&gt;</a></td><td><div class="descr"><div>Faces are sets of nodes of elements in the original
 lattice forming a chain, ranks are lenghts of chains</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints all faces with their ranks of the lattice of
 chains of the face lattice of the 0-simplex (a single point):<code>&gt; print lattice_of_chains(simplex(0)-&gt;HASSE_DIAGRAM)-&gt;DECORATION;</code><code> ({-1} 3)</code><code> ({0 1} 2)</code><code> ({0} 1)</code><code> ({1} 1)</code><code> ({} 0)</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__line_graph__45" onclick="swap_content('span:graph__line_graph__45'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__line_graph__45" onclick="swap_content('span:graph__line_graph__45'); return false;"><b>line_graph</b></a>
			(G)  

			
				→ Graph<div style="display: inline" id="span:graph__line_graph__45" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">line graph</em> of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjacency matrix of the line graph of the star graph with 4 nodes:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[],[0],[0],[0]]);</code><code>&gt; print line_graph($g-&gt;ADJACENCY);</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__maximal_chains_of_lattice__35" onclick="swap_content('span:graph__maximal_chains_of_lattice__35'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__maximal_chains_of_lattice__35" onclick="swap_content('span:graph__maximal_chains_of_lattice__35'); return false;"><b>maximal_chains_of_lattice</b></a>
			(F)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:graph__maximal_chains_of_lattice__35" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the set of maximal chains of a Lattice object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Lattice__73" onclick="unfold('span:graph__Lattice__73');">Lattice</a></td><td class="param">F</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">ignore_bottom_node</td><td><div class="descr"><div>If true, the bottom node is not included in the chains. False by default</div></div></td></tr><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">ignore_top_node</td><td><div class="descr"><div>If true, the top node is not included in the chains. False by default</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td><div class="descr"><div>Each row is a maximal chain, 
 indices refer to nodes of the Lattice</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints all maximal chains of the face lattice of the
 1-simplex (an edge):<code>&gt; print maximal_chains_of_lattice(simplex(1)-&gt;HASSE_DIAGRAM);</code><code> {0 1 3}</code><code> {0 2 3}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__n_graph_homomorphisms__39" onclick="swap_content('span:graph__n_graph_homomorphisms__39'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__n_graph_homomorphisms__39" onclick="swap_content('span:graph__n_graph_homomorphisms__39'); return false;"><b>n_graph_homomorphisms</b></a>
			(G, H)  

			
				→ Int<div style="display: inline" id="span:graph__n_graph_homomorphisms__39" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Count all homomorphisms (edge-preserving maps) from one graph to another.
 They are in fact enumerated, but only the count is kept track of using constant memory.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">H</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">allow_loops</td><td><div class="descr"><div>Should edges of G be allowed to collapse to a loop when mapped to H? Default 0</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td class="param">prescribed_map</td><td><div class="descr"><div>A vector of length G.nodes() with those images in G that should be fixed. Negative entries will be enumerated over.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__signed_incidence_matrix__44" onclick="swap_content('span:graph__signed_incidence_matrix__44'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__signed_incidence_matrix__44" onclick="swap_content('span:graph__signed_incidence_matrix__44'); return false;"><b>signed_incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:graph__signed_incidence_matrix__44" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the signed vertex-edge incidence matrix of the graph.
 in case of undirected graphs, the orientation of the edges is induced by the order of the nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = signed_incidence_matrix(cycle_graph(4));</code><code>&gt; print $I;</code><code> 1 0 1 0</code><code> -1 1 0 0</code><code> 0 -1 0 1</code><code> 0 0 -1 -1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__87" onclick="swap_content('span:graph__overload_1__87'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__87" onclick="swap_content('span:graph__overload_1__87'); return false;"><b>signed_incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:graph__overload_1__87" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = signed_incidence_matrix(cycle_graph(4)-&gt;ADJACENCY);</code><code>&gt; print $I;</code><code> 1 0 1 0</code><code> -1 1 0 0</code><code> 0 -1 0 1</code><code> 0 0 -1 -1</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Comparing__12" onclick="swap_content('span:graph__Comparing__12'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Comparing__12" onclick="swap_content('span:graph__Comparing__12'); return false;">
                  <span class="category">Comparing</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Comparing__12" class="foldit">
              <div class="descr">
                <p> These clients are concerned with automorphisms of graphs and determining whether graphs are isomorphic.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__automorphisms__55" onclick="swap_content('span:graph__automorphisms__55'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__automorphisms__55" onclick="swap_content('span:graph__automorphisms__55'); return false;"><b>automorphisms</b></a>
			(graph)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:graph__automorphisms__55" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a node permutation.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">We first create the vertex-edge graph of the square and then print its automorphism group:<code>&gt; $g=new props::Graph(cube(2)-&gt;GRAPH-&gt;ADJACENCY);</code><code>&gt; print automorphisms($g);</code><code> 0 2 1 3</code><code> 1 0 3 2</code> These two permutations generate the group of all node permutations
 that preserve vertex-edge connectivity.</div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__90" onclick="swap_content('span:graph__overload_1__90'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__90" onclick="swap_content('span:graph__overload_1__90'); return false;"><b>automorphisms</b></a>
			(m)  

			
				→ Array&lt;Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:graph__overload_1__90" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the non-symmetric incidence matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a permutation of its rows (<code>first</code>) and columns (<code>second</code>).</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The group of combinatorial automorphisms of the 3-cube coincides with
 the group of (bipartite) graph automorphisms of the vertex/facet incidences.
 To print this group, type this:<code>&gt; print automorphisms(cube(3)-&gt;VERTICES_IN_FACETS);</code><code> (&lt;0 1 4 5 2 3&gt; &lt;0 1 4 5 2 3 6 7&gt;)</code><code> (&lt;2 3 0 1 4 5&gt; &lt;0 2 1 3 4 6 5 7&gt;)</code><code> (&lt;1 0 2 3 4 5&gt; &lt;1 0 3 2 5 4 7 6&gt;)</code> This means that the group is generated by three elements, one per line in the output.
 Each is written as a pair of permutations. The first gives the action on the facets,
 the second the action on the vertices.</div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_2__89" onclick="swap_content('span:graph__overload_2__89'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_2__89" onclick="swap_content('span:graph__overload_2__89'); return false;"><b>automorphisms</b></a>
			(m)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:graph__overload_2__89" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the symmetric incidence matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix&lt;Symmetric&gt;</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a permutation of its rows (=columns).</div></div></td></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__canonical_form__60" onclick="swap_content('span:graph__canonical_form__60'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__canonical_form__60" onclick="swap_content('span:graph__canonical_form__60'); return false;"><b>canonical_form</b></a>
			(g)  

			
				→ props::Graph<div style="display: inline" id="span:graph__canonical_form__60" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find a canonical representation of a graph <em class="param">g</em>.
 Warning: This representation can depend on the extension (bliss/nauty) used, its version and configuration, as well as the hardware!</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">g</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td/></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__canonical_hash__54" onclick="swap_content('span:graph__canonical_hash__54'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__canonical_hash__54" onclick="swap_content('span:graph__canonical_hash__54'); return false;"><b>canonical_hash</b></a>
			(g, k)  

			
				→ Int<div style="display: inline" id="span:graph__canonical_hash__54" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a hash for a graph <em class="param">g</em> independent of the node ordering.
 Warning: This hash can depend on the extension (bliss/nauty) used, its version and configuration, as well as the hardware!
 Nauty requires an integer key <em class="param">k</em> as input, bliss will ignore the key.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">g</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">k</td><td><div class="descr"><div>a key for the hash computation, default value 2922320</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td/></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__find_node_permutation__57" onclick="swap_content('span:graph__find_node_permutation__57'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__find_node_permutation__57" onclick="swap_content('span:graph__find_node_permutation__57'); return false;"><b>find_node_permutation</b></a>
			(graph1, graph2)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:graph__find_node_permutation__57" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the node permutation mapping <em class="param">graph1</em> to <em class="param">graph2</em>.
 If the given graphs are not isomorphic, throw an expection.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph1</td><td/></tr><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__find_row_col_permutation__56" onclick="swap_content('span:graph__find_row_col_permutation__56'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__find_row_col_permutation__56" onclick="swap_content('span:graph__find_row_col_permutation__56'); return false;"><b>find_row_col_permutation</b></a>
			(m1, m2)  

			
				→ Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;<div style="display: inline" id="span:graph__find_row_col_permutation__56" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the permutations mapping the non-symmetric incidence matrix <em class="param">m1</em> to <em class="param">m2</em>.
 If the given matrices are not isomorphic, throw an expection.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m1</td><td/></tr><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Pair__315" onclick="unfold('span:common__Pair__315');">Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div><code>first</code> permutation applies to the rows, <code>second</code> applies to the columns</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $m1 = new IncidenceMatrix([1,2],[5,3]);</code><code>&gt; $m2 = new IncidenceMatrix([4,3],[1,5]);</code><code>&gt; print find_row_col_permutation($m1,$m2);</code><code> &lt;1 0&gt; &lt;0 1 4 3 5 2&gt;</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__isomorphic__59" onclick="swap_content('span:graph__isomorphic__59'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__isomorphic__59" onclick="swap_content('span:graph__isomorphic__59'); return false;"><b>isomorphic</b></a>
			(IncidenceMatrix1, IncidenceMatrix2)  

			
				→ Bool<div style="display: inline" id="span:graph__isomorphic__59" class="foldit"><br/><div class="descr_func"><div class="descr"><p> true if <em class="param">IncidenceMatrix1</em> and <em class="param">IncidenceMatrix2</em> are isomorphic.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td class="param">IncidenceMatrix1</td><td/></tr><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td class="param">IncidenceMatrix2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compare the incidence matrices of the 2-dimensional cube and cross polytope:<code>&gt; $I1 = cube(2)-&gt;VERTICES_IN_FACETS;</code><code>&gt; $I2 = cross(2)-&gt;VERTICES_IN_FACETS;</code><code>&gt; print isomorphic($I1,$I2);</code><code> 1</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__overload_1__92" onclick="swap_content('span:graph__overload_1__92'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__overload_1__92" onclick="swap_content('span:graph__overload_1__92'); return false;"><b>isomorphic</b></a>
			(graph1, graph2)  

			
				→ Bool<div style="display: inline" id="span:graph__overload_1__92" class="foldit"><br/><div class="descr_func"><div class="descr"><p> true if <em class="param">graph1</em> and <em class="param">graph2</em> are isomorphic.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph1</td><td/></tr><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compare the vertex-edge graph of the square with the cycle graph on 4 nodes:<code>&gt; $g1 = cube(2)-&gt;GRAPH-&gt;ADJACENCY;</code><code>&gt; $g2 = cycle_graph(4)-&gt;ADJACENCY;</code><code>&gt; print isomorphic($g1,$g2);</code><code> 1</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__n_automorphisms__58" onclick="swap_content('span:graph__n_automorphisms__58'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__n_automorphisms__58" onclick="swap_content('span:graph__n_automorphisms__58'); return false;"><b>n_automorphisms</b></a>
			(graph)  

			
				→ Int<div style="display: inline" id="span:graph__n_automorphisms__58" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the order of the automorphism group of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td><div class="descr"><div>the order of the automorphism group</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print n_automorphisms(cycle_graph(5)-&gt;ADJACENCY);</code><code> 2</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Other__9" onclick="swap_content('span:graph__Other__9'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Other__9" onclick="swap_content('span:graph__Other__9'); return false;">
                  <span class="category">Other</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Other__9" class="foldit">
              <div class="descr">
                <p> Special purpose functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__edge_lengths__33" onclick="swap_content('span:graph__edge_lengths__33'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__edge_lengths__33" onclick="swap_content('span:graph__edge_lengths__33'); return false;"><b>edge_lengths</b></a>
			(G, coords)  

			
				→ EdgeMap<div style="display: inline" id="span:graph__edge_lengths__33" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the lengths of all edges of a given graph <em class="param">G</em> from
 the coordinates <em class="param">coords</em> of its nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph&lt;Directed&gt;</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">coords</td><td><div class="descr"><div>the coordinates of the nodes</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__EdgeMap__330" onclick="unfold('span:common__EdgeMap__330');">EdgeMap</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the edge length of the complete graph with 3 nodes
 and edge lengths given by the coordiantes of the standard 2-simplex:<code>&gt; print edge_lengths(complete(3)-&gt;ADJACENCY,simplex(2)-&gt;VERTICES);</code><code> 1 1 1.414213562</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__graph_from_edges__34" onclick="swap_content('span:graph__graph_from_edges__34'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__graph_from_edges__34" onclick="swap_content('span:graph__graph_from_edges__34'); return false;"><b>graph_from_edges</b></a>
			(edges)  

			
				→ Graph<div style="display: inline" id="span:graph__graph_from_edges__34" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a graph from a given list of <em class="param">edges</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">edges</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $g = graph_from_edges([[1,2],[1,3],[1,4]]);</code><code>&gt; print $g-&gt;ADJACENCY;</code><code> {}</code><code> {2 3 4}</code><code> {1}</code><code> {1}</code><code> {1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Producing_a_graph__13" onclick="swap_content('span:graph__Producing_a_graph__13'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Producing_a_graph__13" onclick="swap_content('span:graph__Producing_a_graph__13'); return false;">
                  <span class="category">Producing a graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Producing_a_graph__13" class="foldit">
              <div class="descr">
                <p> With these clients you can create special examples of graphs, graphs belonging to parameterized families and random graphs.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__complete__66" onclick="swap_content('span:graph__complete__66'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__complete__66" onclick="swap_content('span:graph__complete__66'); return false;"><b>complete</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:graph__complete__66" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">complete graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the adjacency representation of the complete graph on 3 nodes, type this:<code>&gt; print complete(3)-&gt;ADJACENCY</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__complete_bipartite__61" onclick="swap_content('span:graph__complete_bipartite__61'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__complete_bipartite__61" onclick="swap_content('span:graph__complete_bipartite__61'); return false;"><b>complete_bipartite</b></a>
			(k, l)  

			
				→ Graph<div style="display: inline" id="span:graph__complete_bipartite__61" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">complete bipartite graph</em> on <em class="param">k</em> + <em class="param">l</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">k</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">l</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the adjacency representation of a complete bipartite graph
 with two nodes per partition, type this:<code>&gt; print complete_bipartite(2,2)-&gt;ADJACENCY;</code><code> {2 3}</code><code> {2 3}</code><code> {0 1}</code><code> {0 1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__cycle_graph__68" onclick="swap_content('span:graph__cycle_graph__68'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__cycle_graph__68" onclick="swap_content('span:graph__cycle_graph__68'); return false;"><b>cycle_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:graph__cycle_graph__68" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cycle graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the adjacency representation of the cycle graph on four nodes, type this:<code>&gt; $g = cycle_graph(4);</code><code>&gt; print $g-&gt;ADJACENCY;</code><code> {1 3}</code><code> {0 2}</code><code> {1 3}</code><code> {0 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__generalized_johnson_graph__63" onclick="swap_content('span:graph__generalized_johnson_graph__63'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__generalized_johnson_graph__63" onclick="swap_content('span:graph__generalized_johnson_graph__63'); return false;"><b>generalized_johnson_graph</b></a>
			(n, k, i)  

			
				→ Graph<div style="display: inline" id="span:graph__generalized_johnson_graph__63" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">generalized Johnson graph</em> on parameters (n,k,i).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the intersection of the corresponding subsets is of size i.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">i</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjacency representation of the generalized
 johnson graph with the parameters 4,2,1:<code>&gt; print generalized_johnson_graph(4,2,1)-&gt;ADJACENCY;</code><code> {1 2 3 4}</code><code> {0 2 3 5}</code><code> {0 1 4 5}</code><code> {0 1 4 5}</code><code> {0 2 3 5}</code><code> {1 2 3 4}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__johnson_graph__64" onclick="swap_content('span:graph__johnson_graph__64'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__johnson_graph__64" onclick="swap_content('span:graph__johnson_graph__64'); return false;"><b>johnson_graph</b></a>
			(n, k)  

			
				→ Graph<div style="display: inline" id="span:graph__johnson_graph__64" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">Johnson graph</em> on parameters (n,k).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the intersection of the corresponding subsets is of size k-1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjacency representation of the johnson
 graph with the parameters 4,3:<code>&gt; print johnson_graph(4,3)-&gt;ADJACENCY;</code><code> {1 2 3}</code><code> {0 2 3}</code><code> {0 1 3}</code><code> {0 1 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__kneser_graph__65" onclick="swap_content('span:graph__kneser_graph__65'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__kneser_graph__65" onclick="swap_content('span:graph__kneser_graph__65'); return false;"><b>kneser_graph</b></a>
			(n, k)  

			
				→ Graph<div style="display: inline" id="span:graph__kneser_graph__65" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">Kneser graph</em> on parameters (n,k).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the corresponding subsets are disjoint.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjacency representation of the kneser
 graph with the parameters 3,1:<code>&gt; print kneser_graph(3,1)-&gt;ADJACENCY;</code><code> {1 2}</code><code> {0 2}</code><code> {0 1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__neighborhood_graph__70" onclick="swap_content('span:graph__neighborhood_graph__70'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__neighborhood_graph__70" onclick="swap_content('span:graph__neighborhood_graph__70'); return false;"><b>neighborhood_graph</b></a>
			(D, delta)  

			
				→ Graph<div style="display: inline" id="span:graph__neighborhood_graph__70" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the <em class="u">neighborhood graph</em> of a point set <em class="param">S</em> given a parameter <em class="param">delta</em>. The set is passed as its so-called "distance matrix", whose (i,j)-entry is the distance between point i and j. This matrix can e.g. be computed using the distance_matrix function. Two vertices will be adjacent if the distance of the corresponding points is less than <em class="param">delta</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix&lt;Rational&gt;</a></td><td class="param">D</td><td><div class="descr"><div>input point cloud distance matrix (can be upper triangular)</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Rational</a></td><td class="param">delta</td><td><div class="descr"><div>the maximal distance of neighbored vertices</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the neighborhood graph of a distance matrix with a limit of 3.3, producing the graph of a square:<code>&gt; $D = new Matrix&lt;Rational&gt;([[0,17/10,21/10,42/10],[0,0,79/10,31/10],[0,0,0,6/10],[0,0,0,0]]);</code><code>&gt; print neighborhood_graph($D,3.3)-&gt;ADJACENCY;</code><code> {1 2}</code><code> {0 3}</code><code> {0 3}</code><code> {1 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__path_graph__67" onclick="swap_content('span:graph__path_graph__67'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__path_graph__67" onclick="swap_content('span:graph__path_graph__67'); return false;"><b>path_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:graph__path_graph__67" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">path graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__petersen__69" onclick="swap_content('span:graph__petersen__69'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__petersen__69" onclick="swap_content('span:graph__petersen__69'); return false;"><b>petersen</b></a>
			()  

			
				→ Graph<div style="display: inline" id="span:graph__petersen__69" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the <em class="u">Petersen graph</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the adjacency matrix of the petersen graph:<code>&gt; print petersen()-&gt;N_NODES;</code><code> 10</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__random_graph__62" onclick="swap_content('span:graph__random_graph__62'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__random_graph__62" onclick="swap_content('span:graph__random_graph__62'); return false;"><b>random_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:graph__random_graph__62" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a random graph with <em class="param">n</em> nodes according to the Erdos-Renyi model.
 Each edge is chosen uniformly with probability <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Rational__323" onclick="unfold('span:common__Rational__323');">Rational</a></td><td class="param">p</td><td><div class="descr"><div>the probability of an edge occurring; default 1/2</div></div></td></tr><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">try_connected</td><td><div class="descr"><div>whether to try to generate a connected graph, default 1</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">max_attempts</td><td><div class="descr"><div>If <em class="param">connected</em> is set, specifies 
   how many times to try to make a connected random graph before giving up.</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following produces a connected graph on 10 nodes using a specific seed for a random graph model, where an edge between two nodes occurs with probabilty 0.1.<code>&gt; $g = random_graph(10,p=&gt;0.1,try_connected=&gt;1,max_attempts=&gt;10,seed=&gt;100000);</code><code>&gt; print $g-&gt;N_EDGES;</code><code> 9</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Visualization__11" onclick="swap_content('span:graph__Visualization__11'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Visualization__11" onclick="swap_content('span:graph__Visualization__11'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Visualization__11" class="foldit">
              <div class="descr">
                <p> These functions are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__clip_graph__50" onclick="swap_content('span:graph__clip_graph__50'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__clip_graph__50" onclick="swap_content('span:graph__clip_graph__50'); return false;"><b>clip_graph</b></a>
			(G, V, BB)  

			
				→ GeometricGraph<div style="display: inline" id="span:graph__clip_graph__50" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Clip a graph with respect to a given bounding box.
 Used for the visualization of Voronoi diagrams.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">Graph</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">V</td><td/></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">BB</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#graph__GeometricGraph__74" onclick="unfold('span:graph__GeometricGraph__74');">GeometricGraph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__graphviz__52" onclick="swap_content('span:graph__graphviz__52'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__graphviz__52" onclick="swap_content('span:graph__graphviz__52'); return false;"><b>graphviz</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:graph__graphviz__52" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the given graph or face lattice object using <a href="http://polymake.org//external_software#graphviz" onclick="unfold('span:graphviz');">graphviz</a> program
 <code>neato</code> or <code>dot</code> respectively.
 The output is rendered in PostScript format and fed into a viewer program, if one is configured.
 If you prefer to produce another output format, please use the <em class="param">File</em> option and call the <code>neato</code>
 or <code>dot</code> program manually.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Visual__Object__270" onclick="unfold('span:common__Visual__Object__270');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the graph description in a DOT source file without starting the interactive GUI.
  The <code>.dot</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following creates a star graph with 4 nodes and visualizes it via graphviz with default options:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[],[0],[0],[0]]);</code><code>&gt; graphviz($g-&gt;VISUAL);</code> The following shows some modified visualization style of the same graph:<code>&gt; $g = new Graph&lt;Undirected&gt;(ADJACENCY=&gt;[[],[0],[0],[0]]);</code><code>&gt; graphviz($g-&gt;VISUAL(NodeColor=&gt;"green",EdgeColor=&gt;"purple",EdgeThickness=&gt;5));</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__hd_embedder__53" onclick="swap_content('span:graph__hd_embedder__53'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__hd_embedder__53" onclick="swap_content('span:graph__hd_embedder__53'); return false;"><b>hd_embedder</b></a>
			(label_width)  

			<div style="display: inline" id="span:graph__hd_embedder__53" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create an embedding of the Lattice as a layered graph.
 The embedding algorithm tries to minimize the weighted sum of squares of edge lengths,
 starting from a random distribution. The weights are relative to the fatness of the layers.
 The y-space between the layers is constant.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td class="param">label_width</td><td><div class="descr"><div>estimates (better upper bounds) of the label width of each node.
 The computed layout guarantees that the distances between the nodes in a layer are at least equal to
 the widest label in this layer.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>the node representing the empty face is put on the topmost level</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>calculation accuracy.</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>effects the initial placement of the nodes.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__LEDA_graph__49" onclick="swap_content('span:graph__LEDA_graph__49'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__LEDA_graph__49" onclick="swap_content('span:graph__LEDA_graph__49'); return false;"><b>LEDA_graph</b></a>
			(G)  

			<div style="display: inline" id="span:graph__LEDA_graph__49" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write a graph in LEDA input format.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph</a></td><td class="param">G</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__metapost__48" onclick="swap_content('span:graph__metapost__48'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__metapost__48" onclick="swap_content('span:graph__metapost__48'); return false;"><b>metapost</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:graph__metapost__48" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a MetaPost input file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Visual__Object__270" onclick="unfold('span:common__Visual__Object__270');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  The MetaPost description always has to be stored in a file, there is no interactive viewer for this
  kind of visualization.</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.mp</code> suffix if needed.</div><div>  The default setting "AUTO" lets the file name be derived from the drawing title.
  The automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints a metapost description of the complete graph with 3 nodes in the console:<code>&gt; metapost(complete(3)-&gt;VISUAL,File=&gt;"-");</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__spring_embedder__51" onclick="swap_content('span:graph__spring_embedder__51'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph__spring_embedder__51" onclick="swap_content('span:graph__spring_embedder__51'); return false;"><b>spring_embedder</b></a>
			(graph)  

			<div style="display: inline" id="span:graph__spring_embedder__51" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a 3-d embedding for the graph using the spring embedding algorithm
 along the lines of
</p><blockquote><div> Thomas Fruchtermann and Edward Reingold:</div><div> Graph Drawing by Force-directed Placement.</div><div> Software Practice and Experience Vol. 21, 1129-1164 (1992), no. 11.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Graph__331" onclick="unfold('span:common__Graph__331');">props::Graph&lt;Undirected&gt;</a></td><td class="param">graph</td><td><div class="descr"><div>to be embedded.</div></div></td></tr></table><h5>Options</h5><div class="descr"><div>affecting the desired picture</div></div><table class="args"><tr><td><a href="common.html#common__EdgeMap__330" onclick="unfold('span:common__EdgeMap__330');">EdgeMap</a></td><td class="param">edge_weights</td><td><div class="descr"><div>relative edge lengths.
  By default the embedding algorithm tries to stretch all edges to the same length.</div></div></td></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector</a></td><td class="param">z-ordering</td><td><div class="descr"><div>an objective function provides an additional force along the z-axis,
  trying to rearrange nodes in the order of the function growth.</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">z-factor</td><td><div class="descr"><div>gain coefficient applied to the <em class="param">z-ordering</em> force.</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed for initial node placement on a unit sphere.</div></div></td></tr></table><div class="descr"><div>calculation fine-tuning</div></div><table class="args"><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">scale</td><td><div class="descr"><div>enlarges the ideal edge length</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">balance</td><td><div class="descr"><div>changes the balance between the edge contraction and node repulsion forces</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">inertion</td><td><div class="descr"><div>affects how the nodes are moved, can be used to restrain oscillations</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">viscosity</td><td><div class="descr"><div>idem</div></div></td></tr><tr><td><a href="common.html#common__Float__321" onclick="unfold('span:common__Float__321');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>a threshold for point movement between iterations, below that it is considered to stand still</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">max-iterations</td><td><div class="descr"><div>hard limit for computational efforts.
  The algorithm terminates at latest after that many iterations regardless of the convergence achieved so far.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints a 3-dimensional embedding of the complete graph on 3 nodes using a specific seed and scaled edge lengths:<code>&gt; print spring_embedder(complete(3)-&gt;ADJACENCY, scale=&gt;5, seed=&gt;123);</code><code> 0.9512273649 -10.00210559 10.36309695</code><code> 10.61947526 1.391783824 -9.666627553</code><code> -11.57070263 8.610321763 -0.6964693941</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Combinatorics__7" onclick="swap_content('span:graph__Combinatorics__7'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Combinatorics__7" onclick="swap_content('span:graph__Combinatorics__7'); return false;">
                  <span class="category">Combinatorics</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Combinatorics__7" class="foldit">
              <div class="descr">
                <p> These property_types capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__BasicDecoration__28" onclick="swap_content('span:graph__BasicDecoration__28'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__BasicDecoration__28" onclick="swap_content('span:graph__BasicDecoration__28'); return false;">
                        <b>BasicDecoration</b>
                      </a>
                      <div style="display: inline" id="span:graph__BasicDecoration__28" class="foldit">
                        <div class="descr">
                          <p> This is the prototype of decorations attached to a Lattice. It consists of two properties, face and rank of type
 Set&lt;Int&gt; and Int, respectively.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__InverseRankMap__27" onclick="swap_content('span:graph__InverseRankMap__27'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__InverseRankMap__27" onclick="swap_content('span:graph__InverseRankMap__27'); return false;">
                        <b>InverseRankMap</b>
                      </a>
                      <div style="display: inline" id="span:graph__InverseRankMap__27" class="foldit">
                        <div class="descr">
                          <p> This provides an efficient way to obtain all nodes of a lattice of given rank.</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of InverseRankMap</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:graph__Combinatorics__101" onclick="swap_content('span:graph__Combinatorics__101'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <div class="category">
                                  <h3>
                                    <a href="#" class="javalink" id="graph__Combinatorics__101" onclick="swap_content('span:graph__Combinatorics__101'); return false;">
                                      <span class="category">Combinatorics</span>
                                    </a>
                                  </h3>
                                </div>
                                <div style="display: inline" id="span:graph__Combinatorics__101" class="foldit">
                                  <div class="descr">
                                    <p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
                                  </div>
                                  <ul class="unfoldable">
                                    <li>
                                      <div class="li">
                                        <div class="icon" id="icon:graph__get_map__138" onclick="swap_content('span:graph__get_map__138'); return false;">
		 	
	</div>
                                        <div class="unfoldable"><a href="#" class="javalink" id="graph__get_map__138" onclick="swap_content('span:graph__get_map__138'); return false;"><b>get_map</b></a>
			()  

			
				→ Map&lt;Int, List&lt;Int&gt; &gt;<div style="display: inline" id="span:graph__get_map__138" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Map__337" onclick="unfold('span:common__Map__337');">Map&lt;Int, List&lt;Int&gt; &gt;</a></td><td><div class="descr"><div>or Map&lt;Int, Pair&lt;Int,Int&gt; &gt;. An actual map object sorting nodes according to rank.
 In the nonsequential case, each integer (= rank) is mapped to a list of the corresponding nodes.\
 In the sequential case, it is mapped to the first and last index of all nodes of that rank.</div></div></td></tr></table></div></div></div>
                                      </div>
                                    </li>
                                    <li>
                                      <div class="li">
                                        <div class="icon" id="icon:graph__nodes_of_rank__139" onclick="swap_content('span:graph__nodes_of_rank__139'); return false;">
		 	
	</div>
                                        <div class="unfoldable"><a href="#" class="javalink" id="graph__nodes_of_rank__139" onclick="swap_content('span:graph__nodes_of_rank__139'); return false;"><b>nodes_of_rank</b></a>
			(r)  

			
				→ List&lt;Int&gt;<div style="display: inline" id="span:graph__nodes_of_rank__139" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List&lt;Int&gt;</a></td><td><div class="descr"><div>All nodes of rank r.</div></div></td></tr></table></div></div></div>
                                      </div>
                                    </li>
                                    <li>
                                      <div class="li">
                                        <div class="icon" id="icon:graph__nodes_of_rank_range__140" onclick="swap_content('span:graph__nodes_of_rank_range__140'); return false;">
		 	
	</div>
                                        <div class="unfoldable"><a href="#" class="javalink" id="graph__nodes_of_rank_range__140" onclick="swap_content('span:graph__nodes_of_rank_range__140'); return false;"><b>nodes_of_rank_range</b></a>
			(r1, r2)  

			
				→ List&lt;Int&gt;<div style="display: inline" id="span:graph__nodes_of_rank_range__140" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r1</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List&lt;Int&gt;</a></td><td><div class="descr"><div>or Set&lt;Int&gt; All indices of rank r1 &lt;= r &lt;= r2</div></div></td></tr></table></div></div></div>
                                      </div>
                                    </li>
                                  </ul>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__Nonsequential__29" onclick="swap_content('span:graph__Nonsequential__29'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__Nonsequential__29" onclick="swap_content('span:graph__Nonsequential__29'); return false;">
                        <b>Nonsequential</b>
                      </a>
                      <div style="display: inline" id="span:graph__Nonsequential__29" class="foldit">
                        <div class="descr">
                          <p> Nonsequential lattices are those where not all nodes are necessarily sorted to rank.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__Sequential__30" onclick="swap_content('span:graph__Sequential__30'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__Sequential__30" onclick="swap_content('span:graph__Sequential__30'); return false;">
                        <b>Sequential</b>
                      </a>
                      <div style="display: inline" id="span:graph__Sequential__30" class="foldit">
                        <div class="descr">
                          <p> Sequential lattices are those where all nodes are sorted to rank.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Common Option Lists</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:graph__Visualization__8" onclick="swap_content('span:graph__Visualization__8'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="graph__Visualization__8" onclick="swap_content('span:graph__Visualization__8'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:graph__Visualization__8" class="foldit">
              <div class="descr">
                <p> These options are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__Visual__Graph__decorations__31" onclick="swap_content('span:graph__Visual__Graph__decorations__31'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__Visual__Graph__decorations__31" onclick="swap_content('span:graph__Visual__Graph__decorations__31'); return false;">
                        <b>Visual::Graph::decorations</b>
                      </a>
                      <div style="display: inline" id="span:graph__Visual__Graph__decorations__31" class="foldit"><div class="descr"><p> Attributes modifying the appearance of graphs</p></div><b>imports from: </b><a href="common.html#common__Visual__Wire__decorations__265" onclick="unfold('span:common__Visual__Wire__decorations__265');">Visual::Wire::decorations</a>, <a href="common.html#common__Visual__PointSet__decorations__264" onclick="unfold('span:common__Visual__PointSet__decorations__264');">Visual::PointSet::decorations</a><br/><br/><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix&lt;Float&gt;</a></td><td class="param">Coord</td><td><div class="descr"><div>2-d or 3-d coordinates of the nodes.
                If not specified, a random embedding is generated using a pseudo-physical spring model</div></div></td></tr><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;RGB&gt;</a></td><td class="param">NodeColor</td><td><div class="descr"><div>alias for PointColor</div></div></td></tr><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;Float&gt;</a></td><td class="param">NodeThickness</td><td><div class="descr"><div>alias for PointThickness</div></div></td></tr><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;RGB&gt;</a></td><td class="param">NodeBorderColor</td><td><div class="descr"><div>alias for PointBorderColor</div></div></td></tr><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;Float&gt;</a></td><td class="param">NodeBorderThickness</td><td><div class="descr"><div>alias for PointBorderThickness</div></div></td></tr><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;String&gt;</a></td><td class="param">NodeStyle</td><td><div class="descr"><div>alias for PointStyle</div></div></td></tr><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">NodeLabels</td><td><div class="descr"><div>alias for PointLabels</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph__Visual__Lattice__decorations__32" onclick="swap_content('span:graph__Visual__Lattice__decorations__32'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="graph__Visual__Lattice__decorations__32" onclick="swap_content('span:graph__Visual__Lattice__decorations__32'); return false;">
                        <b>Visual::Lattice::decorations</b>
                      </a>
                      <div style="display: inline" id="span:graph__Visual__Lattice__decorations__32" class="foldit"><div class="descr"><p> Attributes modifying the appearance of face lattices</p></div><b>imports from: </b><a href="#graph__Visual__Graph__decorations__31" onclick="unfold('span:graph__Visual__Graph__decorations__31');">Visual::Graph::decorations</a>, <a href="common.html#common__Visual__Wire__decorations__265" onclick="unfold('span:common__Visual__Wire__decorations__265');">Visual::Wire::decorations</a>, <a href="common.html#common__Visual__PointSet__decorations__264" onclick="unfold('span:common__Visual__PointSet__decorations__264');">Visual::PointSet::decorations</a><br/><br/><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Flexible__294" onclick="unfold('span:common__Flexible__294');">Flexible&lt;Int&gt;</a></td><td class="param">ArrowStyle</td><td><div class="descr"><div>How to draw directed edges: 0 (like undirected), 1 (with an arrow pointing towards the edge),
                or -1 (with an arrow pointing against the edge).  Default is 1.</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">AtomLabels</td><td><div class="descr"><div>Labels of atoms, to use as building blocks for node labels.  By default the ordinal numbers are taken.</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
