<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: group</h1>
  <div class="descr">
    <p> The application group provides basic functionality for working with
 permutation groups. An object of type <a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a> records the abstract
 properties of the groups that do not depend on any particular
 representation, such as (<a href="#group__ORDER__96" onclick="unfold('span:group__ORDER__96');">ORDER</a>,
 <a href="#group__CHARACTER_TABLE__91" onclick="unfold('span:group__CHARACTER_TABLE__91');">CHARACTER_TABLE</a> and <a href="#group__CONJUGACY_CLASS_SIZES__97" onclick="unfold('span:group__CONJUGACY_CLASS_SIZES__97');">CONJUGACY_CLASS_SIZES</a>.
 Moreover, it can contain several subobjects of type <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">group::PermutationAction</a>, <a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">group::PermutationActionOnSets</a> 
 or <a href="#group__ImplicitActionOnSets__14" onclick="unfold('span:group__ImplicitActionOnSets__14');">group::ImplicitActionOnSets</a> that encode representations of the group. (We use the terms <em class="param">action</em>
 and <em class="param">representation</em> interchangeably). If the group object is not contained inside a <a href="polytope.html#polytope__Cone__84" onclick="unfold('span:polytope__Cone__84');">polytope::Cone</a> or 
 <a href="polytope.html#polytope__Cone__84" onclick="unfold('span:polytope__Cone__84');">polytope::Cone</a>, the representation in question is encoded as a <a href="#group__PERMUTATION_ACTION__89" onclick="unfold('span:group__PERMUTATION_ACTION__89');">Group::PERMUTATION_ACTION</a>, <a href="#group__SET_ACTION__90" onclick="unfold('span:group__SET_ACTION__90');">Group::SET_ACTION</a> or 
 <a href="#group__IMPLICIT_SET_ACTION__100" onclick="unfold('span:group__IMPLICIT_SET_ACTION__100');">Group::IMPLICIT_SET_ACTION</a>, otherwise it may be encoded more specifically as a RAY_ACTION, FACET_ACTION,
 COORDINATE_ACTION, etc. Different representations of the same group are convertible
 among each other either via specific rules, or by using the function <a href="#group__induced_action__19" onclick="unfold('span:group__induced_action__19');">group::induced_action</a>, for example.</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Action__15" onclick="swap_content('span:group__Action__15'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__Action__15" onclick="swap_content('span:group__Action__15'); return false;">
                  <span class="object">Action</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Action__15" class="foldit">
              <div class="descr">
                <p> parametrized object used for encoding group actions (representations).
 <em class="param">GeneratorType</em> is Array&lt;Int&gt; for permutation groups,
                   or Matrix&lt;Scalar&gt; for matrix groups.
 <em class="param">DomainType</em> is Int for permutation groups,
                   Vector&lt;Scalar&gt; for matrix groups acting on facets or vertices,
                   Set&lt;Int&gt; or Bitset for groups acting on simplices
 <em class="param">OrbitGeneratorScalarType</em> is the type of the entries of vectors that generate a geometric orbit; default Rational</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Action</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__Symmetry__69" onclick="swap_content('span:group__Symmetry__69'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="group__Symmetry__69" onclick="swap_content('span:group__Symmetry__69'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:group__Symmetry__69" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__CHARACTER__114" onclick="swap_content('span:group__CHARACTER__114'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__CHARACTER__114" onclick="swap_content('span:group__CHARACTER__114'); return false;"><b>CHARACTER</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__CHARACTER__114" class="foldit">
                                  <div class="descr">
                                    <p> The character of the action. The ordering corresponds to the
 columns of the CHARACTER_TABLE</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__CONJUGACY_CLASSES__124" onclick="swap_content('span:group__CONJUGACY_CLASSES__124'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__CONJUGACY_CLASSES__124" onclick="swap_content('span:group__CONJUGACY_CLASSES__124'); return false;"><b>CONJUGACY_CLASSES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array</a>
                                <br/>
                                <div style="display: inline" id="span:group__CONJUGACY_CLASSES__124" class="foldit">
                                  <div class="descr">
                                    <p> The conjugacy classes themselves</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__CONJUGACY_CLASS_REPRESENTATIVES__130" onclick="swap_content('span:group__CONJUGACY_CLASS_REPRESENTATIVES__130'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__CONJUGACY_CLASS_REPRESENTATIVES__130" onclick="swap_content('span:group__CONJUGACY_CLASS_REPRESENTATIVES__130'); return false;"><b>CONJUGACY_CLASS_REPRESENTATIVES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array</a>
                                <br/>
                                <div style="display: inline" id="span:group__CONJUGACY_CLASS_REPRESENTATIVES__130" class="foldit">
                                  <div class="descr">
                                    <p> A set of representatives for each conjugacy class.
 The order of these representatives must agree with the implicit
 order of the columns of the <a href="#group__CHARACTER_TABLE__91" onclick="unfold('span:group__CHARACTER_TABLE__91');">CHARACTER_TABLE</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__DEGREE__133" onclick="swap_content('span:group__DEGREE__133'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__DEGREE__133" onclick="swap_content('span:group__DEGREE__133'); return false;"><b>DEGREE</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__DEGREE__133" class="foldit">
                                  <div class="descr">
                                    <p> The degree of the representation. For permutation groups,
 this is the number of permuted indices, for matrix groups
 it is the dimension of the vector space the group acts on</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__DOMAIN_NAME__112" onclick="swap_content('span:group__DOMAIN_NAME__112'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__DOMAIN_NAME__112" onclick="swap_content('span:group__DOMAIN_NAME__112'); return false;"><b>DOMAIN_NAME</b>:
		</a>
                                <a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">common::String</a>
                                <br/>
                                <div style="display: inline" id="span:group__DOMAIN_NAME__112" class="foldit">
                                  <div class="descr">
                                    <p> the name of the property that we act on, for example MAX_INTERIOR_SIMPLICES or INTERIOR_RIDGES</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__EQUATIONS_GENERATORS__126" onclick="swap_content('span:group__EQUATIONS_GENERATORS__126'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__EQUATIONS_GENERATORS__126" onclick="swap_content('span:group__EQUATIONS_GENERATORS__126'); return false;"><b>EQUATIONS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__EQUATIONS_GENERATORS__126" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for equations, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__EXPLICIT_ORBIT_REPRESENTATIVES__110" onclick="swap_content('span:group__EXPLICIT_ORBIT_REPRESENTATIVES__110'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__EXPLICIT_ORBIT_REPRESENTATIVES__110" onclick="swap_content('span:group__EXPLICIT_ORBIT_REPRESENTATIVES__110'); return false;"><b>EXPLICIT_ORBIT_REPRESENTATIVES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array</a>
                                <br/>
                                <div style="display: inline" id="span:group__EXPLICIT_ORBIT_REPRESENTATIVES__110" class="foldit">
                                  <div class="descr">
                                    <p> the representatives of orbits explicitly, not via their indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX__103" onclick="swap_content('span:group__EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX__103'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX__103" onclick="swap_content('span:group__EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX__103'); return false;"><b>EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__EXPLICIT_ORBIT_REPRESENTATIVE_MATRIX__103" class="foldit">
                                  <div class="descr">
                                    <p> the representatives of orbits explicitly, not via their indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__FACETS_GENERATORS__116" onclick="swap_content('span:group__FACETS_GENERATORS__116'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__FACETS_GENERATORS__116" onclick="swap_content('span:group__FACETS_GENERATORS__116'); return false;"><b>FACETS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__FACETS_GENERATORS__116" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for facets, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__GENERATORS__127" onclick="swap_content('span:group__GENERATORS__127'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__GENERATORS__127" onclick="swap_content('span:group__GENERATORS__127'); return false;"><b>GENERATORS</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array</a>
                                <br/>
                                <div style="display: inline" id="span:group__GENERATORS__127" class="foldit">
                                  <div class="descr">
                                    <p> The generators of the group action</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INDEX_OF__122" onclick="swap_content('span:group__INDEX_OF__122'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INDEX_OF__122" onclick="swap_content('span:group__INDEX_OF__122'); return false;"><b>INDEX_OF</b>:
		</a>
                                <a href="common.html#common__HashMap__336" onclick="unfold('span:common__HashMap__336');">common::HashMap</a>
                                <br/>
                                <div style="display: inline" id="span:group__INDEX_OF__122" class="foldit">
                                  <div class="descr">
                                    <p> The map giving the index of each group element
 This is a temporary property; it will not be stored in any file.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INDUCED_FROM__132" onclick="swap_content('span:group__INDUCED_FROM__132'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INDUCED_FROM__132" onclick="swap_content('span:group__INDUCED_FROM__132'); return false;"><b>INDUCED_FROM</b>:
		</a>
                                <a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">common::String</a>
                                <br/>
                                <div style="display: inline" id="span:group__INDUCED_FROM__132" class="foldit">
                                  <div class="descr">
                                    <p> the name of a different action that this action is induced from</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INEQUALITIES_GENERATORS__125" onclick="swap_content('span:group__INEQUALITIES_GENERATORS__125'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INEQUALITIES_GENERATORS__125" onclick="swap_content('span:group__INEQUALITIES_GENERATORS__125'); return false;"><b>INEQUALITIES_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__INEQUALITIES_GENERATORS__125" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for inequalities, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INPUT_LINEALITY_GENERATORS__115" onclick="swap_content('span:group__INPUT_LINEALITY_GENERATORS__115'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INPUT_LINEALITY_GENERATORS__115" onclick="swap_content('span:group__INPUT_LINEALITY_GENERATORS__115'); return false;"><b>INPUT_LINEALITY_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__INPUT_LINEALITY_GENERATORS__115" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for input lineality, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INPUT_RAYS_GENERATORS__118" onclick="swap_content('span:group__INPUT_RAYS_GENERATORS__118'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INPUT_RAYS_GENERATORS__118" onclick="swap_content('span:group__INPUT_RAYS_GENERATORS__118'); return false;"><b>INPUT_RAYS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__INPUT_RAYS_GENERATORS__118" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for input rays, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__IRREDUCIBLE_DECOMPOSITION__129" onclick="swap_content('span:group__IRREDUCIBLE_DECOMPOSITION__129'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__IRREDUCIBLE_DECOMPOSITION__129" onclick="swap_content('span:group__IRREDUCIBLE_DECOMPOSITION__129'); return false;"><b>IRREDUCIBLE_DECOMPOSITION</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__IRREDUCIBLE_DECOMPOSITION__129" class="foldit">
                                  <div class="descr">
                                    <p> The multiplicities of each irreducible representation in this action.
 The ordering corresponds to the rows of the CHARACTER_TABLE</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__LINEALITY_SPACE_GENERATORS__109" onclick="swap_content('span:group__LINEALITY_SPACE_GENERATORS__109'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__LINEALITY_SPACE_GENERATORS__109" onclick="swap_content('span:group__LINEALITY_SPACE_GENERATORS__109'); return false;"><b>LINEALITY_SPACE_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__LINEALITY_SPACE_GENERATORS__109" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for input lineality, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_EQUATIONS_GENERATORS__120" onclick="swap_content('span:group__N_EQUATIONS_GENERATORS__120'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_EQUATIONS_GENERATORS__120" onclick="swap_content('span:group__N_EQUATIONS_GENERATORS__120'); return false;"><b>N_EQUATIONS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_EQUATIONS_GENERATORS__120" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_FACETS_GENERATORS__104" onclick="swap_content('span:group__N_FACETS_GENERATORS__104'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_FACETS_GENERATORS__104" onclick="swap_content('span:group__N_FACETS_GENERATORS__104'); return false;"><b>N_FACETS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_FACETS_GENERATORS__104" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_INEQUALITIES_GENERATORS__117" onclick="swap_content('span:group__N_INEQUALITIES_GENERATORS__117'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_INEQUALITIES_GENERATORS__117" onclick="swap_content('span:group__N_INEQUALITIES_GENERATORS__117'); return false;"><b>N_INEQUALITIES_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_INEQUALITIES_GENERATORS__117" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_INPUT_LINEALITY_GENERATORS__108" onclick="swap_content('span:group__N_INPUT_LINEALITY_GENERATORS__108'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_INPUT_LINEALITY_GENERATORS__108" onclick="swap_content('span:group__N_INPUT_LINEALITY_GENERATORS__108'); return false;"><b>N_INPUT_LINEALITY_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_INPUT_LINEALITY_GENERATORS__108" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_INPUT_RAYS_GENERATORS__128" onclick="swap_content('span:group__N_INPUT_RAYS_GENERATORS__128'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_INPUT_RAYS_GENERATORS__128" onclick="swap_content('span:group__N_INPUT_RAYS_GENERATORS__128'); return false;"><b>N_INPUT_RAYS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_INPUT_RAYS_GENERATORS__128" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_LINEALITY_SPACE_GENERATORS__123" onclick="swap_content('span:group__N_LINEALITY_SPACE_GENERATORS__123'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_LINEALITY_SPACE_GENERATORS__123" onclick="swap_content('span:group__N_LINEALITY_SPACE_GENERATORS__123'); return false;"><b>N_LINEALITY_SPACE_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_LINEALITY_SPACE_GENERATORS__123" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_ORBITS__131" onclick="swap_content('span:group__N_ORBITS__131'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_ORBITS__131" onclick="swap_content('span:group__N_ORBITS__131'); return false;"><b>N_ORBITS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_ORBITS__131" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits in the domain under the group action
 transform: { N_ORBITS_OF_RAYS, N_ORBITS_OF_FACETS, N_ORBITS_OF_COORDINATES, N_ORBITS_OF_INPUT_RAYS, N_ORBITS_OF_INEQUALITIES } =&gt; N_ORBITS</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_ORBIT_REPRESENTATIVES__105" onclick="swap_content('span:group__N_ORBIT_REPRESENTATIVES__105'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_ORBIT_REPRESENTATIVES__105" onclick="swap_content('span:group__N_ORBIT_REPRESENTATIVES__105'); return false;"><b>N_ORBIT_REPRESENTATIVES</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_ORBIT_REPRESENTATIVES__105" class="foldit">
                                  <div class="descr">
                                    <p> the number of representatives of orbits
 transform: { N_REPRESENTATIVE_RAYS, N_REPRESENTATIVE_FACETS } =&gt; N_ORBIT_REPRESENTATIVES</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__N_RAYS_GENERATORS__119" onclick="swap_content('span:group__N_RAYS_GENERATORS__119'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__N_RAYS_GENERATORS__119" onclick="swap_content('span:group__N_RAYS_GENERATORS__119'); return false;"><b>N_RAYS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__N_RAYS_GENERATORS__119" class="foldit">
                                  <div class="descr">
                                    <p> The number of generators for orbits.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__ORBITS__121" onclick="swap_content('span:group__ORBITS__121'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__ORBITS__121" onclick="swap_content('span:group__ORBITS__121'); return false;"><b>ORBITS</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;HashSet&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__ORBITS__121" class="foldit">
                                  <div class="descr">
                                    <p> The orbits of the domain, represented via their indices
 transform: { RAYS_IN_ORBITS, FACETS_IN_ORBITS, COORDINATES_IN_ORBITS, INPUT_RAYS_IN_ORBITS, INEQUALITIES_IN_ORBITS } =&gt; ORBITS</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__ORBIT_REPRESENTATIVES__106" onclick="swap_content('span:group__ORBIT_REPRESENTATIVES__106'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__ORBIT_REPRESENTATIVES__106" onclick="swap_content('span:group__ORBIT_REPRESENTATIVES__106'); return false;"><b>ORBIT_REPRESENTATIVES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__ORBIT_REPRESENTATIVES__106" class="foldit">
                                  <div class="descr">
                                    <p> A collection of representatives for each orbit, represented via their indices
 transform: { REPRESENTATIVE_RAYS, REPRESENTATIVE_FACETS, REPRESENTATIVE_LINEAR_SPAN, REPRESENTATIVE_AFFINE_HULL } =&gt; ORBIT_REPRESENTATIVES</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__ORBIT_SIZES__113" onclick="swap_content('span:group__ORBIT_SIZES__113'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__ORBIT_SIZES__113" onclick="swap_content('span:group__ORBIT_SIZES__113'); return false;"><b>ORBIT_SIZES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__ORBIT_SIZES__113" class="foldit">
                                  <div class="descr">
                                    <p> The cardinality of each orbit</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__PERMUTATION_TO_ORBIT_ORDER__107" onclick="swap_content('span:group__PERMUTATION_TO_ORBIT_ORDER__107'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__PERMUTATION_TO_ORBIT_ORDER__107" onclick="swap_content('span:group__PERMUTATION_TO_ORBIT_ORDER__107'); return false;"><b>PERMUTATION_TO_ORBIT_ORDER</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__PERMUTATION_TO_ORBIT_ORDER__107" class="foldit">
                                  <div class="descr">
                                    <p> A permutation that orders the domain elements by orbits</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__RAYS_GENERATORS__111" onclick="swap_content('span:group__RAYS_GENERATORS__111'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__RAYS_GENERATORS__111" onclick="swap_content('span:group__RAYS_GENERATORS__111'); return false;"><b>RAYS_GENERATORS</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a>
                                <br/>
                                <div style="display: inline" id="span:group__RAYS_GENERATORS__111" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators for rays, stored as the rows of a matrix.
 The list of generators may be redundant and non-canonical.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Group__12" onclick="swap_content('span:group__Group__12'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__Group__12" onclick="swap_content('span:group__Group__12'); return false;">
                  <span class="object">Group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Group__12" class="foldit">
              <div class="descr">
                <p> Object encoding a finite group.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Group</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__Symmetry__68" onclick="swap_content('span:group__Symmetry__68'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="group__Symmetry__68" onclick="swap_content('span:group__Symmetry__68'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:group__Symmetry__68" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__CHARACTER_TABLE__91" onclick="swap_content('span:group__CHARACTER_TABLE__91'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__CHARACTER_TABLE__91" onclick="swap_content('span:group__CHARACTER_TABLE__91'); return false;"><b>CHARACTER_TABLE</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix&lt;QuadraticExtension&lt;Rational&gt;, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__CHARACTER_TABLE__91" class="foldit">
                                  <div class="descr">
                                    <p> The character table.
 NOTE: We do not support complex characters, but for the moment only real ones.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__CONJUGACY_CLASS_SIZES__97" onclick="swap_content('span:group__CONJUGACY_CLASS_SIZES__97'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__CONJUGACY_CLASS_SIZES__97" onclick="swap_content('span:group__CONJUGACY_CLASS_SIZES__97'); return false;"><b>CONJUGACY_CLASS_SIZES</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__CONJUGACY_CLASS_SIZES__97" class="foldit">
                                  <div class="descr">
                                    <p> The sizes of the conjugacy classes</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__FACETS_ACTION__94" onclick="swap_content('span:group__FACETS_ACTION__94'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__FACETS_ACTION__94" onclick="swap_content('span:group__FACETS_ACTION__94'); return false;"><b>FACETS_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__FACETS_ACTION__94" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__HOMOGENEOUS_COORDINATE_ACTION__95" onclick="swap_content('span:group__HOMOGENEOUS_COORDINATE_ACTION__95'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__HOMOGENEOUS_COORDINATE_ACTION__95" onclick="swap_content('span:group__HOMOGENEOUS_COORDINATE_ACTION__95'); return false;"><b>HOMOGENEOUS_COORDINATE_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__HOMOGENEOUS_COORDINATE_ACTION__95" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices, including the '0'-th homogeneous coordinate</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__IMPLICIT_SET_ACTION__100" onclick="swap_content('span:group__IMPLICIT_SET_ACTION__100'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__IMPLICIT_SET_ACTION__100" onclick="swap_content('span:group__IMPLICIT_SET_ACTION__100'); return false;"><b>IMPLICIT_SET_ACTION</b>:
		</a>
                                <a href="#group__ImplicitActionOnSets__14" onclick="unfold('span:group__ImplicitActionOnSets__14');">ImplicitActionOnSets</a>
                                <br/>
                                <div style="display: inline" id="span:group__IMPLICIT_SET_ACTION__100" class="foldit">
                                  <div class="descr">
                                    <p> an action on sets where only one representative for each orbit is stored</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INEQUALITIES_ACTION__88" onclick="swap_content('span:group__INEQUALITIES_ACTION__88'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INEQUALITIES_ACTION__88" onclick="swap_content('span:group__INEQUALITIES_ACTION__88'); return false;"><b>INEQUALITIES_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__INEQUALITIES_ACTION__88" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__INPUT_RAYS_ACTION__93" onclick="swap_content('span:group__INPUT_RAYS_ACTION__93'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__INPUT_RAYS_ACTION__93" onclick="swap_content('span:group__INPUT_RAYS_ACTION__93'); return false;"><b>INPUT_RAYS_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__INPUT_RAYS_ACTION__93" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__MAXIMAL_CONES_ACTION__99" onclick="swap_content('span:group__MAXIMAL_CONES_ACTION__99'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__MAXIMAL_CONES_ACTION__99" onclick="swap_content('span:group__MAXIMAL_CONES_ACTION__99'); return false;"><b>MAXIMAL_CONES_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__MAXIMAL_CONES_ACTION__99" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__ORDER__96" onclick="swap_content('span:group__ORDER__96'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__ORDER__96" onclick="swap_content('span:group__ORDER__96'); return false;"><b>ORDER</b>:
		</a>
                                <a href="common.html#common__Integer__322" onclick="unfold('span:common__Integer__322');">common::Integer</a>
                                <br/>
                                <div style="display: inline" id="span:group__ORDER__96" class="foldit">
                                  <div class="descr">
                                    <p> The number of elements in the group</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__PERMUTATION_ACTION__89" onclick="swap_content('span:group__PERMUTATION_ACTION__89'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__PERMUTATION_ACTION__89" onclick="swap_content('span:group__PERMUTATION_ACTION__89'); return false;"><b>PERMUTATION_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__PERMUTATION_ACTION__89" class="foldit">
                                  <div class="descr">
                                    <p> a permutation action on integers</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__RAYS_ACTION__101" onclick="swap_content('span:group__RAYS_ACTION__101'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__RAYS_ACTION__101" onclick="swap_content('span:group__RAYS_ACTION__101'); return false;"><b>RAYS_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__RAYS_ACTION__101" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__SET_ACTION__90" onclick="swap_content('span:group__SET_ACTION__90'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__SET_ACTION__90" onclick="swap_content('span:group__SET_ACTION__90'); return false;"><b>SET_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Set&lt;Int&gt;, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__SET_ACTION__90" class="foldit">
                                  <div class="descr">
                                    <p> a permutation action on a collection of sets of integers</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__SIMPLEXITY_LOWER_BOUND__92" onclick="swap_content('span:group__SIMPLEXITY_LOWER_BOUND__92'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__SIMPLEXITY_LOWER_BOUND__92" onclick="swap_content('span:group__SIMPLEXITY_LOWER_BOUND__92'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:group__SIMPLEXITY_LOWER_BOUND__92" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized version of <a href="#group__SIMPLEXITY_LOWER_BOUND__92" onclick="unfold('span:group__SIMPLEXITY_LOWER_BOUND__92');">SIMPLEXITY_LOWER_BOUND</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__SYMMETRIZED_COCIRCUIT_EQUATIONS__98" onclick="swap_content('span:group__SYMMETRIZED_COCIRCUIT_EQUATIONS__98'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__SYMMETRIZED_COCIRCUIT_EQUATIONS__98" onclick="swap_content('span:group__SYMMETRIZED_COCIRCUIT_EQUATIONS__98'); return false;"><b>SYMMETRIZED_COCIRCUIT_EQUATIONS</b>:
		</a>
                                <a href="polytope.html#polytope__SymmetrizedCocircuitEquations__359" onclick="unfold('span:polytope__SymmetrizedCocircuitEquations__359');">polytope::SymmetrizedCocircuitEquations</a>
                                <br/>
                                <div style="display: inline" id="span:group__SYMMETRIZED_COCIRCUIT_EQUATIONS__98" class="foldit">
                                  <div class="descr">
                                    <p> The cocircuit equations, projected to a certain direct sum of isotypic components</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:group__VECTOR_ACTION__102" onclick="swap_content('span:group__VECTOR_ACTION__102'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="group__VECTOR_ACTION__102" onclick="swap_content('span:group__VECTOR_ACTION__102'); return false;"><b>VECTOR_ACTION</b>:
		</a>
                                <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Int, Rational&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:group__VECTOR_ACTION__102" class="foldit">
                                  <div class="descr">
                                    <p> operates on indices</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__ImplicitActionOnSets__14" onclick="swap_content('span:group__ImplicitActionOnSets__14'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__ImplicitActionOnSets__14" onclick="swap_content('span:group__ImplicitActionOnSets__14'); return false;">
                  <span class="object">ImplicitActionOnSets</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__ImplicitActionOnSets__14" class="foldit">
              <div class="descr">
                <p> derived object encoding an action of a permutation group on a collection of sets,
 but where only one representative of each orbit is stored explicitly</p>
              </div>
              <b>derived from: </b>
              <a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction&lt;Bitset, Rational&gt;</a>
              <br/>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__MatrixGroupActionOnVectors__13" onclick="swap_content('span:group__MatrixGroupActionOnVectors__13'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__MatrixGroupActionOnVectors__13" onclick="swap_content('span:group__MatrixGroupActionOnVectors__13'); return false;">
                  <span class="object">MatrixGroupActionOnVectors</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__MatrixGroupActionOnVectors__13" class="foldit">
              <div class="descr">
                <p> derived object for matrix groups</p>
              </div>
              <b>derived from: </b>
              <a href="#group__MatrixGroupActionOnVectors__13" onclick="unfold('span:group__MatrixGroupActionOnVectors__13');">MatrixGroupActionOnVectors</a>
              <br/>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__PermutationAction__16" onclick="swap_content('span:group__PermutationAction__16'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__PermutationAction__16" onclick="swap_content('span:group__PermutationAction__16'); return false;">
                  <span class="object">PermutationAction</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__PermutationAction__16" class="foldit">
              <div class="descr">
                <p> derived objects for permutation representations</p>
              </div>
              <b>derived from: </b>
              <a href="#group__Action__15" onclick="unfold('span:group__Action__15');">Action</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of PermutationAction</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__BASE__72" onclick="swap_content('span:group__BASE__72'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="group__BASE__72" onclick="swap_content('span:group__BASE__72'); return false;"><b>BASE</b>:
		</a>
                      <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:group__BASE__72" class="foldit">
                        <div class="descr">
                          <p> A base for <a href="#group__STRONG_GENERATORS__73" onclick="unfold('span:group__STRONG_GENERATORS__73');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__N_STRONG_GENERATORS__74" onclick="swap_content('span:group__N_STRONG_GENERATORS__74'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="group__N_STRONG_GENERATORS__74" onclick="swap_content('span:group__N_STRONG_GENERATORS__74'); return false;"><b>N_STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:group__N_STRONG_GENERATORS__74" class="foldit">
                        <div class="descr">
                          <p> The number of <a href="#group__STRONG_GENERATORS__73" onclick="unfold('span:group__STRONG_GENERATORS__73');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__STRONG_GENERATORS__73" onclick="swap_content('span:group__STRONG_GENERATORS__73'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="group__STRONG_GENERATORS__73" onclick="swap_content('span:group__STRONG_GENERATORS__73'); return false;"><b>STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:group__STRONG_GENERATORS__73" class="foldit">
                        <div class="descr">
                          <p> Strong generating set with respect to <a href="#group__BASE__72" onclick="unfold('span:group__BASE__72');">BASE</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__TRANSVERSALS__70" onclick="swap_content('span:group__TRANSVERSALS__70'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="group__TRANSVERSALS__70" onclick="swap_content('span:group__TRANSVERSALS__70'); return false;"><b>TRANSVERSALS</b>:
		</a>
                      <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:group__TRANSVERSALS__70" class="foldit">
                        <div class="descr">
                          <p> Transversals along the stabilizer chain. </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__TRANSVERSAL_SIZES__71" onclick="swap_content('span:group__TRANSVERSAL_SIZES__71'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="group__TRANSVERSAL_SIZES__71" onclick="swap_content('span:group__TRANSVERSAL_SIZES__71'); return false;"><b>TRANSVERSAL_SIZES</b>:
		</a>
                      <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:group__TRANSVERSAL_SIZES__71" class="foldit">
                        <div class="descr">
                          <p> The number of group elements per transversal.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__PermutationActionOnSets__11" onclick="swap_content('span:group__PermutationActionOnSets__11'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="group__PermutationActionOnSets__11" onclick="swap_content('span:group__PermutationActionOnSets__11'); return false;">
                  <span class="object">PermutationActionOnSets</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__PermutationActionOnSets__11" class="foldit">
              <div class="descr">
                <p> derived object for permuting collections of sets</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:group__induced_action__19" onclick="swap_content('span:group__induced_action__19'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="group__induced_action__19" onclick="swap_content('span:group__induced_action__19'); return false;"><b>induced_action</b></a>
			()  

			<div style="display: inline" id="span:group__induced_action__19" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Orbits__17" onclick="swap_content('span:group__Orbits__17'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="group__Orbits__17" onclick="swap_content('span:group__Orbits__17'); return false;">
                  <span class="category">Orbits</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Orbits__17" class="foldit">
              <div class="descr">
                <p> These functions are concerned with orbits in groups.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__are_in_same_orbit__27" onclick="swap_content('span:group__are_in_same_orbit__27'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__are_in_same_orbit__27" onclick="swap_content('span:group__are_in_same_orbit__27'); return false;"><b>are_in_same_orbit</b></a>
			(action, vec1, vec2)  

			
				→ Bool<div style="display: inline" id="span:group__are_in_same_orbit__27" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether vector <em class="param">vec1</em> and <em class="param">vec2</em> are in the same orbit
 with respect to the (coordinate) action of <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">action</td><td><div class="descr"><div>the permutation group acting on coordinates</div></div></td></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector</a></td><td class="param">vec1</td><td/></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector</a></td><td class="param">vec2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbit__32" onclick="swap_content('span:group__orbit__32'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbit__32" onclick="swap_content('span:group__orbit__32'); return false;"><b>orbit</b></a>
			&lt;action_type&gt;
		 
			(G, O)  

			
				→ Set&lt;Object&gt;<div style="display: inline" id="span:group__orbit__32" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of an object <em class="param">O</em> under a group generated by <em class="param">G</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#group__on_container__7" onclick="unfold('span:group__on_container__7');">on_container</a>, <a href="#group__on_elements__6" onclick="unfold('span:group__on_elements__6');">on_elements</a>, <a href="#group__on_rows__5" onclick="unfold('span:group__on_rows__5');">on_rows</a>, <a href="#group__on_cols__8" onclick="unfold('span:group__on_cols__8');">on_cols</a>, <a href="#group__on_nonhomog_cols__10" onclick="unfold('span:group__on_nonhomog_cols__10');">on_nonhomog_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td class="param">G</td><td><div class="descr"><div>Group generators</div></div></td></tr><tr><td><a href="core.html#core__Core__Object__7" onclick="unfold('span:core__Core__Object__7');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Object&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__76" onclick="swap_content('span:group__overload_1__76'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__76" onclick="swap_content('span:group__overload_1__76'); return false;"><b>orbit</b></a>
			(G, C)  

			
				→ Set&lt;container&gt;<div style="display: inline" id="span:group__overload_1__76" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of an container <em class="param">C</em> under a group<em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Any</a></td><td class="param">C</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;container&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbits_in_orbit_order__30" onclick="swap_content('span:group__orbits_in_orbit_order__30'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbits_in_orbit_order__30" onclick="swap_content('span:group__orbits_in_orbit_order__30'); return false;"><b>orbits_in_orbit_order</b></a>
			(action, mat)  

			
				→ List<div style="display: inline" id="span:group__orbits_in_orbit_order__30" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbit of the rows of the matrix <em class="param">mat</em>
 under the permutation action on coordinates <em class="param">action</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">action</td><td><div class="descr"><div>an action of a group of coordinate permutations</div></div></td></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix&lt;Scalar&gt;</a></td><td class="param">mat</td><td><div class="descr"><div>some input vectors</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List</a></td><td><div class="descr"><div>( Matrix generated vectors in orbit order, Array orbits of generated vectors)</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbits_of_action__28" onclick="swap_content('span:group__orbits_of_action__28'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbits_of_action__28" onclick="swap_content('span:group__orbits_of_action__28'); return false;"><b>orbits_of_action</b></a>
			(a)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:group__orbits_of_action__28" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the basic set under <em class="param">a</em>. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">a</td><td><div class="descr"><div>a permutation action of a group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbits_of_coordinate_action__29" onclick="swap_content('span:group__orbits_of_coordinate_action__29'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbits_of_coordinate_action__29" onclick="swap_content('span:group__orbits_of_coordinate_action__29'); return false;"><b>orbits_of_coordinate_action</b></a>
			(a, M)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:group__orbits_of_coordinate_action__29" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the vectors (homogenized) of the rows of a matrix <em class="param">M</em> by
 permuting the coordinates of the vectors (skipping the homogenizing coordinate).
 The group must act on the set of vectors, and the rows of the matrix must contain the entire orbit.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">a</td><td><div class="descr"><div>an action of a group acting by permuting the coordinates</div></div></td></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix&lt;Scalar&gt;</a></td><td class="param">M</td><td><div class="descr"><div>a matrix on whose columns the group acts by 
    coordinate permutation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>an array of the orbits under the action on the coordinates</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbits_of_induced_action__26" onclick="swap_content('span:group__orbits_of_induced_action__26'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbits_of_induced_action__26" onclick="swap_content('span:group__orbits_of_induced_action__26'); return false;"><b>orbits_of_induced_action</b></a>
			(action, inc)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:group__orbits_of_induced_action__26" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of a set on which an action is induced.
 The incidences between the domain elements and the elements
 in the set are given by an incidence matrix <em class="param">inc</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">action</td><td><div class="descr"><div>an action of group</div></div></td></tr><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td class="param">inc</td><td><div class="descr"><div>the incidences between domain elements
    and elements on which an action is induced</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>an array of the orbits of the induced action</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbit_permlib__33" onclick="swap_content('span:group__orbit_permlib__33'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbit_permlib__33" onclick="swap_content('span:group__orbit_permlib__33'); return false;"><b>orbit_permlib</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:group__orbit_permlib__33" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> under a group <em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__78" onclick="swap_content('span:group__overload_1__78'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__78" onclick="swap_content('span:group__overload_1__78'); return false;"><b>orbit_permlib</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:group__overload_1__78" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> of sets under a group <em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Set&gt;</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__orbit_representatives__31" onclick="swap_content('span:group__orbit_representatives__31'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__orbit_representatives__31" onclick="swap_content('span:group__orbit_representatives__31'); return false;"><b>orbit_representatives</b></a>
			(G)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:group__orbit_representatives__31" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The indices of one representative for each orbit under the group generated by <em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;GeneratorType&gt;</a></td><td class="param">G</td><td><div class="descr"><div>Group generators</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Other__22" onclick="swap_content('span:group__Other__22'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="group__Other__22" onclick="swap_content('span:group__Other__22'); return false;">
                  <span class="category">Other</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Other__22" class="foldit">
              <div class="descr">
                <p> Special purpose functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__conjugacy_classes__67" onclick="swap_content('span:group__conjugacy_classes__67'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__conjugacy_classes__67" onclick="swap_content('span:group__conjugacy_classes__67'); return false;"><b>conjugacy_classes</b></a>
			(the, the)  

			
				→ Array&lt;Array&lt;Array&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:group__conjugacy_classes__67" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the conjugacy classes of a group</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">the</td><td><div class="descr"><div>generators of the group</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">the</td><td><div class="descr"><div>representatives of the conjugacy classes</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Array&lt;Int&gt;&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__induced_rep__63" onclick="swap_content('span:group__induced_rep__63'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__induced_rep__63" onclick="swap_content('span:group__induced_rep__63'); return false;"><b>induced_rep</b></a>
			(C, A, g)  

			
				→ SparseMatrix<div style="display: inline" id="span:group__induced_rep__63" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the representation of a group element</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#polytope__Cone__84" onclick="unfold('span:polytope__Cone__84');">polytope::Cone</a></td><td class="param">C</td><td><div class="descr"><div>the cone or polytope containing the sets acted upon</div></div></td></tr><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">A</td><td><div class="descr"><div>the action in question</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td class="param">g</td><td><div class="descr"><div>the group element, acting on vertices</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__irreducible_decomposition__61" onclick="swap_content('span:group__irreducible_decomposition__61'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__irreducible_decomposition__61" onclick="swap_content('span:group__irreducible_decomposition__61'); return false;"><b>irreducible_decomposition</b></a>
			(the, the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:group__irreducible_decomposition__61" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the decomposition into irreducible components of a given representation</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td class="param">the</td><td><div class="descr"><div>character of the given representation</div></div></td></tr><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">the</td><td><div class="descr"><div>given group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__isotypic_basis__66" onclick="swap_content('span:group__isotypic_basis__66'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__isotypic_basis__66" onclick="swap_content('span:group__isotypic_basis__66'); return false;"><b>isotypic_basis</b></a>
			(the, the)  

			
				→ SparseMatrix<div style="display: inline" id="span:group__isotypic_basis__66" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a basis of the isotypic component given by the i-th irrep</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the sought irrep</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td><div class="descr"><div>a matrix whose rows form a basis of the i-th irrep</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__87" onclick="swap_content('span:group__overload_1__87'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__87" onclick="swap_content('span:group__overload_1__87'); return false;"><b>isotypic_basis</b></a>
			(G, the, the)  

			
				→ SparseMatrix<div style="display: inline" id="span:group__overload_1__87" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a basis of the isotypic component given by the i-th irrep</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">group::Group</a></td><td class="param">G</td><td><div class="descr"><div>the acting group</div></div></td></tr><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">the</td><td><div class="descr"><div>action in question</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the sought irrep</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td><div class="descr"><div>a matrix whose rows form a basis of the i-th irrep</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__isotypic_projector__62" onclick="swap_content('span:group__isotypic_projector__62'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__isotypic_projector__62" onclick="swap_content('span:group__isotypic_projector__62'); return false;"><b>isotypic_projector</b></a>
			(G, A, i)  

			
				→ SparseMatrix&lt;AccurateFloat&gt;<div style="display: inline" id="span:group__isotypic_projector__62" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the projection map into the isotypic component given by the i-th irrep.
 The map is given by a block matrix, the rows and columns of which are indexed
 by the domain elements in order of their orbits.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">group::Group</a></td><td class="param">G</td><td><div class="descr"><div>the acting group</div></div></td></tr><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">A</td><td><div class="descr"><div>the action in question</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">i</td><td><div class="descr"><div>the index of the sought irrep</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix&lt;AccurateFloat&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__82" onclick="swap_content('span:group__overload_1__82'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__82" onclick="swap_content('span:group__overload_1__82'); return false;"><b>isotypic_projector</b></a>
			(C, A, i)  

			
				→ SparseMatrix<div style="display: inline" id="span:group__overload_1__82" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the projection map into the isotypic component given by the i-th irrep.
 The map is given by a block matrix, the rows and columns of which are indexed
 by the domain elements in order of their orbits.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#polytope__Cone__84" onclick="unfold('span:polytope__Cone__84');">polytope::Cone</a></td><td class="param">C</td><td><div class="descr"><div>the cone or polytope containing the action in question</div></div></td></tr><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">A</td><td><div class="descr"><div>the action in question</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">i</td><td><div class="descr"><div>the index of the sought irrep</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__isotypic_supports__65" onclick="swap_content('span:group__isotypic_supports__65'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__isotypic_supports__65" onclick="swap_content('span:group__isotypic_supports__65'); return false;"><b>isotypic_supports</b></a>
			(the, the)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:group__isotypic_supports__65" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each isotypic component, which of a given array of sets are supported on it?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>given array of sets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__85" onclick="swap_content('span:group__overload_1__85'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__85" onclick="swap_content('span:group__overload_1__85'); return false;"><b>isotypic_supports</b></a>
			(the, the)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:group__overload_1__85" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each row of a given SparseMatrix, to which isotypic components does it have a non-zero projection?
 The columns of the SparseMatrix correspond, in order, to the sets of the representation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td class="param">the</td><td><div class="descr"><div>given matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__row_support_sizes__64" onclick="swap_content('span:group__row_support_sizes__64'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__row_support_sizes__64" onclick="swap_content('span:group__row_support_sizes__64'); return false;"><b>row_support_sizes</b></a>
			(the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:group__row_support_sizes__64" class="foldit"><br/><div class="descr_func"><div class="descr"><p> How many non-zero entries are there in each row of a SparseMatrix?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__SparseMatrix__289" onclick="unfold('span:common__SparseMatrix__289');">SparseMatrix</a></td><td class="param">the</td><td><div class="descr"><div>given matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Producing_a_group__20" onclick="swap_content('span:group__Producing_a_group__20'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="group__Producing_a_group__20" onclick="swap_content('span:group__Producing_a_group__20'); return false;">
                  <span class="category">Producing a group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Producing_a_group__20" class="foldit">
              <div class="descr">
                <p> With these clients you can produce objects of type <a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a> -- groups from certain parameterized families, as stabilizers of sets in other groups or from different kinds of cycle notations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__alternating_group__46" onclick="swap_content('span:group__alternating_group__46'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__alternating_group__46" onclick="swap_content('span:group__alternating_group__46'); return false;"><b>alternating_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:group__alternating_group__46" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs an <em class="u">alternating group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the alternating group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__cube_group__45" onclick="swap_content('span:group__cube_group__45'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__cube_group__45" onclick="swap_content('span:group__cube_group__45'); return false;"><b>cube_group</b></a>
			(dimension)  

			
				→ Group<div style="display: inline" id="span:group__cube_group__45" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the symmetry group of a d-cube, 3 &lt;= d &lt;= 6 (for the moment) 
 with the corresponding character table and conjugacy class representatives.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">dimension</td><td><div class="descr"><div>of the cube</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__cyclic_group__44" onclick="swap_content('span:group__cyclic_group__44'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__cyclic_group__44" onclick="swap_content('span:group__cyclic_group__44'); return false;"><b>cyclic_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:group__cyclic_group__44" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cyclic group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the cyclic group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__dihedral_group__40" onclick="swap_content('span:group__dihedral_group__40'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__dihedral_group__40" onclick="swap_content('span:group__dihedral_group__40'); return false;"><b>dihedral_group</b></a>
			(order)  

			
				→ Group<div style="display: inline" id="span:group__dihedral_group__40" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">dihedral group</em> of a given <em class="param">order</em>.
 If the order is 2, 4, 6, 8, 10, 12, 16, 20 or 24, the character table is exact,
 otherwise some entries are mutilated rational approximations of algebraic numbers.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">order</td><td><div class="descr"><div>of the dihedral group (acts on a regular <em class="param">(order/2)</em>-gon</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__group_from_cyclic_notation0__47" onclick="swap_content('span:group__group_from_cyclic_notation0__47'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__group_from_cyclic_notation0__47" onclick="swap_content('span:group__group_from_cyclic_notation0__47'); return false;"><b>group_from_cyclic_notation0</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group__group_from_cyclic_notation0__47" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 0-based.
 Example: "(0,2)(1,3)"</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__group_from_cyclic_notation1__39" onclick="swap_content('span:group__group_from_cyclic_notation1__39'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__group_from_cyclic_notation1__39" onclick="swap_content('span:group__group_from_cyclic_notation1__39'); return false;"><b>group_from_cyclic_notation1</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group__group_from_cyclic_notation1__39" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 1-based.
 Example: "(1,3)(2,4)"</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__group_from_permlib_cyclic_notation__41" onclick="swap_content('span:group__group_from_permlib_cyclic_notation__41'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__group_from_permlib_cyclic_notation__41" onclick="swap_content('span:group__group_from_permlib_cyclic_notation__41'); return false;"><b>group_from_permlib_cyclic_notation</b></a>
			(gens, degree)  

			
				→ Group<div style="display: inline" id="span:group__group_from_permlib_cyclic_notation__41" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a Group from generators given in permlib cyclic notation,
 i.e., indices separated by whitespace, generators separated by commas.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>generators of the permutation group in permlib cyclic notation</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>the degree of the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td><div class="descr"><div>the group generated by <em class="param">gens</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__stabilizer_of_set__42" onclick="swap_content('span:group__stabilizer_of_set__42'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__stabilizer_of_set__42" onclick="swap_content('span:group__stabilizer_of_set__42'); return false;"><b>stabilizer_of_set</b></a>
			(action, set)  

			
				→ Group<div style="display: inline" id="span:group__stabilizer_of_set__42" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given set of indices <em class="param">set</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">action</td><td><div class="descr"><div>the action of a permutation group</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td class="param">set</td><td><div class="descr"><div>the set to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">set</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__stabilizer_of_vector__48" onclick="swap_content('span:group__stabilizer_of_vector__48'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__stabilizer_of_vector__48" onclick="swap_content('span:group__stabilizer_of_vector__48'); return false;"><b>stabilizer_of_vector</b></a>
			(group, vec)  

			
				→ Group<div style="display: inline" id="span:group__stabilizer_of_vector__48" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given vector <em class="param">vec</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a permutation group</div></div></td></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector</a></td><td class="param">vec</td><td><div class="descr"><div>the vector to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">vec</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__symmetric_group__43" onclick="swap_content('span:group__symmetric_group__43'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__symmetric_group__43" onclick="swap_content('span:group__symmetric_group__43'); return false;"><b>symmetric_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:group__symmetric_group__43" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">symmetric group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the symmetric group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Symmetry__21" onclick="swap_content('span:group__Symmetry__21'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="group__Symmetry__21" onclick="swap_content('span:group__Symmetry__21'); return false;">
                  <span class="category">Symmetry</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Symmetry__21" class="foldit">
              <div class="descr">
                <p> These functions capture information of the object that is concerned with the action of permutation groups.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__col_to_row_action__56" onclick="swap_content('span:group__col_to_row_action__56'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__col_to_row_action__56" onclick="swap_content('span:group__col_to_row_action__56'); return false;"><b>col_to_row_action</b></a>
			(M, of)  

			
				→ Array<div style="display: inline" id="span:group__col_to_row_action__56" class="foldit"><br/><div class="descr_func"><div class="descr"><p> If the action of some permutations on the entries of the rows 
 maps each row of a matrix to another row we obtain an induced action
 on the set of rows of the matrix.
 Considering the rows as points this corresponds to the action on the
 points induced by the action of some permutations on the coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">M</td><td/></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td class="param">of</td><td><div class="descr"><div>permutations</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td><div class="descr"><div>of permutations</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__group_left_multiplication_table__54" onclick="swap_content('span:group__group_left_multiplication_table__54'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__group_left_multiplication_table__54" onclick="swap_content('span:group__group_left_multiplication_table__54'); return false;"><b>group_left_multiplication_table</b></a>
			(G)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:group__group_left_multiplication_table__54" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the left multiplication table of a group action, in which GMT[g][h] = hg</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">action</td><td><div class="descr"><div>which action to take for the calculation; default PERMUTATION_ACTION</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>GMT the multiplication table, where the elements of <em class="param">G</em> are
 ordered by conjugacy classes (if available), else in generated order</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__group_right_multiplication_table__53" onclick="swap_content('span:group__group_right_multiplication_table__53'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__group_right_multiplication_table__53" onclick="swap_content('span:group__group_right_multiplication_table__53'); return false;"><b>group_right_multiplication_table</b></a>
			(G)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:group__group_right_multiplication_table__53" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the right multiplication table of a group action, in which GMT[g][h] = gh</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">action</td><td><div class="descr"><div>which action to take for the calculation; default PERMUTATION_ACTION</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>GMT the multiplication table, where the elements of <em class="param">G</em> are
 ordered by conjugacy classes (if available), else in generated order</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__implicit_character__55" onclick="swap_content('span:group__implicit_character__55'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__implicit_character__55" onclick="swap_content('span:group__implicit_character__55'); return false;"><b>implicit_character</b></a>
			(the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:group__implicit_character__55" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate character of an implicit action</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__ImplicitActionOnSets__14" onclick="unfold('span:group__ImplicitActionOnSets__14');">ImplicitActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>given action</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__induced_permutations__52" onclick="swap_content('span:group__induced_permutations__52'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__induced_permutations__52" onclick="swap_content('span:group__induced_permutations__52'); return false;"><b>induced_permutations</b></a>
			(gens, M)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:group__induced_permutations__52" class="foldit"><br/><div class="descr_func"><div class="descr"><p> gives the permutations that are induced on the rows of a matrix <em class="param">M</em>
 by the action of <em class="param">gens</em> on the columns of <em class="param">M</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>a list of permutations</div></div></td></tr><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>the matrix acted upon</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">homogeneous_action</td><td><div class="descr"><div>should the generators also act on the homogeneous column? Default False</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_1__81" onclick="swap_content('span:group__overload_1__81'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_1__81" onclick="swap_content('span:group__overload_1__81'); return false;"><b>induced_permutations</b></a>
			(gens, the)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:group__overload_1__81" class="foldit"><br/><div class="descr_func"><div class="descr"><p> gives the permutations that are induced on an ordered collection <em class="param">S</em>
 by the action of <em class="param">gens</em> on the elements of <em class="param">S</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td/></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;DomainType&gt;</a></td><td class="param">the</td><td><div class="descr"><div>collection acted upon</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__overload_2__80" onclick="swap_content('span:group__overload_2__80'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__overload_2__80" onclick="swap_content('span:group__overload_2__80'); return false;"><b>induced_permutations</b></a>
			(a, M)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:group__overload_2__80" class="foldit"><br/><div class="descr_func"><div class="descr"><p> gives the permutations that are induced on the rows of an incidence matrix <em class="param">M</em>
 by the action of <em class="param">gens</em> on the columns of <em class="param">M</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">a</td><td><div class="descr"><div>the permutation action</div></div></td></tr><tr><td><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">IncidenceMatrix</a></td><td class="param">M</td><td><div class="descr"><div>the matrix acted upon</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__lex_min_representative__50" onclick="swap_content('span:group__lex_min_representative__50'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__lex_min_representative__50" onclick="swap_content('span:group__lex_min_representative__50'); return false;"><b>lex_min_representative</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:group__lex_min_representative__50" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the lexicographically smallest representative of a given set with respect to a group</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">G</td><td><div class="descr"><div>a symmetry group</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td class="param">S</td><td><div class="descr"><div>a set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td><div class="descr"><div>the lex-min representative of S</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__partition_representatives__49" onclick="swap_content('span:group__partition_representatives__49'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__partition_representatives__49" onclick="swap_content('span:group__partition_representatives__49'); return false;"><b>partition_representatives</b></a>
			(gens, S)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:group__partition_representatives__49" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Partition a group into translates of a set stabilizer</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>the generators of a given group action</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">S</td><td><div class="descr"><div>a set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__spans_invariant_subspace__59" onclick="swap_content('span:group__spans_invariant_subspace__59'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__spans_invariant_subspace__59" onclick="swap_content('span:group__spans_invariant_subspace__59'); return false;"><b>spans_invariant_subspace</b></a>
			(a, S)  

			
				→ Bool<div style="display: inline" id="span:group__spans_invariant_subspace__59" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Does a set <em class="param">S</em> of sparse vectors span an invariant subspace under an implicit group action <em class="param">a</em>?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__ImplicitActionOnSets__14" onclick="unfold('span:group__ImplicitActionOnSets__14');">group::ImplicitActionOnSets</a></td><td class="param">a</td><td><div class="descr"><div>the given action</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;HashMap&lt;Bitset, Rational&gt;&gt;</a></td><td class="param">S</td><td><div class="descr"><div>the sparsely given generating vectors of the subspace</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>give a certificate if the answer is False</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__span_same_subspace__57" onclick="swap_content('span:group__span_same_subspace__57'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__span_same_subspace__57" onclick="swap_content('span:group__span_same_subspace__57'); return false;"><b>span_same_subspace</b></a>
			(S1, S2)  

			
				→ Bool<div style="display: inline" id="span:group__span_same_subspace__57" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Do two collections <em class="param">S1</em>, <em class="param">S2</em> of sparse vectors span the same subspace?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;HashMap&lt;SetType, Rational&gt;&gt;</a></td><td class="param">S1</td><td><div class="descr"><div>the sparse generating vectors of the first subspace</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;HashMap&lt;SetType, Rational&gt;&gt;</a></td><td class="param">S2</td><td><div class="descr"><div>the sparse generating vectors of the second subspace</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__sparse_isotypic_basis__60" onclick="swap_content('span:group__sparse_isotypic_basis__60'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__sparse_isotypic_basis__60" onclick="swap_content('span:group__sparse_isotypic_basis__60'); return false;"><b>sparse_isotypic_basis</b></a>
			(the, the)  

			
				→ Array&lt;HashMap&lt;Bitset,Rational&gt;&gt;<div style="display: inline" id="span:group__sparse_isotypic_basis__60" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a sparse representation of a basis for an isotypic component.
 For this, the sets in the representation are listed in order by orbit. In this basis,
 the projection matrix to the isotypic component decomposes into blocks, one for each orbit.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>given representation</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the irrep that defines the isotypic component</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">use_double</td><td><div class="descr"><div>use inexact arithmetic for reducing the basis; default 0</div></div></td></tr><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">filename</td><td><div class="descr"><div>if defined, the basis will be written to a file with this name, but not returned.
 Use this option if you expect very large output.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;HashMap&lt;Bitset,Rational&gt;&gt;</a></td><td><div class="descr"><div>Basis. Each entry tells the coefficient for each orbit representative.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__sparse_isotypic_spanning_set__51" onclick="swap_content('span:group__sparse_isotypic_spanning_set__51'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__sparse_isotypic_spanning_set__51" onclick="swap_content('span:group__sparse_isotypic_spanning_set__51'); return false;"><b>sparse_isotypic_spanning_set</b></a>
			(the, the)  

			
				→ Array&lt;HashMap&lt;Bitset,Rational&gt;&gt;<div style="display: inline" id="span:group__sparse_isotypic_spanning_set__51" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a sparse representation of a spanning set for an isotypic component.
 For this, the sets in the representation are listed in order by orbit. In this basis,
 the projection matrix to the isotypic component decomposes into blocks, one for each orbit.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>given representation</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the irrep that defines the isotypic component</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">filename</td><td><div class="descr"><div>if defined, the basis will be written to a file with this name, but not returned.
 Use this option if you expect very large output.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;HashMap&lt;Bitset,Rational&gt;&gt;</a></td><td><div class="descr"><div>SpanningSet. Each entry tells the coefficient for each orbit representative.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__sparse_isotypic_support__58" onclick="swap_content('span:group__sparse_isotypic_support__58'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__sparse_isotypic_support__58" onclick="swap_content('span:group__sparse_isotypic_support__58'); return false;"><b>sparse_isotypic_support</b></a>
			(the, the)  

			
				→ HashSet&lt;Bitset&gt;<div style="display: inline" id="span:group__sparse_isotypic_support__58" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the support of a sparse representation of a spanning set for an isotypic component.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationActionOnSets__11" onclick="unfold('span:group__PermutationActionOnSets__11');">PermutationActionOnSets</a></td><td class="param">the</td><td><div class="descr"><div>given representation</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the irrep that defines the isotypic component</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">filename</td><td><div class="descr"><div>if defined, the basis will be written to a file with this name, but not returned.
 Use this option if you expect very large output.</div></div></td></tr></table><div class="descr"><div>Bool equivalence_class_only only report representatives of simplices, default true</div></div><table class="args"/><div class="descr"><div>Bool index_only only output the indices of the representatives to filename, default true</div></div><table class="args"/><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__HashSet__341" onclick="unfold('span:common__HashSet__341');">HashSet&lt;Bitset&gt;</a></td><td><div class="descr"><div>Support.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__Utilities__18" onclick="swap_content('span:group__Utilities__18'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="group__Utilities__18" onclick="swap_content('span:group__Utilities__18'); return false;">
                  <span class="category">Utilities</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:group__Utilities__18" class="foldit">
              <div class="descr">
                <p> Miscellaneous functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__action__38" onclick="swap_content('span:group__action__38'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__action__38" onclick="swap_content('span:group__action__38'); return false;"><b>action</b></a>
			&lt;action_type&gt;
		 
			(g, O)  

			
				→ Object<div style="display: inline" id="span:group__action__38" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The image of an object <em class="param">O</em> under a group element <em class="param">g</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#group__on_container__7" onclick="unfold('span:group__on_container__7');">on_container</a>, <a href="#group__on_elements__6" onclick="unfold('span:group__on_elements__6');">on_elements</a>, <a href="#group__on_rows__5" onclick="unfold('span:group__on_rows__5');">on_rows</a>, <a href="#group__on_cols__8" onclick="unfold('span:group__on_cols__8');">on_cols</a>, <a href="#group__on_nonhomog_cols__10" onclick="unfold('span:group__on_nonhomog_cols__10');">on_nonhomog_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Any</a></td><td class="param">g</td><td><div class="descr"><div>Group element</div></div></td></tr><tr><td><a href="core.html#core__Core__Object__7" onclick="unfold('span:core__Core__Object__7');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="core.html#core__Core__Object__7" onclick="unfold('span:core__Core__Object__7');">Object</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__action_from_generators__34" onclick="swap_content('span:group__action_from_generators__34'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__action_from_generators__34" onclick="swap_content('span:group__action_from_generators__34'); return false;"><b>action_from_generators</b></a>
			(gens, action)  

			<div style="display: inline" id="span:group__action_from_generators__34" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes groups with a permutation action with the basic properties <a href="#group__BASE__72" onclick="unfold('span:group__BASE__72');">BASE</a>, 
 <a href="#group__STRONG_GENERATORS__73" onclick="unfold('span:group__STRONG_GENERATORS__73');">STRONG_GENERATORS</a>, and <a href="#group__TRANSVERSALS__70" onclick="unfold('span:group__TRANSVERSALS__70');">TRANSVERSALS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>some generators of the group</div></div></td></tr><tr><td><a href="#group__Group__12" onclick="unfold('span:group__Group__12');">Group</a></td><td class="param">action</td><td><div class="descr"><div>the generated action</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__action_inv__37" onclick="swap_content('span:group__action_inv__37'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__action_inv__37" onclick="swap_content('span:group__action_inv__37'); return false;"><b>action_inv</b></a>
			&lt;action_type&gt;
		 
			(p, O)  

			
				→ Object<div style="display: inline" id="span:group__action_inv__37" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The image of an object <em class="param">O</em> under the inverse of a
 permutation <em class="param">p</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#group__on_container__7" onclick="unfold('span:group__on_container__7');">on_container</a>, <a href="#group__on_elements__6" onclick="unfold('span:group__on_elements__6');">on_elements</a>, <a href="#group__on_rows__5" onclick="unfold('span:group__on_rows__5');">on_rows</a>, <a href="#group__on_cols__8" onclick="unfold('span:group__on_cols__8');">on_cols</a>, <a href="#group__on_nonhomog_cols__10" onclick="unfold('span:group__on_nonhomog_cols__10');">on_nonhomog_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td class="param">p</td><td><div class="descr"><div>permutation</div></div></td></tr><tr><td><a href="core.html#core__Core__Object__7" onclick="unfold('span:core__Core__Object__7');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="core.html#core__Core__Object__7" onclick="unfold('span:core__Core__Object__7');">Object</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__action_to_cyclic_notation__36" onclick="swap_content('span:group__action_to_cyclic_notation__36'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__action_to_cyclic_notation__36" onclick="swap_content('span:group__action_to_cyclic_notation__36'); return false;"><b>action_to_cyclic_notation</b></a>
			(a)  

			
				→ String<div style="display: inline" id="span:group__action_to_cyclic_notation__36" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns group generators in 1-based cyclic notation
 (GAP like, not permlib like notation)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">a</td><td><div class="descr"><div>the action of the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td><div class="descr"><div>group generators, separated by newline and comma</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group__all_group_elements__35" onclick="swap_content('span:group__all_group_elements__35'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group__all_group_elements__35" onclick="swap_content('span:group__all_group_elements__35'); return false;"><b>all_group_elements</b></a>
			(action)  

			
				→ Array<div style="display: inline" id="span:group__all_group_elements__35" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute all elements of a given <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#group__PermutationAction__16" onclick="unfold('span:group__PermutationAction__16');">PermutationAction</a></td><td class="param">action</td><td><div class="descr"><div>the action of a permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array</a></td><td><div class="descr"><div>&lt;Array&lt;Int&gt; contains all group elements </div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_cols__8" onclick="swap_content('span:group__on_cols__8'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_cols__8" onclick="swap_content('span:group__on_cols__8'); return false;">
              <b>on_cols</b>
            </a>
            <div style="display: inline" id="span:group__on_cols__8" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on the columns of a matrix.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_container__7" onclick="swap_content('span:group__on_container__7'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_container__7" onclick="swap_content('span:group__on_container__7'); return false;">
              <b>on_container</b>
            </a>
            <div style="display: inline" id="span:group__on_container__7" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on the given container. It will permute the order of
 the elements</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_elements__6" onclick="swap_content('span:group__on_elements__6'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_elements__6" onclick="swap_content('span:group__on_elements__6'); return false;">
              <b>on_elements</b>
            </a>
            <div style="display: inline" id="span:group__on_elements__6" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on the deepest elements inside a given container,
 which should be of type <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a>.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_nonhomog_cols__10" onclick="swap_content('span:group__on_nonhomog_cols__10'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_nonhomog_cols__10" onclick="swap_content('span:group__on_nonhomog_cols__10'); return false;">
              <b>on_nonhomog_cols</b>
            </a>
            <div style="display: inline" id="span:group__on_nonhomog_cols__10" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on all columns of a matrix, except the '0'-th one,
 and adjusting the indices of the permutation</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_nonhomog_container__9" onclick="swap_content('span:group__on_nonhomog_container__9'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_nonhomog_container__9" onclick="swap_content('span:group__on_nonhomog_container__9'); return false;">
              <b>on_nonhomog_container</b>
            </a>
            <div style="display: inline" id="span:group__on_nonhomog_container__9" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on the given container. It will permute the order of
 the elements, leaving the '0'-th one fixed and adjusting the indices of the permutation</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:group__on_rows__5" onclick="swap_content('span:group__on_rows__5'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="group__on_rows__5" onclick="swap_content('span:group__on_rows__5'); return false;">
              <b>on_rows</b>
            </a>
            <div style="display: inline" id="span:group__on_rows__5" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#group__action__38" onclick="unfold('span:group__action__38');">action</a> and <a href="#group__orbit__32" onclick="unfold('span:group__orbit__32');">orbit</a> specifying that
 the permutation acts on the rows of a matrix.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
