<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: ideal</h1>
  <div class="descr">
    <p> This application allows to define ideals and enables other applications to
 use these. For example we can compute the tropical variety of an ideal via
 gfan in the application 'tropical'. Using this application with the bundled
 extension Singular adds a lot more commutative algebra power.</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__Groebner__10" onclick="swap_content('span:ideal__Groebner__10'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="ideal__Groebner__10" onclick="swap_content('span:ideal__Groebner__10'); return false;">
                  <span class="object">Groebner</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__Groebner__10" class="foldit">
              <div class="descr">
                <p> The Groebner object collects information about an ideal depending on the
 monomial ordering of the ambient ring.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Groebner</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__Commutative_algebra__27" onclick="swap_content('span:ideal__Commutative_algebra__27'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__Commutative_algebra__27" onclick="swap_content('span:ideal__Commutative_algebra__27'); return false;">
                            <span class="category">Commutative algebra</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__Commutative_algebra__27" class="foldit">
                        <div class="descr">
                          <p> Properties of an ideal with a monomial ordering from commutative algebra.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__BASIS__47" onclick="swap_content('span:ideal__BASIS__47'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__BASIS__47" onclick="swap_content('span:ideal__BASIS__47'); return false;"><b>BASIS</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Polynomial&lt;Rational, Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__BASIS__47" class="foldit">
                                  <div class="descr">
                                    <p> The elements of the Groebner basis corresponding to the given order. This
 may vary for different algorithms, even if the order stays the same.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__INITIAL_FORMS__46" onclick="swap_content('span:ideal__INITIAL_FORMS__46'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__INITIAL_FORMS__46" onclick="swap_content('span:ideal__INITIAL_FORMS__46'); return false;"><b>INITIAL_FORMS</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Polynomial&lt;Rational, Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__INITIAL_FORMS__46" class="foldit">
                                  <div class="descr">
                                    <p> The initial forms of all polynomials in the <a href="#ideal__BASIS__47" onclick="unfold('span:ideal__BASIS__47');">BASIS</a>, with respect to either the <a href="#ideal__ORDER_VECTOR__49" onclick="unfold('span:ideal__ORDER_VECTOR__49');">ORDER_VECTOR</a> or
 the first row of the <a href="#ideal__ORDER_MATRIX__51" onclick="unfold('span:ideal__ORDER_MATRIX__51');">ORDER_MATRIX</a>.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__INITIAL_IDEAL__48" onclick="swap_content('span:ideal__INITIAL_IDEAL__48'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__INITIAL_IDEAL__48" onclick="swap_content('span:ideal__INITIAL_IDEAL__48'); return false;"><b>INITIAL_IDEAL</b>:
		</a>
                                <a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__INITIAL_IDEAL__48" class="foldit">
                                  <div class="descr">
                                    <p> The initial order corresponding to the given order. This is always a
 <a href="#ideal__MONOMIAL__35" onclick="unfold('span:ideal__MONOMIAL__35');">MONOMIAL</a> ideal, even if only a weight vector is provided. Internally this
 weight vector will be concatenated with a total order.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__Input_properties__28" onclick="swap_content('span:ideal__Input_properties__28'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__Input_properties__28" onclick="swap_content('span:ideal__Input_properties__28'); return false;">
                            <span class="category">Input properties</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__Input_properties__28" class="foldit">
                        <div class="descr">
                          <p> Properties defining the Groebner subobject, i.e. a monomial order.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__ORDER_MATRIX__51" onclick="swap_content('span:ideal__ORDER_MATRIX__51'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__ORDER_MATRIX__51" onclick="swap_content('span:ideal__ORDER_MATRIX__51'); return false;"><b>ORDER_MATRIX</b>:
		</a>
                                <a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix&lt;Int, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__ORDER_MATRIX__51" class="foldit">
                                  <div class="descr">
                                    <p> The matrix defining the monomial ordering.
 For performance reasons this is realized via several weight vectors preceding a lexicographic order.
 (Singular: a(row), a(row),...,lp)</p>
                                    <p> Note that only one of <a href="#ideal__ORDER_MATRIX__51" onclick="unfold('span:ideal__ORDER_MATRIX__51');">ORDER_MATRIX</a>, <a href="#ideal__ORDER_VECTOR__49" onclick="unfold('span:ideal__ORDER_VECTOR__49');">ORDER_VECTOR</a>, <a href="#ideal__ORDER_NAME__50" onclick="unfold('span:ideal__ORDER_NAME__50');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__ORDER_NAME__50" onclick="swap_content('span:ideal__ORDER_NAME__50'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__ORDER_NAME__50" onclick="swap_content('span:ideal__ORDER_NAME__50'); return false;"><b>ORDER_NAME</b>:
		</a>
                                <a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">common::String</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__ORDER_NAME__50" class="foldit">
                                  <div class="descr">
                                    <p> A string containing the name of the monomial ordering. Currently we follow
 the singular conventions, i.e. dp, lp, rp, ds, etc.</p>
                                    <p> Note that only one of <a href="#ideal__ORDER_MATRIX__51" onclick="unfold('span:ideal__ORDER_MATRIX__51');">ORDER_MATRIX</a>, <a href="#ideal__ORDER_VECTOR__49" onclick="unfold('span:ideal__ORDER_VECTOR__49');">ORDER_VECTOR</a>, <a href="#ideal__ORDER_NAME__50" onclick="unfold('span:ideal__ORDER_NAME__50');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__ORDER_VECTOR__49" onclick="swap_content('span:ideal__ORDER_VECTOR__49'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__ORDER_VECTOR__49" onclick="swap_content('span:ideal__ORDER_VECTOR__49'); return false;"><b>ORDER_VECTOR</b>:
		</a>
                                <a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">common::Vector&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__ORDER_VECTOR__49" class="foldit">
                                  <div class="descr">
                                    <p> A weight vector for the monomial ordering, a reverse lexicographic order will be used
 as tie-breaker. (Singular: wp(vector))
 This vector is expected to consist of positive integers only.</p>
                                    <p> Note that only one of <a href="#ideal__ORDER_MATRIX__51" onclick="unfold('span:ideal__ORDER_MATRIX__51');">ORDER_MATRIX</a>, <a href="#ideal__ORDER_VECTOR__49" onclick="unfold('span:ideal__ORDER_VECTOR__49');">ORDER_VECTOR</a>, <a href="#ideal__ORDER_NAME__50" onclick="unfold('span:ideal__ORDER_NAME__50');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__Singular_interface__29" onclick="swap_content('span:ideal__Singular_interface__29'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__Singular_interface__29" onclick="swap_content('span:ideal__Singular_interface__29'); return false;">
                            <span class="category">Singular interface</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__Singular_interface__29" class="foldit">
                        <div class="descr">
                          <p> Functions, methods and objects and attached from/to Singular.</p>
                        </div>
                        <div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__SINGULAR_IDEAL__52" onclick="swap_content('span:ideal__SINGULAR_IDEAL__52'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__SINGULAR_IDEAL__52" onclick="swap_content('span:ideal__SINGULAR_IDEAL__52'); return false;"><b>SINGULAR_IDEAL</b>:
		</a>
                                <a href="#ideal__SingularIdeal__22" onclick="unfold('span:ideal__SingularIdeal__22');">SingularIdeal</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__SINGULAR_IDEAL__52" class="foldit">
                                  <div class="descr">
                                    <p> Intermediate object wrapping the Singular objects, i.e. the ring with the monomial ordering and the ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>User Methods of Groebner</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__division__30" onclick="swap_content('span:ideal__division__30'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__division__30" onclick="swap_content('span:ideal__division__30'); return false;"><b>division</b></a>
			()  

			<div style="display: inline" id="span:ideal__division__30" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div><div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__reduce__31" onclick="swap_content('span:ideal__reduce__31'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__reduce__31" onclick="swap_content('span:ideal__reduce__31'); return false;"><b>reduce</b></a>
			(p)  

			
				→ Polynomial<div style="display: inline" id="span:ideal__reduce__31" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Reduce a <a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">Polynomial</a> <em class="param">p</em> with respect to the Groebner basis.</p></div><div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">Polynomial</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__Ideal__9" onclick="swap_content('span:ideal__Ideal__9'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="ideal__Ideal__9" onclick="swap_content('span:ideal__Ideal__9'); return false;">
                  <span class="object">Ideal</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__Ideal__9" class="foldit">
              <div class="descr">
                <p> An ideal in a polynomial ring.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Ideal</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__Commutative_algebra__25" onclick="swap_content('span:ideal__Commutative_algebra__25'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__Commutative_algebra__25" onclick="swap_content('span:ideal__Commutative_algebra__25'); return false;">
                            <span class="category">Commutative algebra</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__Commutative_algebra__25" class="foldit">
                        <div class="descr">
                          <p> Properties of an ideal computed via commutative algebra.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__DEPTH__37" onclick="swap_content('span:ideal__DEPTH__37'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__DEPTH__37" onclick="swap_content('span:ideal__DEPTH__37'); return false;"><b>DEPTH</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__DEPTH__37" class="foldit">
                                  <div class="descr">
                                    <p> The depth of the ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__DIM__39" onclick="swap_content('span:ideal__DIM__39'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__DIM__39" onclick="swap_content('span:ideal__DIM__39'); return false;"><b>DIM</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__DIM__39" class="foldit">
                                  <div class="descr">
                                    <p> The dimension of the ideal, i.e. the Krull dimension of Polynomial ring/Ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__GROEBNER__40" onclick="swap_content('span:ideal__GROEBNER__40'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__GROEBNER__40" onclick="swap_content('span:ideal__GROEBNER__40'); return false;"><b>GROEBNER</b>:
		</a>
                                <a href="#ideal__Groebner__10" onclick="unfold('span:ideal__Groebner__10');">Groebner</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__GROEBNER__40" class="foldit">
                                  <div class="descr">
                                    <p> Subobject containing properties that depend on the monomial ordering of the ring.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__HILBERT_POLYNOMIAL__44" onclick="swap_content('span:ideal__HILBERT_POLYNOMIAL__44'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__HILBERT_POLYNOMIAL__44" onclick="swap_content('span:ideal__HILBERT_POLYNOMIAL__44'); return false;"><b>HILBERT_POLYNOMIAL</b>:
		</a>
                                <a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">common::Polynomial&lt;Rational, Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__HILBERT_POLYNOMIAL__44" class="foldit">
                                  <div class="descr">
                                    <p> The Hilbert polynomial of the ideal. For toric ideals this is linked with
 the Ehrhart polynomial.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__HOMOGENEOUS__36" onclick="swap_content('span:ideal__HOMOGENEOUS__36'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__HOMOGENEOUS__36" onclick="swap_content('span:ideal__HOMOGENEOUS__36'); return false;"><b>HOMOGENEOUS</b>:
		</a>
                                <a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__HOMOGENEOUS__36" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal can be generated by homogeneous polynomials.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__MONOMIAL__35" onclick="swap_content('span:ideal__MONOMIAL__35'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__MONOMIAL__35" onclick="swap_content('span:ideal__MONOMIAL__35'); return false;"><b>MONOMIAL</b>:
		</a>
                                <a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__MONOMIAL__35" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal can be generated by monomials.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__N_VARIABLES__38" onclick="swap_content('span:ideal__N_VARIABLES__38'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__N_VARIABLES__38" onclick="swap_content('span:ideal__N_VARIABLES__38'); return false;"><b>N_VARIABLES</b>:
		</a>
                                <a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__N_VARIABLES__38" class="foldit">
                                  <div class="descr">
                                    <p> The number of variables of the polynomial ring containing the ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__PRIMARY__34" onclick="swap_content('span:ideal__PRIMARY__34'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__PRIMARY__34" onclick="swap_content('span:ideal__PRIMARY__34'); return false;"><b>PRIMARY</b>:
		</a>
                                <a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__PRIMARY__34" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal is a primary ideal. I.e. its <a href="#ideal__RADICAL__41" onclick="unfold('span:ideal__RADICAL__41');">RADICAL</a> is <a href="#ideal__PRIME__42" onclick="unfold('span:ideal__PRIME__42');">PRIME</a> and 
 in the quotient ring by the ideal every zero divisor is nilpotent.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__PRIMARY_DECOMPOSITION__43" onclick="swap_content('span:ideal__PRIMARY_DECOMPOSITION__43'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__PRIMARY_DECOMPOSITION__43" onclick="swap_content('span:ideal__PRIMARY_DECOMPOSITION__43'); return false;"><b>PRIMARY_DECOMPOSITION</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Ideal&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__PRIMARY_DECOMPOSITION__43" class="foldit">
                                  <div class="descr">
                                    <p> An array containing the primary decomposition of the given ideal, i.e. the
 contained ideals are <a href="#ideal__PRIMARY__34" onclick="unfold('span:ideal__PRIMARY__34');">PRIMARY</a> and their intersection is the given ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__PRIME__42" onclick="swap_content('span:ideal__PRIME__42'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__PRIME__42" onclick="swap_content('span:ideal__PRIME__42'); return false;"><b>PRIME</b>:
		</a>
                                <a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__PRIME__42" class="foldit">
                                  <div class="descr">
                                    <p> True if the is ideal a prime ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__RADICAL__41" onclick="swap_content('span:ideal__RADICAL__41'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__RADICAL__41" onclick="swap_content('span:ideal__RADICAL__41'); return false;"><b>RADICAL</b>:
		</a>
                                <a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__RADICAL__41" class="foldit">
                                  <div class="descr">
                                    <p> The radical of the ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__ZERO__33" onclick="swap_content('span:ideal__ZERO__33'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__ZERO__33" onclick="swap_content('span:ideal__ZERO__33'); return false;"><b>ZERO</b>:
		</a>
                                <a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__ZERO__33" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal is the zero ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__Input_properties__26" onclick="swap_content('span:ideal__Input_properties__26'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__Input_properties__26" onclick="swap_content('span:ideal__Input_properties__26'); return false;">
                            <span class="category">Input properties</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__Input_properties__26" class="foldit">
                        <div class="descr">
                          <p> Properties defining an ideal.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__GENERATORS__45" onclick="swap_content('span:ideal__GENERATORS__45'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__GENERATORS__45" onclick="swap_content('span:ideal__GENERATORS__45'); return false;"><b>GENERATORS</b>:
		</a>
                                <a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Polynomial&lt;Rational, Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__GENERATORS__45" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators usually given by the user and not unique.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>User Methods of Ideal</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__contains_monomial__24" onclick="swap_content('span:ideal__contains_monomial__24'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__contains_monomial__24" onclick="swap_content('span:ideal__contains_monomial__24'); return false;"><b>contains_monomial</b></a>
			(s)  

			
				→ Polynomial<div style="display: inline" id="span:ideal__contains_monomial__24" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check via saturation whether the ideal contains a monomial.
 Returns a monomial from the ideal or the trivial monomial if there is none.</p></div><div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td><div class="descr"><div>Optional term order (see <a href="#ideal__ORDER_NAME__50" onclick="unfold('span:ideal__ORDER_NAME__50');">ORDER_NAME</a>) for intermediate Groebner bases, default: "dp"</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__SOLVE__23" onclick="swap_content('span:ideal__SOLVE__23'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__SOLVE__23" onclick="swap_content('span:ideal__SOLVE__23'); return false;"><b>SOLVE</b></a>
			()  

			<div style="display: inline" id="span:ideal__SOLVE__23" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div><div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__Producing_an_ideal_from_scratch__6" onclick="swap_content('span:ideal__Producing_an_ideal_from_scratch__6'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="ideal__Producing_an_ideal_from_scratch__6" onclick="swap_content('span:ideal__Producing_an_ideal_from_scratch__6'); return false;">
                  <span class="category">Producing an ideal from scratch</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__Producing_an_ideal_from_scratch__6" class="foldit">
              <div class="descr">
                <p> With these clients you can create ideals belonging to various parameterized
 families which occur frequently in comumutative algebra.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__pluecker_ideal__12" onclick="swap_content('span:ideal__pluecker_ideal__12'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__pluecker_ideal__12" onclick="swap_content('span:ideal__pluecker_ideal__12'); return false;"><b>pluecker_ideal</b></a>
			(d, n)  

			
				→ Ideal<div style="display: inline" id="span:ideal__pluecker_ideal__12" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Generates the ideal of all Grassmann-Plücker relations of dxd minors of an dxn matrix.
 For the algorithm see Sturmfels: Algorithms in invariant theory, Springer, 2nd ed., 2008</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">d</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a></td><td><div class="descr"><div>the Grassmann-Plücker ideal</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__Singular_interface__7" onclick="swap_content('span:ideal__Singular_interface__7'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="ideal__Singular_interface__7" onclick="swap_content('span:ideal__Singular_interface__7'); return false;">
                  <span class="category">Singular interface</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__Singular_interface__7" class="foldit">
              <div class="descr">
                <p> Functions, methods and objects and attached from/to Singular.</p>
              </div>
              <div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__load_singular_library__13" onclick="swap_content('span:ideal__load_singular_library__13'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__load_singular_library__13" onclick="swap_content('span:ideal__load_singular_library__13'); return false;"><b>load_singular_library</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__load_singular_library__13" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Loads a SINGULAR library</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__quotient__15" onclick="swap_content('span:ideal__quotient__15'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__quotient__15" onclick="swap_content('span:ideal__quotient__15'); return false;"><b>quotient</b></a>
			(I, J)  

			
				→ Ideal<div style="display: inline" id="span:ideal__quotient__15" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes an ideal quotient via SINGULAR</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a></td><td class="param">I</td><td/></tr><tr><td><a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a></td><td class="param">J</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#ideal__Ideal__9" onclick="unfold('span:ideal__Ideal__9');">Ideal</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__singular_eval__14" onclick="swap_content('span:ideal__singular_eval__14'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__singular_eval__14" onclick="swap_content('span:ideal__singular_eval__14'); return false;"><b>singular_eval</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__singular_eval__14" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Executes given string with Singular</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__singular_get_int__17" onclick="swap_content('span:ideal__singular_get_int__17'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__singular_get_int__17" onclick="swap_content('span:ideal__singular_get_int__17'); return false;"><b>singular_get_int</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__singular_get_int__17" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Retrieves an int variable from 'Singular'</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__singular_get_var__16" onclick="swap_content('span:ideal__singular_get_var__16'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__singular_get_var__16" onclick="swap_content('span:ideal__singular_get_var__16'); return false;"><b>singular_get_var</b></a>
			(s)  

			
				→ List<div style="display: inline" id="span:ideal__singular_get_var__16" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Retrieves a variable from 'Singular'</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td><div class="descr"><div>variable name</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List</a></td><td><div class="descr"><div>( Matrix polynomial exponents Vector polynomial coefficients )</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__Singular_interface__11" onclick="swap_content('span:ideal__Singular_interface__11'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="ideal__Singular_interface__11" onclick="swap_content('span:ideal__Singular_interface__11'); return false;">
                  <span class="category">Singular interface</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__Singular_interface__11" class="foldit">
              <div class="descr">
                <p> Functions, methods and objects and attached from/to Singular.</p>
              </div>
              <div class="descr">
			Contained in extension <code>bundled:singular</code>.
		</div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__SingularIdeal__22" onclick="swap_content('span:ideal__SingularIdeal__22'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="ideal__SingularIdeal__22" onclick="swap_content('span:ideal__SingularIdeal__22'); return false;">
                        <b>SingularIdeal</b>
                      </a>
                      <div style="display: inline" id="span:ideal__SingularIdeal__22" class="foldit">
                        <div class="descr">
                          <p> An intermediate object wrapping the ideal on the Singular side and providing its methods.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
