<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: matroid</h1><div class="descr"><p> Matroids encode the concept of "(in)dependence" in an abstract way.  You
 can define matroids via vector configurations or graphs, do basic
 conversions between different descriptions and perform basic operations such
 as deletions and contractions.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a><br/><b>uses: </b><a href="group.html">group</a>, <a href="ideal.html">ideal</a>, <a href="polytope.html">polytope</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__Matroid__18" onclick="swap_content('span:matroid__Matroid__18'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="matroid__Matroid__18" onclick="swap_content('span:matroid__Matroid__18'); return false;"><span class="object">Matroid</span></a></h3></div><div style="display: inline" id="span:matroid__Matroid__18" class="foldit"><div class="descr"><p> A matroid on the set <em class="param">{0,...,n-1}</em>.  Here <em class="param">n</em> is the same as <a href="#matroid__N_ELEMENTS__166" onclick="unfold('span:matroid__N_ELEMENTS__166');">N_ELEMENTS</a>.</p></div><div class="level3"/><h4>Properties of Matroid</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__Advanced_properties__107" onclick="swap_content('span:matroid__Advanced_properties__107'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Advanced_properties__107" onclick="swap_content('span:matroid__Advanced_properties__107'); return false;"><span class="category">Advanced properties</span></a></h3></div><div style="display: inline" id="span:matroid__Advanced_properties__107" class="foldit"><div class="descr"><p> More complex properties of the matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__AUTOMORPHISM_GROUP__140" onclick="swap_content('span:matroid__AUTOMORPHISM_GROUP__140'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__AUTOMORPHISM_GROUP__140" onclick="swap_content('span:matroid__AUTOMORPHISM_GROUP__140'); return false;"><b>AUTOMORPHISM_GROUP</b>:
		</a><a href="group.html#group__Group__12" onclick="unfold('span:group__Group__12');">group::Group</a><br/><div style="display: inline" id="span:matroid__AUTOMORPHISM_GROUP__140" class="foldit"><div class="descr"><p> The automorphism group of the matroid, operating on the ground set.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__BETA_INVARIANT__128" onclick="swap_content('span:matroid__BETA_INVARIANT__128'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__BETA_INVARIANT__128" onclick="swap_content('span:matroid__BETA_INVARIANT__128'); return false;"><b>BETA_INVARIANT</b>:
		</a><a href="common.html#common__Integer__322" onclick="unfold('span:common__Integer__322');">common::Integer</a><br/><div style="display: inline" id="span:matroid__BETA_INVARIANT__128" class="foldit"><div class="descr"><p> The coefficient of x of the Tutte polynomial</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__BINARY__151" onclick="swap_content('span:matroid__BINARY__151'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__BINARY__151" onclick="swap_content('span:matroid__BINARY__151'); return false;"><b>BINARY</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__BINARY__151" class="foldit"><div class="descr"><p> Whether the matroid is representable over GF(2)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__BINARY_VECTORS__134" onclick="swap_content('span:matroid__BINARY_VECTORS__134'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__BINARY_VECTORS__134" onclick="swap_content('span:matroid__BINARY_VECTORS__134'); return false;"><b>BINARY_VECTORS</b>:
		</a><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:matroid__BINARY_VECTORS__134" class="foldit"><div class="descr"><p> If the matroid is realizable over the field GF(2) with two elements, this property contains
 coordinates for some realization.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__CATENARY_G_INVARIANT__124" onclick="swap_content('span:matroid__CATENARY_G_INVARIANT__124'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__CATENARY_G_INVARIANT__124" onclick="swap_content('span:matroid__CATENARY_G_INVARIANT__124'); return false;"><b>CATENARY_G_INVARIANT</b>:
		</a><a href="common.html#common__Map__337" onclick="unfold('span:common__Map__337');">common::Map&lt;Vector&lt;Int&gt;, Integer&gt;</a><br/><div style="display: inline" id="span:matroid__CATENARY_G_INVARIANT__124" class="foldit"><div class="descr"><p> This is an equivalent characterization of the <a href="#matroid__G_INVARIANT__123" onclick="unfold('span:matroid__G_INVARIANT__123');">G_INVARIANT</a> given by Bonin and Kung ([Bonin, Kung: The G-invariant and catenary data of a matroid (2015)]).
 It lives in the free abelian group over all (n,r)-compositions (where n = <a href="#matroid__N_ELEMENTS__166" onclick="unfold('span:matroid__N_ELEMENTS__166');">N_ELEMENTS</a> and r = <a href="#matroid__RANK__163" onclick="unfold('span:matroid__RANK__163');">RANK</a>).
 Those are sequences (a0,...,ar) with a0 &gt;= 0, a_j &gt; 0 for j &gt; 0 and sum a_i = n
 For each maximal chain of flats F0,...,Fr = E of M, the corresponding composition is a0 = |F0| and a_i = |Fi \ Fi-1| for i &gt; 0.
 For a composition a, let v(M,a) be the number of maximal chains of flats with composition a. Then
 G(M) := sum_a v(M,a) * a, where the sum runs over all compositions a.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__CONNECTED__144" onclick="swap_content('span:matroid__CONNECTED__144'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__CONNECTED__144" onclick="swap_content('span:matroid__CONNECTED__144'); return false;"><b>CONNECTED</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__CONNECTED__144" class="foldit"><div class="descr"><p> Whether the matroid is connected</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__CONNECTED_COMPONENTS__127" onclick="swap_content('span:matroid__CONNECTED_COMPONENTS__127'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__CONNECTED_COMPONENTS__127" onclick="swap_content('span:matroid__CONNECTED_COMPONENTS__127'); return false;"><b>CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__CONNECTED_COMPONENTS__127" class="foldit"><div class="descr"><p> The connected componets</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__F_VECTOR__131" onclick="swap_content('span:matroid__F_VECTOR__131'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__F_VECTOR__131" onclick="swap_content('span:matroid__F_VECTOR__131'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:matroid__F_VECTOR__131" class="foldit"><div class="descr"><p> The f-vector of a matroid</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__G_INVARIANT__123" onclick="swap_content('span:matroid__G_INVARIANT__123'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__G_INVARIANT__123" onclick="swap_content('span:matroid__G_INVARIANT__123'); return false;"><b>G_INVARIANT</b>:
		</a><a href="common.html#common__Map__337" onclick="unfold('span:common__Map__337');">common::Map&lt;Set&lt;Int&gt;, Integer&gt;</a><br/><div style="display: inline" id="span:matroid__G_INVARIANT__123" class="foldit"><div class="descr"><p> The G-invariant of the matroid (see [Derksen: Symmetric and quasi-symmetric functions associated to polymatroids, J. Algebr. Comb. 30 (2009), 43-86])
 We use the formulation by Bonin and Kung in [Bonin, Kung: The G-invariant and catenary data of a matroid (2015)]:
 The G-invariant is an element of the free abelian group over all (n,r)-sequences (where n = <a href="#matroid__N_ELEMENTS__166" onclick="unfold('span:matroid__N_ELEMENTS__166');">N_ELEMENTS</a> and r = <a href="#matroid__RANK__163" onclick="unfold('span:matroid__RANK__163');">RANK</a>), i.e. 0/1-sequences (r_1,...,r_n), where exactly r entries are 1. We identify each such sequence with its support, i.e. the set of entries equal to 1, so the G-invariant can be represented as a map which takes
 an r-set to the coefficient of the corresponding (n,r)-sequence.
 The formal definition goes as follows: For each permutation p on n, we define a sequence r(p) = (r_1,...,r_n)
 by r_1 = rank({p(1)}) and r_j = rank( {p(1),...,p(j)}) - rank( {p(1),...,p(j-1)}). Then
 G(M) := sum_p r(p), where the sum runs over all permutations p.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__H_VECTOR__150" onclick="swap_content('span:matroid__H_VECTOR__150'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__H_VECTOR__150" onclick="swap_content('span:matroid__H_VECTOR__150'); return false;"><b>H_VECTOR</b>:
		</a><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:matroid__H_VECTOR__150" class="foldit"><div class="descr"><p> The h-vector of a matroid</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__IDENTICALLY_SELF_DUAL__137" onclick="swap_content('span:matroid__IDENTICALLY_SELF_DUAL__137'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__IDENTICALLY_SELF_DUAL__137" onclick="swap_content('span:matroid__IDENTICALLY_SELF_DUAL__137'); return false;"><b>IDENTICALLY_SELF_DUAL</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__IDENTICALLY_SELF_DUAL__137" class="foldit"><div class="descr"><p> Whether the matroid is equal to its dual. Note that this does not check for isomorphy,
 if you want to check whether the matroid is isomorphic to its dual, ask for
 <a href="#matroid__SELF_DUAL__129" onclick="unfold('span:matroid__SELF_DUAL__129');">SELF_DUAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__LAMINAR__149" onclick="swap_content('span:matroid__LAMINAR__149'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__LAMINAR__149" onclick="swap_content('span:matroid__LAMINAR__149'); return false;"><b>LAMINAR</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__LAMINAR__149" class="foldit"><div class="descr"><p> Whether the matroid is laminar. This is the case if and only if for any two circuits C1,C2 with
 non-empty intersection, their closures are comparable (i.e. one contains the other)
 see also [Fife, Oxley: Laminar matroids. arXiv: 1606.08354]</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__LOOPS__136" onclick="swap_content('span:matroid__LOOPS__136'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__LOOPS__136" onclick="swap_content('span:matroid__LOOPS__136'); return false;"><b>LOOPS</b>:
		</a><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:matroid__LOOPS__136" class="foldit"><div class="descr"><p> Loops</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__MAXIMAL_TRANSVERSAL_PRESENTATION__139" onclick="swap_content('span:matroid__MAXIMAL_TRANSVERSAL_PRESENTATION__139'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__MAXIMAL_TRANSVERSAL_PRESENTATION__139" onclick="swap_content('span:matroid__MAXIMAL_TRANSVERSAL_PRESENTATION__139'); return false;"><b>MAXIMAL_TRANSVERSAL_PRESENTATION</b>:
		</a><a href="common.html#common__IncidenceMatrix__338" onclick="unfold('span:common__IncidenceMatrix__338');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:matroid__MAXIMAL_TRANSVERSAL_PRESENTATION__139" class="foldit"><div class="descr"><p> If the matroid is transversal,
 this is the unique maximal presentation. I.e. the set system consists of <a href="#matroid__RANK__163" onclick="unfold('span:matroid__RANK__163');">RANK</a> many sets and none of the
 sets can be increased without changing the matroid.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__NESTED__138" onclick="swap_content('span:matroid__NESTED__138'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__NESTED__138" onclick="swap_content('span:matroid__NESTED__138'); return false;"><b>NESTED</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__NESTED__138" class="foldit"><div class="descr"><p> Whether the matroid is nested, i.e. its <a href="#matroid__LATTICE_OF_CYCLIC_FLATS__154" onclick="unfold('span:matroid__LATTICE_OF_CYCLIC_FLATS__154');">LATTICE_OF_CYCLIC_FLATS</a> is a chain.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_CONNECTED_COMPONENTS__130" onclick="swap_content('span:matroid__N_CONNECTED_COMPONENTS__130'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_CONNECTED_COMPONENTS__130" onclick="swap_content('span:matroid__N_CONNECTED_COMPONENTS__130'); return false;"><b>N_CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_CONNECTED_COMPONENTS__130" class="foldit"><div class="descr"><p> The number of <a href="#matroid__CONNECTED_COMPONENTS__127" onclick="unfold('span:matroid__CONNECTED_COMPONENTS__127');">CONNECTED_COMPONENTS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__PAVING__145" onclick="swap_content('span:matroid__PAVING__145'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__PAVING__145" onclick="swap_content('span:matroid__PAVING__145'); return false;"><b>PAVING</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__PAVING__145" class="foldit"><div class="descr"><p> Whether the matroid is paving</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__POLYTOPE__126" onclick="swap_content('span:matroid__POLYTOPE__126'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__POLYTOPE__126" onclick="swap_content('span:matroid__POLYTOPE__126'); return false;"><b>POLYTOPE</b>:
		</a><a href="polytope.html#polytope__Polytope__82" onclick="unfold('span:polytope__Polytope__82');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:matroid__POLYTOPE__126" class="foldit"><div class="descr"><p> Polytope whose vertices are the characteristic vectors of the bases.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__REGULAR__146" onclick="swap_content('span:matroid__REGULAR__146'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__REGULAR__146" onclick="swap_content('span:matroid__REGULAR__146'); return false;"><b>REGULAR</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__REGULAR__146" class="foldit"><div class="descr"><p> Whether the matroid is representable over every field, that is the repesentation is unimodular.
 NOTE: the property is 'undef' when its hard to decide, whether the matroid is ternary.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__REVLEX_BASIS_ENCODING__135" onclick="swap_content('span:matroid__REVLEX_BASIS_ENCODING__135'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__REVLEX_BASIS_ENCODING__135" onclick="swap_content('span:matroid__REVLEX_BASIS_ENCODING__135'); return false;"><b>REVLEX_BASIS_ENCODING</b>:
		</a><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">common::String</a><br/><div style="display: inline" id="span:matroid__REVLEX_BASIS_ENCODING__135" class="foldit"><div class="descr"><p> A string listing the bases in revlex order. A '*' means the basis is present, a '0' that it is absent</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SELF_DUAL__129" onclick="swap_content('span:matroid__SELF_DUAL__129'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SELF_DUAL__129" onclick="swap_content('span:matroid__SELF_DUAL__129'); return false;"><b>SELF_DUAL</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__SELF_DUAL__129" class="foldit"><div class="descr"><p> Whether the matroid is isomorphic to its dual
 If you want to check whether it is actually equal (not just isomorphic), ask for
 <a href="#matroid__IDENTICALLY_SELF_DUAL__137" onclick="unfold('span:matroid__IDENTICALLY_SELF_DUAL__137');">IDENTICALLY_SELF_DUAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SERIES_PARALLEL__142" onclick="swap_content('span:matroid__SERIES_PARALLEL__142'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SERIES_PARALLEL__142" onclick="swap_content('span:matroid__SERIES_PARALLEL__142'); return false;"><b>SERIES_PARALLEL</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__SERIES_PARALLEL__142" class="foldit"><div class="descr"><p> Whether the matroid is series-parallel</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SIMPLE__143" onclick="swap_content('span:matroid__SIMPLE__143'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SIMPLE__143" onclick="swap_content('span:matroid__SIMPLE__143'); return false;"><b>SIMPLE</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__SIMPLE__143" class="foldit"><div class="descr"><p> Whether the matroid is simple.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SPARSE_PAVING__125" onclick="swap_content('span:matroid__SPARSE_PAVING__125'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SPARSE_PAVING__125" onclick="swap_content('span:matroid__SPARSE_PAVING__125'); return false;"><b>SPARSE_PAVING</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__SPARSE_PAVING__125" class="foldit"><div class="descr"><p> Whether the matroid is sparse_paving, i.e both the matroid and it's dual are paving</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SPLIT__141" onclick="swap_content('span:matroid__SPLIT__141'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SPLIT__141" onclick="swap_content('span:matroid__SPLIT__141'); return false;"><b>SPLIT</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__SPLIT__141" class="foldit"><div class="descr"><p> Whether all SPLIT_FLACETS in the matroid are compatible.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__SPLIT_FLACETS__132" onclick="swap_content('span:matroid__SPLIT_FLACETS__132'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SPLIT_FLACETS__132" onclick="swap_content('span:matroid__SPLIT_FLACETS__132'); return false;"><b>SPLIT_FLACETS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__SPLIT_FLACETS__132" class="foldit"><div class="descr"><p> The flats that correspond to split facets of the matroid <a href="#matroid__POLYTOPE__126" onclick="unfold('span:matroid__POLYTOPE__126');">POLYTOPE</a>.
 The facets are either hypersimplex facets or splits</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__TERNARY__152" onclick="swap_content('span:matroid__TERNARY__152'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__TERNARY__152" onclick="swap_content('span:matroid__TERNARY__152'); return false;"><b>TERNARY</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__TERNARY__152" class="foldit"><div class="descr"><p> Whether the matroid is representable over GF(3)
 NOTE: the property may be 'undef' if the current implementation cannot decide.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__TERNARY_VECTORS__148" onclick="swap_content('span:matroid__TERNARY_VECTORS__148'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__TERNARY_VECTORS__148" onclick="swap_content('span:matroid__TERNARY_VECTORS__148'); return false;"><b>TERNARY_VECTORS</b>:
		</a><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:matroid__TERNARY_VECTORS__148" class="foldit"><div class="descr"><p> If the matroid is realizable over the field GF(3) with three elements, this property contains
 coordinates for some realization.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__TRANSVERSAL__153" onclick="swap_content('span:matroid__TRANSVERSAL__153'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__TRANSVERSAL__153" onclick="swap_content('span:matroid__TRANSVERSAL__153'); return false;"><b>TRANSVERSAL</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__TRANSVERSAL__153" class="foldit"><div class="descr"><p> Whether the matroid is transversal, i.e. has a transversal presentation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__TUTTE_POLYNOMIAL__147" onclick="swap_content('span:matroid__TUTTE_POLYNOMIAL__147'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__TUTTE_POLYNOMIAL__147" onclick="swap_content('span:matroid__TUTTE_POLYNOMIAL__147'); return false;"><b>TUTTE_POLYNOMIAL</b>:
		</a><a href="common.html#common__Polynomial__287" onclick="unfold('span:common__Polynomial__287');">common::Polynomial&lt;Rational, Int&gt;</a><br/><div style="display: inline" id="span:matroid__TUTTE_POLYNOMIAL__147" class="foldit"><div class="descr"><p> The Tutte polynomial of a matroid.
 It is a polynomial in the two variables x and y, which are chosen such that the tutte polynomial
 of a single coloop is x and the tutte polynomial of a single loop is y.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__UNIFORM__133" onclick="swap_content('span:matroid__UNIFORM__133'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__UNIFORM__133" onclick="swap_content('span:matroid__UNIFORM__133'); return false;"><b>UNIFORM</b>:
		</a><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">common::Bool</a><br/><div style="display: inline" id="span:matroid__UNIFORM__133" class="foldit"><div class="descr"><p> Whether the matroid is a uniform matroid</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Axiom_systems__108" onclick="swap_content('span:matroid__Axiom_systems__108'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Axiom_systems__108" onclick="swap_content('span:matroid__Axiom_systems__108'); return false;"><span class="category">Axiom systems</span></a></h3></div><div style="display: inline" id="span:matroid__Axiom_systems__108" class="foldit"><div class="descr"><p> These are properties that form (part of) an axiom system defining a matroid.
 Most of these can be used to create a matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__BASES__156" onclick="swap_content('span:matroid__BASES__156'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__BASES__156" onclick="swap_content('span:matroid__BASES__156'); return false;"><b>BASES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__BASES__156" class="foldit"><div class="descr"><p> Subsets of the ground set which form the bases of the matroid.
 Note that if you want to define a matroid via its bases, you should also specify <a href="#matroid__N_ELEMENTS__166" onclick="unfold('span:matroid__N_ELEMENTS__166');">N_ELEMENTS</a>, because
 we allow matroids with loops.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__CIRCUITS__158" onclick="swap_content('span:matroid__CIRCUITS__158'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__CIRCUITS__158" onclick="swap_content('span:matroid__CIRCUITS__158'); return false;"><b>CIRCUITS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__CIRCUITS__158" class="foldit"><div class="descr"><p> Circuits, i.e., minimal dependent sets.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__LATTICE_OF_CYCLIC_FLATS__154" onclick="swap_content('span:matroid__LATTICE_OF_CYCLIC_FLATS__154'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__LATTICE_OF_CYCLIC_FLATS__154" onclick="swap_content('span:matroid__LATTICE_OF_CYCLIC_FLATS__154'); return false;"><b>LATTICE_OF_CYCLIC_FLATS</b>:
		</a><a href="graph.html#graph__Lattice__73" onclick="unfold('span:graph__Lattice__73');">graph::Lattice&lt;BasicDecoration, Sequential&gt;</a><br/><div style="display: inline" id="span:matroid__LATTICE_OF_CYCLIC_FLATS__154" class="foldit"><div class="descr"><p> The lattice of cyclic flats of the matroid.
 A flat is a cyclic flat, if and only if it is a union of circuits.
 Their ranks can also be read off of this property using nodes_of_dim(..)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__LATTICE_OF_FLATS__157" onclick="swap_content('span:matroid__LATTICE_OF_FLATS__157'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__LATTICE_OF_FLATS__157" onclick="swap_content('span:matroid__LATTICE_OF_FLATS__157'); return false;"><b>LATTICE_OF_FLATS</b>:
		</a><a href="graph.html#graph__Lattice__73" onclick="unfold('span:graph__Lattice__73');">graph::Lattice&lt;BasicDecoration, Sequential&gt;</a><br/><div style="display: inline" id="span:matroid__LATTICE_OF_FLATS__157" class="foldit"><div class="descr"><p> The lattice of flats, this is a graph with all closed sets as nodes</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__MATROID_HYPERPLANES__159" onclick="swap_content('span:matroid__MATROID_HYPERPLANES__159'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__MATROID_HYPERPLANES__159" onclick="swap_content('span:matroid__MATROID_HYPERPLANES__159'); return false;"><b>MATROID_HYPERPLANES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__MATROID_HYPERPLANES__159" class="foldit"><div class="descr"><p> Hyperplanes, i.e. flats of rank RANK-1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__NON_BASES__155" onclick="swap_content('span:matroid__NON_BASES__155'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__NON_BASES__155" onclick="swap_content('span:matroid__NON_BASES__155'); return false;"><b>NON_BASES</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__NON_BASES__155" class="foldit"><div class="descr"><p> All subsets of the ground sets with cardinality <a href="#matroid__RANK__163" onclick="unfold('span:matroid__RANK__163');">RANK</a> that are not bases.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Duality__106" onclick="swap_content('span:matroid__Duality__106'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Duality__106" onclick="swap_content('span:matroid__Duality__106'); return false;"><span class="category">Duality</span></a></h3></div><div style="display: inline" id="span:matroid__Duality__106" class="foldit"><div class="descr"><p> properties related to duality and dual properties.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__DUAL__122" onclick="swap_content('span:matroid__DUAL__122'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__DUAL__122" onclick="swap_content('span:matroid__DUAL__122'); return false;"><b>DUAL</b>:
		</a><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a><br/><div style="display: inline" id="span:matroid__DUAL__122" class="foldit"><div class="descr"><p> The dual matroid.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Enumerative_properties__109" onclick="swap_content('span:matroid__Enumerative_properties__109'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Enumerative_properties__109" onclick="swap_content('span:matroid__Enumerative_properties__109'); return false;"><span class="category">Enumerative properties</span></a></h3></div><div style="display: inline" id="span:matroid__Enumerative_properties__109" class="foldit"><div class="descr"><p> These are properties of a matroid that count something.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__N_AUTOMORPHISMS__160" onclick="swap_content('span:matroid__N_AUTOMORPHISMS__160'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_AUTOMORPHISMS__160" onclick="swap_content('span:matroid__N_AUTOMORPHISMS__160'); return false;"><b>N_AUTOMORPHISMS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_AUTOMORPHISMS__160" class="foldit"><div class="descr"><p> The order of the <a href="#matroid__AUTOMORPHISM_GROUP__140" onclick="unfold('span:matroid__AUTOMORPHISM_GROUP__140');">AUTOMORPHISM_GROUP</a> of the matroid.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_BASES__167" onclick="swap_content('span:matroid__N_BASES__167'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_BASES__167" onclick="swap_content('span:matroid__N_BASES__167'); return false;"><b>N_BASES</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_BASES__167" class="foldit"><div class="descr"><p> The number of <a href="#matroid__BASES__156" onclick="unfold('span:matroid__BASES__156');">BASES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_CIRCUITS__168" onclick="swap_content('span:matroid__N_CIRCUITS__168'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_CIRCUITS__168" onclick="swap_content('span:matroid__N_CIRCUITS__168'); return false;"><b>N_CIRCUITS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_CIRCUITS__168" class="foldit"><div class="descr"><p> The number of <a href="#matroid__CIRCUITS__158" onclick="unfold('span:matroid__CIRCUITS__158');">CIRCUITS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_CYCLIC_FLATS__162" onclick="swap_content('span:matroid__N_CYCLIC_FLATS__162'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_CYCLIC_FLATS__162" onclick="swap_content('span:matroid__N_CYCLIC_FLATS__162'); return false;"><b>N_CYCLIC_FLATS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_CYCLIC_FLATS__162" class="foldit"><div class="descr"><p> The number of cyclic flats, i.e. the number of nodes in <a href="#matroid__LATTICE_OF_CYCLIC_FLATS__154" onclick="unfold('span:matroid__LATTICE_OF_CYCLIC_FLATS__154');">LATTICE_OF_CYCLIC_FLATS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_ELEMENTS__166" onclick="swap_content('span:matroid__N_ELEMENTS__166'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_ELEMENTS__166" onclick="swap_content('span:matroid__N_ELEMENTS__166'); return false;"><b>N_ELEMENTS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_ELEMENTS__166" class="foldit"><div class="descr"><p> Size of the ground set.  The ground set itself always consists of the first integers starting with zero.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_FLATS__164" onclick="swap_content('span:matroid__N_FLATS__164'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_FLATS__164" onclick="swap_content('span:matroid__N_FLATS__164'); return false;"><b>N_FLATS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_FLATS__164" class="foldit"><div class="descr"><p> The number of flats, i.e. the number of nodes in <a href="#matroid__LATTICE_OF_FLATS__157" onclick="unfold('span:matroid__LATTICE_OF_FLATS__157');">LATTICE_OF_FLATS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_LOOPS__165" onclick="swap_content('span:matroid__N_LOOPS__165'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_LOOPS__165" onclick="swap_content('span:matroid__N_LOOPS__165'); return false;"><b>N_LOOPS</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_LOOPS__165" class="foldit"><div class="descr"><p> The number of <a href="#matroid__LOOPS__136" onclick="unfold('span:matroid__LOOPS__136');">LOOPS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_MATROID_HYPERPLANES__161" onclick="swap_content('span:matroid__N_MATROID_HYPERPLANES__161'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_MATROID_HYPERPLANES__161" onclick="swap_content('span:matroid__N_MATROID_HYPERPLANES__161'); return false;"><b>N_MATROID_HYPERPLANES</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__N_MATROID_HYPERPLANES__161" class="foldit"><div class="descr"><p> The number of <a href="#matroid__MATROID_HYPERPLANES__159" onclick="unfold('span:matroid__MATROID_HYPERPLANES__159');">MATROID_HYPERPLANES</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__RANK__163" onclick="swap_content('span:matroid__RANK__163'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__RANK__163" onclick="swap_content('span:matroid__RANK__163'); return false;"><b>RANK</b>:
		</a><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">common::Int</a><br/><div style="display: inline" id="span:matroid__RANK__163" class="foldit"><div class="descr"><p> Rank of the matroid, i.e., number of elements in each basis.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Input_properties__111" onclick="swap_content('span:matroid__Input_properties__111'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Input_properties__111" onclick="swap_content('span:matroid__Input_properties__111'); return false;"><span class="category">Input properties</span></a></h3></div><div style="display: inline" id="span:matroid__Input_properties__111" class="foldit"><div class="descr"><p> These are properties that can be used to define a matroid, but do not actually constitute an axiom system.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__TRANSVERSAL_PRESENTATION__171" onclick="swap_content('span:matroid__TRANSVERSAL_PRESENTATION__171'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__TRANSVERSAL_PRESENTATION__171" onclick="swap_content('span:matroid__TRANSVERSAL_PRESENTATION__171'); return false;"><b>TRANSVERSAL_PRESENTATION</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__TRANSVERSAL_PRESENTATION__171" class="foldit"><div class="descr"><p> A transversal matroid can be defined via a multiset of subsets of the ground set (0,...,n-1)
 (i.e. <a href="#matroid__N_ELEMENTS__166" onclick="unfold('span:matroid__N_ELEMENTS__166');">N_ELEMENTS</a> needs to be specified).
 Its bases are the maximal matchings of the bipartite incidence graph.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__VECTORS__170" onclick="swap_content('span:matroid__VECTORS__170'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__VECTORS__170" onclick="swap_content('span:matroid__VECTORS__170'); return false;"><b>VECTORS</b>:
		</a><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:matroid__VECTORS__170" class="foldit"><div class="descr"><p> If the matroid is realizable over the rationals, this property contains
 coordinates for some realization. Specifying coordinates is one way
 to define a matroid.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Other__110" onclick="swap_content('span:matroid__Other__110'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Other__110" onclick="swap_content('span:matroid__Other__110'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:matroid__Other__110" class="foldit"><div class="descr"><p> Special purpose properties.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__LABELS__169" onclick="swap_content('span:matroid__LABELS__169'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__LABELS__169" onclick="swap_content('span:matroid__LABELS__169'); return false;"><b>LABELS</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:matroid__LABELS__169" class="foldit"><div class="descr"><p> Unique names assigned to the elements of the matroid.</p><p> For a matroid build from scratch, you should create this property by yourself.
 If you build the matroid with a construction client, (e.g. <a href="#matroid__matroid_from_graph__24" onclick="unfold('span:matroid__matroid_from_graph__24');">matroid_from_graph</a>)
 the labels may be assigend for you in a meaningful way.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of Matroid</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__Advanced_properties__103" onclick="swap_content('span:matroid__Advanced_properties__103'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Advanced_properties__103" onclick="swap_content('span:matroid__Advanced_properties__103'); return false;"><span class="category">Advanced properties</span></a></h3></div><div style="display: inline" id="span:matroid__Advanced_properties__103" class="foldit"><div class="descr"><p> More complex properties of the matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__COTRANSVERSAL__121" onclick="swap_content('span:matroid__COTRANSVERSAL__121'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__COTRANSVERSAL__121" onclick="swap_content('span:matroid__COTRANSVERSAL__121'); return false;"><b>COTRANSVERSAL</b></a>
			()  

			<div style="display: inline" id="span:matroid__COTRANSVERSAL__121" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Whether the dual of the matroid is transversal,
 i.e. same as <a href="#matroid__TRANSVERSAL__153" onclick="unfold('span:matroid__TRANSVERSAL__153');">DUAL.TRANSVERSAL</a></p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__is_isomorphic_to__120" onclick="swap_content('span:matroid__is_isomorphic_to__120'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__is_isomorphic_to__120" onclick="swap_content('span:matroid__is_isomorphic_to__120'); return false;"><b>is_isomorphic_to</b></a>
			(M)  

			
				→ Bool<div style="display: inline" id="span:matroid__is_isomorphic_to__120" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td><div class="descr"><div>Whether this matroid is isomorphic to M</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__STRICT_GAMMOID__119" onclick="swap_content('span:matroid__STRICT_GAMMOID__119'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__STRICT_GAMMOID__119" onclick="swap_content('span:matroid__STRICT_GAMMOID__119'); return false;"><b>STRICT_GAMMOID</b></a>
			()  

			<div style="display: inline" id="span:matroid__STRICT_GAMMOID__119" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Alias for <a href="#matroid__COTRANSVERSAL__121" onclick="unfold('span:matroid__COTRANSVERSAL__121');">COTRANSVERSAL</a></p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Axiom_systems__102" onclick="swap_content('span:matroid__Axiom_systems__102'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Axiom_systems__102" onclick="swap_content('span:matroid__Axiom_systems__102'); return false;"><span class="category">Axiom systems</span></a></h3></div><div style="display: inline" id="span:matroid__Axiom_systems__102" class="foldit"><div class="descr"><p> These are methods that form (part of) an axiom system defining a matroid.
 Most of these can be used to create a matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__COCIRCUITS__118" onclick="swap_content('span:matroid__COCIRCUITS__118'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__COCIRCUITS__118" onclick="swap_content('span:matroid__COCIRCUITS__118'); return false;"><b>COCIRCUITS</b></a>
			()  

			<div style="display: inline" id="span:matroid__COCIRCUITS__118" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__COLOOPS__117" onclick="swap_content('span:matroid__COLOOPS__117'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__COLOOPS__117" onclick="swap_content('span:matroid__COLOOPS__117'); return false;"><b>COLOOPS</b></a>
			()  

			<div style="display: inline" id="span:matroid__COLOOPS__117" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__rank__116" onclick="swap_content('span:matroid__rank__116'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__rank__116" onclick="swap_content('span:matroid__rank__116'); return false;"><b>rank</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:matroid__rank__116" class="foldit"><br/><div class="descr_func"><div class="descr"><p> calculate the rank of a set with respect to a given matroid</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Enumerative_properties__101" onclick="swap_content('span:matroid__Enumerative_properties__101'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Enumerative_properties__101" onclick="swap_content('span:matroid__Enumerative_properties__101'); return false;"><span class="category">Enumerative properties</span></a></h3></div><div style="display: inline" id="span:matroid__Enumerative_properties__101" class="foldit"><div class="descr"><p> These are methods of a matroid that count something.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__N_COCIRCUITS__115" onclick="swap_content('span:matroid__N_COCIRCUITS__115'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_COCIRCUITS__115" onclick="swap_content('span:matroid__N_COCIRCUITS__115'); return false;"><b>N_COCIRCUITS</b></a>
			()  

			<div style="display: inline" id="span:matroid__N_COCIRCUITS__115" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__N_COLOOPS__114" onclick="swap_content('span:matroid__N_COLOOPS__114'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__N_COLOOPS__114" onclick="swap_content('span:matroid__N_COLOOPS__114'); return false;"><b>N_COLOOPS</b></a>
			()  

			<div style="display: inline" id="span:matroid__N_COLOOPS__114" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of Matroid</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__BasesPerm__104" onclick="swap_content('span:matroid__BasesPerm__104'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__BasesPerm__104" onclick="swap_content('span:matroid__BasesPerm__104'); return false;"><b>BasesPerm</b></a><div style="display: inline" id="span:matroid__BasesPerm__104" class="foldit"><div class="descr"><p> permuting the <a href="#matroid__BASES__156" onclick="unfold('span:matroid__BASES__156');">BASES</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__HyperplanePerm__105" onclick="swap_content('span:matroid__HyperplanePerm__105'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__HyperplanePerm__105" onclick="swap_content('span:matroid__HyperplanePerm__105'); return false;"><b>HyperplanePerm</b></a><div style="display: inline" id="span:matroid__HyperplanePerm__105" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__ValuatedMatroid__19" onclick="swap_content('span:matroid__ValuatedMatroid__19'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="matroid__ValuatedMatroid__19" onclick="swap_content('span:matroid__ValuatedMatroid__19'); return false;"><span class="object">ValuatedMatroid</span></a></h3></div><div style="display: inline" id="span:matroid__ValuatedMatroid__19" class="foldit"><div class="descr"><p> A valuated matroid. It is given by a matroid and some form of valuation, either on bases
 or circuits. It has two template parameters:
 Addition: Either Min or Max. Has no default.
 Scalar: An ordered group in which the valuation lives, Rational by default.</p></div><b>derived from: </b><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a><br/><div class="level3"/><h4>Properties of ValuatedMatroid</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__Combinatorics__113" onclick="swap_content('span:matroid__Combinatorics__113'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Combinatorics__113" onclick="swap_content('span:matroid__Combinatorics__113'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:matroid__Combinatorics__113" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__SUBDIVISION__174" onclick="swap_content('span:matroid__SUBDIVISION__174'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__SUBDIVISION__174" onclick="swap_content('span:matroid__SUBDIVISION__174'); return false;"><b>SUBDIVISION</b>:
		</a><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:matroid__SUBDIVISION__174" class="foldit"><div class="descr"><p> This is the matroid subdivision of <a href="#matroid__POLYTOPE__126" onclick="unfold('span:matroid__POLYTOPE__126');">POLYTOPE</a> according to the lifting defined by 
 <a href="#matroid__VALUATION_ON_BASES__172" onclick="unfold('span:matroid__VALUATION_ON_BASES__172');">VALUATION_ON_BASES</a> (or minus <a href="#matroid__VALUATION_ON_BASES__172" onclick="unfold('span:matroid__VALUATION_ON_BASES__172');">VALUATION_ON_BASES</a> in the case of max).</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Valuation__112" onclick="swap_content('span:matroid__Valuation__112'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Valuation__112" onclick="swap_content('span:matroid__Valuation__112'); return false;"><span class="category">Valuation</span></a></h3></div><div style="display: inline" id="span:matroid__Valuation__112" class="foldit"><div class="descr"><p> properties related to the valuation of the matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__VALUATION_ON_BASES__172" onclick="swap_content('span:matroid__VALUATION_ON_BASES__172'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__VALUATION_ON_BASES__172" onclick="swap_content('span:matroid__VALUATION_ON_BASES__172'); return false;"><b>VALUATION_ON_BASES</b>:
		</a><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">common::Vector</a><br/><div style="display: inline" id="span:matroid__VALUATION_ON_BASES__172" class="foldit"><div class="descr"><p> Defines a valuation on each basis. Entry number i is a valuation on 
 the i-th element of <a href="#matroid__BASES__156" onclick="unfold('span:matroid__BASES__156');">BASES</a>. Must fulfill the tropical Plücker relations.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__VALUATION_ON_CIRCUITS__173" onclick="swap_content('span:matroid__VALUATION_ON_CIRCUITS__173'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__VALUATION_ON_CIRCUITS__173" onclick="swap_content('span:matroid__VALUATION_ON_CIRCUITS__173'); return false;"><b>VALUATION_ON_CIRCUITS</b>:
		</a><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">common::Matrix</a><br/><div style="display: inline" id="span:matroid__VALUATION_ON_CIRCUITS__173" class="foldit"><div class="descr"><p> Defines a valuation on each circuit. Row i is a representative of 
 the i-th element of <a href="#matroid__CIRCUITS__158" onclick="unfold('span:matroid__CIRCUITS__158');">CIRCUITS</a>. Must fulfill the tropical circuit
 valuation axioms. The representative is normalized such that the first
 non-tropical-zero entry is 0.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__Advanced_properties__13" onclick="swap_content('span:matroid__Advanced_properties__13'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Advanced_properties__13" onclick="swap_content('span:matroid__Advanced_properties__13'); return false;"><span class="category">Advanced properties</span></a></h3></div><div style="display: inline" id="span:matroid__Advanced_properties__13" class="foldit"><div class="descr"><p> More complex properties of the matroid.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__check_transversality__44" onclick="swap_content('span:matroid__check_transversality__44'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_transversality__44" onclick="swap_content('span:matroid__check_transversality__44'); return false;"><b>check_transversality</b></a>
			(M)  

			
				→ List<div style="display: inline" id="span:matroid__check_transversality__44" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether a matroid is transversal.
 If so, returns one possible transversal presentation</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List</a></td><td><div class="descr"><div>(Bool, Array&lt;Set&lt;Int&gt; &gt;)
 First a bool indicating whether M is transversal
 If this is true, the second entry is a transversal presentation</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Computes whether the uniform matroid of rank 3 on 4 elements is transversal.<code>&gt; @a = check_transversality(uniform_matroid(3,4));</code><code>&gt; print $a[0];</code><code> 1</code><code>&gt; print $a[1];</code><code> {0 1 2 3}</code><code> {0 1 2 3}</code><code> {0 1 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__is_nested_matroid__43" onclick="swap_content('span:matroid__is_nested_matroid__43'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__is_nested_matroid__43" onclick="swap_content('span:matroid__is_nested_matroid__43'); return false;"><b>is_nested_matroid</b></a>
			(M)  

			
				→ Bool<div style="display: inline" id="span:matroid__is_nested_matroid__43" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether a matroid is nested, i.e. its lattice of cyclic flats is a chain.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td><div class="descr"><div>Whether M is nested.</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Combinatorics__15" onclick="swap_content('span:matroid__Combinatorics__15'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Combinatorics__15" onclick="swap_content('span:matroid__Combinatorics__15'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:matroid__Combinatorics__15" class="foldit"><div class="descr"><p> These functions capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__4ti2Circuits__75" onclick="swap_content('span:matroid__4ti2Circuits__75'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__4ti2Circuits__75" onclick="swap_content('span:matroid__4ti2Circuits__75'); return false;"><b>_4ti2Circuits</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:matroid__4ti2Circuits__75" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the circuits of a set of points given as the rows of a Matrix A.
 The circuits are given as a matrix such that vA=0 for all rows v.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td class="param">A</td><td><div class="descr"><div>Matrix containing the points as rows.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Other__16" onclick="swap_content('span:matroid__Other__16'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Other__16" onclick="swap_content('span:matroid__Other__16'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:matroid__Other__16" class="foldit"><div class="descr"><p> Special purpose functions.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__bases_from_revlex_encoding__79" onclick="swap_content('span:matroid__bases_from_revlex_encoding__79'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__bases_from_revlex_encoding__79" onclick="swap_content('span:matroid__bases_from_revlex_encoding__79'); return false;"><b>bases_from_revlex_encoding</b></a>
			(encoding, r, n)  

			
				→ Array&lt;Set&gt;<div style="display: inline" id="span:matroid__bases_from_revlex_encoding__79" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Decode the bases of a given matroid from a string containing
 all possible binom(n,r) tuples of indices in revlex order.
 If the current tuple is a basis, a '*' is recorded, else a '0'.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">encoding</td><td><div class="descr"><div>the revlex encoding of the list of bases of the matroid</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td><div class="descr"><div>the rank of the matroid</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of elements of the matroid</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>whether to construct the dual matroid instead</div></div></td></tr><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">check_basis_exchange_axiom</td><td><div class="descr"><div>whether to perform the check of the axiom after construction</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__bases_to_revlex_encoding__78" onclick="swap_content('span:matroid__bases_to_revlex_encoding__78'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__bases_to_revlex_encoding__78" onclick="swap_content('span:matroid__bases_to_revlex_encoding__78'); return false;"><b>bases_to_revlex_encoding</b></a>
			(bases, r, n)  

			
				→ String<div style="display: inline" id="span:matroid__bases_to_revlex_encoding__78" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Encode the bases of a given matroid as a string.
 All possible binom(n,r) tuples of indices are traversed in revlex order.
 If the current tuple is a basis, a '*' is recorded, else a '0'.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">bases</td><td><div class="descr"><div>the list of bases of the matroid</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td><div class="descr"><div>the rank of the matroid</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of elements of the matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__check_basis_exchange_axiom__83" onclick="swap_content('span:matroid__check_basis_exchange_axiom__83'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_basis_exchange_axiom__83" onclick="swap_content('span:matroid__check_basis_exchange_axiom__83'); return false;"><b>check_basis_exchange_axiom</b></a>
			(a)  

			
				→ Int<div style="display: inline" id="span:matroid__check_basis_exchange_axiom__83" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a given list of sets satisfies the axioms to be the bases of a matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">a</td><td><div class="descr"><div>list of would-be bases of a matroid</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print a proof if the given sets do not form the set of bases of a matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td><div class="descr"><div>is_matroid are the given sets the bases of a matroid?</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__check_flat_axiom__82" onclick="swap_content('span:matroid__check_flat_axiom__82'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_flat_axiom__82" onclick="swap_content('span:matroid__check_flat_axiom__82'); return false;"><b>check_flat_axiom</b></a>
			(a)  

			
				→ Int<div style="display: inline" id="span:matroid__check_flat_axiom__82" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a given list of sets satisfies the axioms to be the flats of a matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">a</td><td><div class="descr"><div>list of would-be flats of a matroid</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print a proof if the given sets do not form the set of flats of a matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td><div class="descr"><div>are_flats are the given sets the flats of a matroid?</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__check_hyperplane_axiom__81" onclick="swap_content('span:matroid__check_hyperplane_axiom__81'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_hyperplane_axiom__81" onclick="swap_content('span:matroid__check_hyperplane_axiom__81'); return false;"><b>check_hyperplane_axiom</b></a>
			(a)  

			
				→ Int<div style="display: inline" id="span:matroid__check_hyperplane_axiom__81" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a given list of sets satisfies the axioms to be the hyperplanes of a matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">a</td><td><div class="descr"><div>list of would-be hyperplanes of a matroid</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print a proof if the given sets do not form the set of hyperplanes of a matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td><div class="descr"><div>are_hyperplanes are the given sets the hyperplanes of a matroid?</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__check_valuated_basis_axioms__86" onclick="swap_content('span:matroid__check_valuated_basis_axioms__86'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_valuated_basis_axioms__86" onclick="swap_content('span:matroid__check_valuated_basis_axioms__86'); return false;"><b>check_valuated_basis_axioms</b></a>
			(bases, valuation)  

			
				→ Bool<div style="display: inline" id="span:matroid__check_valuated_basis_axioms__86" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes a list of sets and a vector of valuations and checks
 if they fulfill the valuated basis axioms</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;Int&gt; &gt;</a></td><td class="param">bases</td><td/></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector&lt;TropicalNumber&lt;Addition,Scalar&gt; &gt;</a></td><td class="param">valuation</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>. Whether the function should output when
 some axiom is not fulfilled. False by default.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td><div class="descr"><div>. Whether this is a basis valuation</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__check_valuated_circuit_axioms__84" onclick="swap_content('span:matroid__check_valuated_circuit_axioms__84'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__check_valuated_circuit_axioms__84" onclick="swap_content('span:matroid__check_valuated_circuit_axioms__84'); return false;"><b>check_valuated_circuit_axioms</b></a>
			(M)  

			
				→ Bool<div style="display: inline" id="span:matroid__check_valuated_circuit_axioms__84" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes a matrix of TropicalNumbers and checks if the rows
 fulfill the valuated circuit axioms</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Matrix__291" onclick="unfold('span:common__Matrix__291');">Matrix&lt;TropicalNumber&lt;Addition,Scalar&gt; &gt;</a></td><td class="param">M</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>. Whether the function should output when
 some axiom is not fulfilled. False by default.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td><div class="descr"><div>. Whether the matrix is a circuit valuation</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__internal_activity__85" onclick="swap_content('span:matroid__internal_activity__85'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__internal_activity__85" onclick="swap_content('span:matroid__internal_activity__85'); return false;"><b>internal_activity</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:matroid__internal_activity__85" class="foldit"><br/><div class="descr_func"><div class="descr"><p> calculate the internal activity of a base with respect to a given ordering of all bases.
 Let the given base B = B_j be the j-th one in the given ordering B_1, B_2, ...
 The internal activity of B_j is the number of "necessary" elements in B_j,
 i.e., the number of elements i in B_j such that B_j - {i} is not a subset of any B_k, k&lt;j.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__is_modular_cut__77" onclick="swap_content('span:matroid__is_modular_cut__77'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__is_modular_cut__77" onclick="swap_content('span:matroid__is_modular_cut__77'); return false;"><b>is_modular_cut</b></a>
			(M, C)  

			
				→ Bool<div style="display: inline" id="span:matroid__is_modular_cut__77" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a subset of the lattice of flats of a matroid is a modular cut</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>the matroid</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">C</td><td><div class="descr"><div>a list of flats to check if they form a modular cut in M</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print diagnostic message in case C is not a modular cut; default is true</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__matroid_plueckervector__76" onclick="swap_content('span:matroid__matroid_plueckervector__76'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__matroid_plueckervector__76" onclick="swap_content('span:matroid__matroid_plueckervector__76'); return false;"><b>matroid_plueckervector</b></a>
			(m)  

			
				→ List<div style="display: inline" id="span:matroid__matroid_plueckervector__76" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the characteristic- and the rank-plueckervector of a matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__318" onclick="unfold('span:common__List__318');">List</a></td><td><div class="descr"><div>(Vector&lt;Integer&gt;, Vector&lt;Integer&gt;)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__minimal_base__80" onclick="swap_content('span:matroid__minimal_base__80'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__minimal_base__80" onclick="swap_content('span:matroid__minimal_base__80'); return false;"><b>minimal_base</b></a>
			(matroid, weights)  

			
				→ Set<div style="display: inline" id="span:matroid__minimal_base__80" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculates a minimal weight basis.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">matroid</td><td/></tr><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector</a></td><td class="param">weights</td><td><div class="descr"><div>for the elements of the matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set</a></td><td><div class="descr"><div>minimal weight basis</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Producing_a_matroid_from_matroids__12" onclick="swap_content('span:matroid__Producing_a_matroid_from_matroids__12'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Producing_a_matroid_from_matroids__12" onclick="swap_content('span:matroid__Producing_a_matroid_from_matroids__12'); return false;"><span class="category">Producing a matroid from matroids</span></a></h3></div><div style="display: inline" id="span:matroid__Producing_a_matroid_from_matroids__12" class="foldit"><div class="descr"><p> These functions construct a new <a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a> from other objects of the same type.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__contraction__33" onclick="swap_content('span:matroid__contraction__33'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__contraction__33" onclick="swap_content('span:matroid__contraction__33'); return false;"><b>contraction</b></a>
			(m, S)  

			
				→ Matroid<div style="display: inline" id="span:matroid__contraction__33" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">contraction</em> of set <em class="param">S</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">S</td><td><div class="descr"><div>indices of elements to be contracted</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">computed_properties</td><td><div class="descr"><div>This is a list of property names. Allowed are
 BASES, CIRCUITS and VECTORS. If given, only these properties will be computed
 from their counterparts in <em class="param">m</em>. If none is given, the default is BASES</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This takes the uniform matroid of rank 2 on 3 elements and contracts the first
 two elements. It first only computes CIRCUITS and VECTORS, not BASES.
 The second computation only computes the bases.<code>&gt; $u = uniform_matroid(2,3);</code><code>&gt; $d = contraction( $u, (new Set([0,1])), computed_properties=&gt;[qw(CIRCUITS VECTORS)]);</code><code>&gt; print join(",",$d-&gt;list_properties());</code><code> N_ELEMENTS,CIRCUITS,VECTORS</code><code>&gt; $d2 = contraction($u, new Set([0,1]));</code><code>&gt; print join(",",$d2-&gt;list_properties());</code><code> N_ELEMENTS,BASES</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__overload_1__96" onclick="swap_content('span:matroid__overload_1__96'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__overload_1__96" onclick="swap_content('span:matroid__overload_1__96'); return false;"><b>contraction</b></a>
			(m, x)  

			
				→ Matroid<div style="display: inline" id="span:matroid__overload_1__96" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">contraction</em> of element <em class="param">x</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">x</td><td><div class="descr"><div>index of element to be contracted</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">computed_properties</td><td><div class="descr"><div>This is a list of property names. Allowed are
 BASES, CIRCUITS and VECTORS. If given, only these properties will be computed
 from their counterparts in <em class="param">m</em>. If none is given, the default is BASES</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__deletion__34" onclick="swap_content('span:matroid__deletion__34'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__deletion__34" onclick="swap_content('span:matroid__deletion__34'); return false;"><b>deletion</b></a>
			(m, S)  

			
				→ Matroid<div style="display: inline" id="span:matroid__deletion__34" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">deletion</em> of set <em class="param">S</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">S</td><td><div class="descr"><div>indices of elements to be deleted</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">computed_properties</td><td><div class="descr"><div>This is a list of property names. Allowed are
 BASES, CIRCUITS and VECTORS. If given, only these properties will be computed
 from their counterparts in <em class="param">m</em>. If none is given, the default is BASES</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This takes the uniform matroid of rank 2 on 3 elements and deletes the first
 two elements. It first only computes CIRCUITS and VECTORS, not BASES.
 The second computation only computes the bases.<code>&gt; $u = uniform_matroid(2,3);</code><code>&gt; $d = deletion( $u, (new Set([0,1])), computed_properties=&gt;[qw(CIRCUITS VECTORS)]);</code><code>&gt; print join(",",$d-&gt;list_properties());</code><code> N_ELEMENTS,CIRCUITS,VECTORS</code><code>&gt; $d2 = deletion($u, new Set([0,1]));</code><code>&gt; print join(",",$d2-&gt;list_properties());</code><code> N_ELEMENTS,BASES</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__overload_1__98" onclick="swap_content('span:matroid__overload_1__98'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__overload_1__98" onclick="swap_content('span:matroid__overload_1__98'); return false;"><b>deletion</b></a>
			(m, x)  

			
				→ Matroid<div style="display: inline" id="span:matroid__overload_1__98" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">deletion</em> of element <em class="param">x</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">x</td><td><div class="descr"><div>index of element to be deleted</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;String&gt;</a></td><td class="param">computed_properties</td><td><div class="descr"><div>This is a list of property names. Allowed are
 BASES, CIRCUITS and VECTORS. If given, only these properties will be computed
 from their counterparts in <em class="param">m</em>. If none is given, the default is BASES</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__direct_sum__28" onclick="swap_content('span:matroid__direct_sum__28'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__direct_sum__28" onclick="swap_content('span:matroid__direct_sum__28'); return false;"><b>direct_sum</b></a>
			(m_1, m_2)  

			
				→ Matroid<div style="display: inline" id="span:matroid__direct_sum__28" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The direct sum of matroids m1 and m2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__dual__40" onclick="swap_content('span:matroid__dual__40'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__dual__40" onclick="swap_content('span:matroid__dual__40'); return false;"><b>dual</b></a>
			(m)  

			
				→ Matroid<div style="display: inline" id="span:matroid__dual__40" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the <em class="u">dual</em> of a given matroid <em class="param">m</em>.
 Not quite the same as calling m-&gt;<a href="#matroid__DUAL__122" onclick="unfold('span:matroid__DUAL__122');">DUAL</a>. The latter returns a subobject and properties of this subobject
 are only computed upon demand.
 This function returns the dual as an independent object by computing its <a href="#matroid__BASES__156" onclick="unfold('span:matroid__BASES__156');">BASES</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td><div class="descr"/></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"/></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__overload_1__99" onclick="swap_content('span:matroid__overload_1__99'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__overload_1__99" onclick="swap_content('span:matroid__overload_1__99'); return false;"><b>dual</b></a>
			(M)  

			
				→ ValuatedMatroid&lt;Addition,Scalar&gt;<div style="display: inline" id="span:matroid__overload_1__99" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the dual of a valuated matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__ValuatedMatroid__19" onclick="unfold('span:matroid__ValuatedMatroid__19');">ValuatedMatroid&lt;Addition,Scalar&gt;</a></td><td class="param">M</td><td><div class="descr"><div>A valuated matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__ValuatedMatroid__19" onclick="unfold('span:matroid__ValuatedMatroid__19');">ValuatedMatroid&lt;Addition,Scalar&gt;</a></td><td><div class="descr"><div>The dual valuated matroid.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__free_extension__30" onclick="swap_content('span:matroid__free_extension__30'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__free_extension__30" onclick="swap_content('span:matroid__free_extension__30'); return false;"><b>free_extension</b></a>
			(M)  

			
				→ Matroid<div style="display: inline" id="span:matroid__free_extension__30" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the free extension of a matroid, i.e. the <a href="#matroid__principal_extension__31" onclick="unfold('span:matroid__principal_extension__31');">principal_extension</a>, with F
 the full ground set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The free extension of M</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__higgs_lift__41" onclick="swap_content('span:matroid__higgs_lift__41'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__higgs_lift__41" onclick="swap_content('span:matroid__higgs_lift__41'); return false;"><b>higgs_lift</b></a>
			(M)  

			
				→ Matroid<div style="display: inline" id="span:matroid__higgs_lift__41" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the Higgs lift of a matroid, i.e. the <a href="#matroid__principal_lift__36" onclick="unfold('span:matroid__principal_lift__36');">principal_lift</a> with respect to the
 full ground set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The Higgs lift L_E(M)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__intersection__38" onclick="swap_content('span:matroid__intersection__38'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__intersection__38" onclick="swap_content('span:matroid__intersection__38'); return false;"><b>intersection</b></a>
			(M)  

			
				→ Matroid<div style="display: inline" id="span:matroid__intersection__38" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the intersection of a list of matroids.
 Intersection is the dual of matroid union v, i.e.
 the intersection of M and N is (M* v N*)*</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A list of matroids, defined on the same ground set.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The intersection of all matroids in M</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__lex_extension__35" onclick="swap_content('span:matroid__lex_extension__35'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__lex_extension__35" onclick="swap_content('span:matroid__lex_extension__35'); return false;"><b>lex_extension</b></a>
			(M, C)  

			
				→ Matroid<div style="display: inline" id="span:matroid__lex_extension__35" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the lexicographic extension of a matroid in a modular cut</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>the original matroid to be extended</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&gt;</a></td><td class="param">C</td><td><div class="descr"><div>a list of flats that form a modular cut in M</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">check_modular_cut</td><td><div class="descr"><div>whether to check if C in fact is a modular cut; default is true</div></div></td></tr><tr><td><a href="common.html#common__Bool__320" onclick="unfold('span:common__Bool__320');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print diagnostic message in case C is not a modular cut; default is true</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__parallel_extension__27" onclick="swap_content('span:matroid__parallel_extension__27'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__parallel_extension__27" onclick="swap_content('span:matroid__parallel_extension__27'); return false;"><b>parallel_extension</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:matroid__parallel_extension__27" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The parallel extension of matroids m1 and m2 with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_1</td><td/></tr><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__overload_1__92" onclick="swap_content('span:matroid__overload_1__92'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__overload_1__92" onclick="swap_content('span:matroid__overload_1__92'); return false;"><b>parallel_extension</b></a>
			(m, e)  

			
				→ Matroid<div style="display: inline" id="span:matroid__overload_1__92" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The parallel extension of a matroid m and uniform(1,2) with basepoint e</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__principal_extension__31" onclick="swap_content('span:matroid__principal_extension__31'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__principal_extension__31" onclick="swap_content('span:matroid__principal_extension__31'); return false;"><b>principal_extension</b></a>
			(M, F)  

			
				→ Matroid<div style="display: inline" id="span:matroid__principal_extension__31" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the principal extension of a matroid with respect to a flat.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">F</td><td><div class="descr"><div>A set F, which is a flat of M</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The principal extension M +_F n. If M is a matroid on 
 0 .. n-1, then the principal extension has ground set 0 .. n. Its bases are
 the bases of M, plus the sets B-q+n, where B is a basis of M and q is in B and F.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__principal_lift__36" onclick="swap_content('span:matroid__principal_lift__36'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__principal_lift__36" onclick="swap_content('span:matroid__principal_lift__36'); return false;"><b>principal_lift</b></a>
			(M, F)  

			
				→ Matroid<div style="display: inline" id="span:matroid__principal_lift__36" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the principal lift of a matroid with respect to a flat F</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">F</td><td><div class="descr"><div>A set F, which is a flat of M</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The principal lift L_F(M) = T_F(M*)*, where T_F is the
 <a href="#matroid__principal_truncation__26" onclick="unfold('span:matroid__principal_truncation__26');">principal_truncation</a> and * denotes the dualizing operator</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__principal_truncation__26" onclick="swap_content('span:matroid__principal_truncation__26'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__principal_truncation__26" onclick="swap_content('span:matroid__principal_truncation__26'); return false;"><b>principal_truncation</b></a>
			(M, F)  

			
				→ Matroid<div style="display: inline" id="span:matroid__principal_truncation__26" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the principal truncation of a matroid with respect to a flat.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">F</td><td><div class="descr"><div>A set F, which is a flat of M</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The truncation T_F(M), i.e. the matroid whose bases
 are all sets B-p, where B is a basis of M and p is in F and B.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__series_extension__32" onclick="swap_content('span:matroid__series_extension__32'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__series_extension__32" onclick="swap_content('span:matroid__series_extension__32'); return false;"><b>series_extension</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:matroid__series_extension__32" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The series extension of matroids m1 and m2 with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_1</td><td/></tr><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__overload_1__94" onclick="swap_content('span:matroid__overload_1__94'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__overload_1__94" onclick="swap_content('span:matroid__overload_1__94'); return false;"><b>series_extension</b></a>
			(m, e)  

			
				→ Matroid<div style="display: inline" id="span:matroid__overload_1__94" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The series extension of a matroid m and uniform(1,2) with basepoint e</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__trivial_valuation__29" onclick="swap_content('span:matroid__trivial_valuation__29'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__trivial_valuation__29" onclick="swap_content('span:matroid__trivial_valuation__29'); return false;"><b>trivial_valuation</b></a>
			&lt;Addition&gt;
		 
			(M)  

			
				→ ValuatedMatroid&lt;Addition,Scalar&gt;<div style="display: inline" id="span:matroid__trivial_valuation__29" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This function takes a matroid and gives it the trivial valuation 
 to produce a valuated matroid</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div>The tropical addition to use, i.e. Min or Max</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__ValuatedMatroid__19" onclick="unfold('span:matroid__ValuatedMatroid__19');">ValuatedMatroid&lt;Addition,Scalar&gt;</a></td><td><div class="descr"><div>The matroid with a trivial valuation</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__truncation__39" onclick="swap_content('span:matroid__truncation__39'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__truncation__39" onclick="swap_content('span:matroid__truncation__39'); return false;"><b>truncation</b></a>
			(M)  

			
				→ Matroid<div style="display: inline" id="span:matroid__truncation__39" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the truncation of M, i.e. the <a href="#matroid__principal_truncation__26" onclick="unfold('span:matroid__principal_truncation__26');">principal_truncation</a>, with F
 the full ground set</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The truncation T(M)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__two_sum__37" onclick="swap_content('span:matroid__two_sum__37'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__two_sum__37" onclick="swap_content('span:matroid__two_sum__37'); return false;"><b>two_sum</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:matroid__two_sum__37" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The 2-sum of matroids m1 and m2  with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_1</td><td/></tr><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__union__42" onclick="swap_content('span:matroid__union__42'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__union__42" onclick="swap_content('span:matroid__union__42'); return false;"><b>union</b></a>
			(M)  

			
				→ Matroid<div style="display: inline" id="span:matroid__union__42" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the union of a list of matroids, i.e. the matroid
 whose independent sets are all unions of independent sets
 of the given matroids</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td class="param">M</td><td><div class="descr"><div>A list of matroids, defined on the same ground set.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>The union of all matroids in M</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Producing_a_matroid_from_other_objects__11" onclick="swap_content('span:matroid__Producing_a_matroid_from_other_objects__11'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Producing_a_matroid_from_other_objects__11" onclick="swap_content('span:matroid__Producing_a_matroid_from_other_objects__11'); return false;"><span class="category">Producing a matroid from other objects</span></a></h3></div><div style="display: inline" id="span:matroid__Producing_a_matroid_from_other_objects__11" class="foldit"><div class="descr"><p> These functions construct a new <a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a> from other objects.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__matroid_from_characteristic_vector__22" onclick="swap_content('span:matroid__matroid_from_characteristic_vector__22'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__matroid_from_characteristic_vector__22" onclick="swap_content('span:matroid__matroid_from_characteristic_vector__22'); return false;"><b>matroid_from_characteristic_vector</b></a>
			(v, r, n)  

			
				→ Matroid<div style="display: inline" id="span:matroid__matroid_from_characteristic_vector__22" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the matroid with a given characteristic plueckervector of rank <em class="param">r</em> and a ground set of <em class="param">n</em> elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Vector__292" onclick="unfold('span:common__Vector__292');">Vector&lt;Integer&gt;</a></td><td class="param">v</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__matroid_from_cyclic_flats__21" onclick="swap_content('span:matroid__matroid_from_cyclic_flats__21'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__matroid_from_cyclic_flats__21" onclick="swap_content('span:matroid__matroid_from_cyclic_flats__21'); return false;"><b>matroid_from_cyclic_flats</b></a>
			(F, R, N)  

			
				→ Matroid<div style="display: inline" id="span:matroid__matroid_from_cyclic_flats__21" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the face lattice of the given sets by inclusion.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;int&gt;&gt;</a></td><td class="param">F</td><td><div class="descr"><div>faces of the lattice of cyclic flats</div></div></td></tr><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Set&lt;int&gt;&gt;</a></td><td class="param">R</td><td><div class="descr"><div>ranks of the faces</div></div></td></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">N</td><td><div class="descr"><div>number of elements</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td><div class="descr"><div>matroid with the specified lattice of cylcic flats</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__matroid_from_graph__24" onclick="swap_content('span:matroid__matroid_from_graph__24'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__matroid_from_graph__24" onclick="swap_content('span:matroid__matroid_from_graph__24'); return false;"><b>matroid_from_graph</b></a>
			(g)  

			
				→ Matroid<div style="display: inline" id="span:matroid__matroid_from_graph__24" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a graphical matroid from a graph <em class="param">g</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#graph__Graph__75" onclick="unfold('span:graph__Graph__75');">graph::Graph</a></td><td class="param">g</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__matroid_from_matroid_polytope__25" onclick="swap_content('span:matroid__matroid_from_matroid_polytope__25'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__matroid_from_matroid_polytope__25" onclick="swap_content('span:matroid__matroid_from_matroid_polytope__25'); return false;"><b>matroid_from_matroid_polytope</b></a>
			(p)  

			
				→ Matroid<div style="display: inline" id="span:matroid__matroid_from_matroid_polytope__25" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a matroid from the corresponding matroid
 polytope <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#polytope__Polytope__82" onclick="unfold('span:polytope__Polytope__82');">polytope::Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__positroid_from_decorated_permutation__23" onclick="swap_content('span:matroid__positroid_from_decorated_permutation__23'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__positroid_from_decorated_permutation__23" onclick="swap_content('span:matroid__positroid_from_decorated_permutation__23'); return false;"><b>positroid_from_decorated_permutation</b></a>
			(perm, loops)  

			
				→ Matroid<div style="display: inline" id="span:matroid__positroid_from_decorated_permutation__23" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Producing a positroid from a decorated permuatation</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Array__314" onclick="unfold('span:common__Array__314');">Array&lt;Int&gt;</a></td><td class="param">perm</td><td><div class="descr"><div>a permutation</div></div></td></tr><tr><td><a href="common.html#common__Set__339" onclick="unfold('span:common__Set__339');">Set&lt;Int&gt;</a></td><td class="param">loops</td><td><div class="descr"><div>the loops/decoration</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__Producing_a_matroid_from_scratch__14" onclick="swap_content('span:matroid__Producing_a_matroid_from_scratch__14'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="matroid__Producing_a_matroid_from_scratch__14" onclick="swap_content('span:matroid__Producing_a_matroid_from_scratch__14'); return false;"><span class="category">Producing a matroid from scratch</span></a></h3></div><div style="display: inline" id="span:matroid__Producing_a_matroid_from_scratch__14" class="foldit"><div class="descr"><p> With these clients you can create special examples of matroids belonging to parameterized families.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid__ag23_matroid__57" onclick="swap_content('span:matroid__ag23_matroid__57'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__ag23_matroid__57" onclick="swap_content('span:matroid__ag23_matroid__57'); return false;"><b>ag23_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__ag23_matroid__57" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Configuration of the 9 points in the affine plane AG(2,3).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__ag32_matroid__61" onclick="swap_content('span:matroid__ag32_matroid__61'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__ag32_matroid__61" onclick="swap_content('span:matroid__ag32_matroid__61'); return false;"><b>ag32_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__ag32_matroid__61" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Configuration of all points in the affine 3-space AG(3,2) or the binary affine cube. </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__ag32_prime_matroid__70" onclick="swap_content('span:matroid__ag32_prime_matroid__70'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__ag32_prime_matroid__70" onclick="swap_content('span:matroid__ag32_prime_matroid__70'); return false;"><b>ag32_prime_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__ag32_prime_matroid__70" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The unique relaxation of <a href="#matroid__ag32_matroid__61" onclick="unfold('span:matroid__ag32_matroid__61');">ag32_matroid</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__f8_matroid__58" onclick="swap_content('span:matroid__f8_matroid__58'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__f8_matroid__58" onclick="swap_content('span:matroid__f8_matroid__58'); return false;"><b>f8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__f8_matroid__58" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A minimal non-representable matroid.
 Non-algebraic.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__fano_matroid__52" onclick="swap_content('span:matroid__fano_matroid__52'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__fano_matroid__52" onclick="swap_content('span:matroid__fano_matroid__52'); return false;"><b>fano_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__fano_matroid__52" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the Fano plane matroid of rank 3 with 7 elements.
 Representable over a field of characteristic two.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__j_matroid__49" onclick="swap_content('span:matroid__j_matroid__49'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__j_matroid__49" onclick="swap_content('span:matroid__j_matroid__49'); return false;"><b>j_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__j_matroid__49" class="foldit"><br/><div class="descr_func"><div class="descr"><p> An excluded minor for some properties (see [Oxley:matroid theory (2nd ed.) page 650]).
 Non binary. Algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__l8_matroid__53" onclick="swap_content('span:matroid__l8_matroid__53'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__l8_matroid__53" onclick="swap_content('span:matroid__l8_matroid__53'); return false;"><b>l8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__l8_matroid__53" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The 4-point planes are the six faces of the cube an the two twisted plannes.
 Identically self-dual. Representable over all field with more then 4 elements and algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__n1_matroid__45" onclick="swap_content('span:matroid__n1_matroid__45'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__n1_matroid__45" onclick="swap_content('span:matroid__n1_matroid__45'); return false;"><b>n1_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__n1_matroid__45" class="foldit"><br/><div class="descr_func"><div class="descr"><p> An excluded minor for the dyadic matroids (see [Oxley:matroid theory (2nd ed.) page 558]).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__n2_matroid__48" onclick="swap_content('span:matroid__n2_matroid__48'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__n2_matroid__48" onclick="swap_content('span:matroid__n2_matroid__48'); return false;"><b>n2_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__n2_matroid__48" class="foldit"><br/><div class="descr_func"><div class="descr"><p> An excluded minor for the dyadic matroids (see [Oxley:matroid theory (2nd ed.) page 558]).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__non_fano_matroid__63" onclick="swap_content('span:matroid__non_fano_matroid__63'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__non_fano_matroid__63" onclick="swap_content('span:matroid__non_fano_matroid__63'); return false;"><b>non_fano_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__non_fano_matroid__63" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The embedding into the reals of the seven points that define the Fano matroid.
 Representable if and only if the field has not characteristic 2.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__non_p8_matroid__74" onclick="swap_content('span:matroid__non_p8_matroid__74'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__non_p8_matroid__74" onclick="swap_content('span:matroid__non_p8_matroid__74'); return false;"><b>non_p8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__non_p8_matroid__74" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Obtained  from <a href="#matroid__p8_matroid__71" onclick="unfold('span:matroid__p8_matroid__71');">p8_matroid</a> by relaxing its only pair of disjoint circuit-hyperplanes.  </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__non_pappus_matroid__50" onclick="swap_content('span:matroid__non_pappus_matroid__50'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__non_pappus_matroid__50" onclick="swap_content('span:matroid__non_pappus_matroid__50'); return false;"><b>non_pappus_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__non_pappus_matroid__50" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the matroid encoding the violation of Pappus' Theorem.  Not realizable over any field.
 An excluded minor for all finite fields with more than four elements.
 Algebraic over all field that do not have characteristic 0.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__non_vamos_matroid__55" onclick="swap_content('span:matroid__non_vamos_matroid__55'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__non_vamos_matroid__55" onclick="swap_content('span:matroid__non_vamos_matroid__55'); return false;"><b>non_vamos_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__non_vamos_matroid__55" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A matroid related to the Vamos matroid (see [Oxley:matroid theory (2nd ed.) page 72])</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__o7_matroid__64" onclick="swap_content('span:matroid__o7_matroid__64'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__o7_matroid__64" onclick="swap_content('span:matroid__o7_matroid__64'); return false;"><b>o7_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__o7_matroid__64" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The complement of the rank-3 whirl in PG(2,3).
 Non binary. Algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__p7_matroid__47" onclick="swap_content('span:matroid__p7_matroid__47'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__p7_matroid__47" onclick="swap_content('span:matroid__p7_matroid__47'); return false;"><b>p7_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__p7_matroid__47" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The only other ternary 3-spike apart from the non-Fano matroid.
 Non binary. Algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__p8_matroid__71" onclick="swap_content('span:matroid__p8_matroid__71'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__p8_matroid__71" onclick="swap_content('span:matroid__p8_matroid__71'); return false;"><b>p8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__p8_matroid__71" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The repesentation over the reals is obtained from a 3-cube where one face is rotated by 45°. 
 Non-representable if and only if the characeristic of the field is 2. Algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__pappus_matroid__66" onclick="swap_content('span:matroid__pappus_matroid__66'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__pappus_matroid__66" onclick="swap_content('span:matroid__pappus_matroid__66'); return false;"><b>pappus_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__pappus_matroid__66" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the matroid corresponding to Pappus' Theorem.  
 Realizable if and only if the size of the field is not 2,3 or 5.
 An excluded minor for the field with 5 elements.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__pg23_matroid__67" onclick="swap_content('span:matroid__pg23_matroid__67'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__pg23_matroid__67" onclick="swap_content('span:matroid__pg23_matroid__67'); return false;"><b>pg23_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__pg23_matroid__67" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Configuration of the 13 points in the projective plane PG(2,3).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__projective_plane__56" onclick="swap_content('span:matroid__projective_plane__56'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__projective_plane__56" onclick="swap_content('span:matroid__projective_plane__56'); return false;"><b>projective_plane</b></a>
			(p)  

			
				→ Matroid<div style="display: inline" id="span:matroid__projective_plane__56" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the projective plane matroid of rank 3 with <em class="param">p**2+p+1</em> elements, where p is a prime.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Integer__322" onclick="unfold('span:common__Integer__322');">Integer</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__q3_gf3_star_matroid__69" onclick="swap_content('span:matroid__q3_gf3_star_matroid__69'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__q3_gf3_star_matroid__69" onclick="swap_content('span:matroid__q3_gf3_star_matroid__69'); return false;"><b>q3_gf3_star_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__q3_gf3_star_matroid__69" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The rank-3-ternary Dowling Geometry.
 Representable if and only if the field has not characteristic 2.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__q8_matroid__62" onclick="swap_content('span:matroid__q8_matroid__62'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__q8_matroid__62" onclick="swap_content('span:matroid__q8_matroid__62'); return false;"><b>q8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__q8_matroid__62" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A minimal non-representable matroid.
 An excluded minor for fields that are not of characteristic 2 or have 3 elements.  Non-algebraic.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__r10_matroid__68" onclick="swap_content('span:matroid__r10_matroid__68'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__r10_matroid__68" onclick="swap_content('span:matroid__r10_matroid__68'); return false;"><b>r10_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__r10_matroid__68" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A regular matroid that's not graphical nor cographical.
 Algebraic over all fields.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__r8_matroid__59" onclick="swap_content('span:matroid__r8_matroid__59'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__r8_matroid__59" onclick="swap_content('span:matroid__r8_matroid__59'); return false;"><b>r8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__r8_matroid__59" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The real affine cube.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__r9a_matroid__54" onclick="swap_content('span:matroid__r9a_matroid__54'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__r9a_matroid__54" onclick="swap_content('span:matroid__r9a_matroid__54'); return false;"><b>r9a_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__r9a_matroid__54" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Not representable over any field.
 Taken from http://doc.sagemath.org/html/en/reference/matroids/sage/matroids/catalog.html</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__r9b_matroid__72" onclick="swap_content('span:matroid__r9b_matroid__72'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__r9b_matroid__72" onclick="swap_content('span:matroid__r9b_matroid__72'); return false;"><b>r9b_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__r9b_matroid__72" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Not representable over any field.
 Taken from http://doc.sagemath.org/html/en/reference/matroids/sage/matroids/catalog.html</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__special_matroid__65" onclick="swap_content('span:matroid__special_matroid__65'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__special_matroid__65" onclick="swap_content('span:matroid__special_matroid__65'); return false;"><b>special_matroid</b></a>
			(s)  

			<div style="display: inline" id="span:matroid__special_matroid__65" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This function can be used to ask for various special matroids, most of which occur in Oxley's book
 [Oxley: Matroid theory (2nd ed.)]. There is a separate function for each of these matroids.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__312" onclick="unfold('span:common__String__312');">String</a></td><td class="param">s</td><td><div class="descr"><div>The name of the matroid</div><div>Possible values:</div><dl><dt>'ag23'</dt><dd>Configuration of the 9 points in the affine plane AG(2,3).
</dd><dt>'ag32'</dt><dd>Configuration of all points in the affine 3-space AG(3,2) or the binary affine cube. 
</dd><dt>'ag32_prime'</dt><dd>The unique relaxation of <a href="#matroid__ag32_matroid__61" onclick="unfold('span:matroid__ag32_matroid__61');">ag32_matroid</a>.
</dd><dt>'fano'</dt><dd>The Fano matroid
</dd><dt>'f8'</dt><dd>A minimal non-representable matroid. Also non-algebraic.
</dd><dt>'j'</dt><dd>An excluded minor for some properties (see [Oxley:matroid theory (2nd ed.) page 650]). Not binary. Algebraic over all fields.
</dd><dt>'l8'</dt><dd>The 4-point planes are the six faces of the cube an the two twisted plannes. Identically self-dual. Representable over all field with more then 4 elements and algebraic over all fields.
</dd><dt>'n1'</dt><dd>An excluded minor for the dyadic matroids (see [Oxley:matroid theory (2nd ed.) page 558]).
</dd><dt>'n2'</dt><dd>An excluded minor for the dyadic matroids (see [Oxley:matroid theory (2nd ed.) page 558]).
</dd><dt>'o7'</dt><dd>The complement of the rank-3 whirl in PG(2,3). Non binary. Algebraic over all fields.
</dd><dt>'p7'</dt><dd>The only other ternary 3-spike apart from the non-Fano matroid. Non binary. Algebraic over all fields.
</dd><dt>'p8'</dt><dd>The repesentation over the reals is obtained from a 3-cube where one face is rotated by 45°. Non-representable if and only if the characeristic of the field is 2. Algebraic over all fields.
</dd><dt>'non_p8'</dt><dd>Obtained  from <a href="#matroid__p8_matroid__71" onclick="unfold('span:matroid__p8_matroid__71');">p8_matroid</a> by relaxing its only pair of disjoint circuit-hyperplanes. 
</dd><dt>'pappus'</dt><dd>The Pappus matroid
</dd><dt>'non_pappus'</dt><dd>The non-Pappus matroid
</dd><dt>'pg23'</dt><dd>Configuration of the 13 points in the projective plane PG(2,3).
</dd><dt>'q3_gf3_star'</dt><dd>The rank-3-ternary Dowling Geometry. Representable if and only if the field has not characteristic 2.
</dd><dt>'q8'</dt><dd>A minimal non-representable matroid. An excluded minor for fields that are not of characteristic 2 or have 3 elements.  Non-algebraic.
</dd><dt>'r8'</dt><dd>The real affine cube.
</dd><dt>'r9a'</dt><dd>Not representable over any field. Taken from http://doc.sagemath.org/html/en/reference/matroids/sage/matroids/catalog.html
</dd><dt>'r9b'</dt><dd>Not representable over any field. Taken from http://doc.sagemath.org/html/en/reference/matroids/sage/matroids/catalog.html
</dd><dt>'r10'</dt><dd>A regular matroid that's not graphical nor cographical. Algebraic over all fields.
</dd><dt>'t8'</dt><dd>Representable if and only if the field has characteristic 3. An excluded minor for fields that are not of characteristic 2 or 3.
</dd><dt>'vamos'</dt><dd>The Vamos matroid
</dd><dt>'non_vamos'</dt><dd>The non-Vamos matroid
</dd><dt>'wheel4'</dt><dd>The 4-wheel
</dd><dt>'non_fano'</dt><dd>The non-Fano matroid
</dd></dl></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__t8_matroid__60" onclick="swap_content('span:matroid__t8_matroid__60'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__t8_matroid__60" onclick="swap_content('span:matroid__t8_matroid__60'); return false;"><b>t8_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__t8_matroid__60" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Representable if and only if the field has characteristic 3.
 An excluded minor for fields that are not of characteristic 2 or 3.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__uniform_matroid__46" onclick="swap_content('span:matroid__uniform_matroid__46'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__uniform_matroid__46" onclick="swap_content('span:matroid__uniform_matroid__46'); return false;"><b>uniform_matroid</b></a>
			(r, n)  

			
				→ Matroid<div style="display: inline" id="span:matroid__uniform_matroid__46" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the uniform matroid of rank <em class="param">r</em> with <em class="param">n</em> elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">r</td><td/></tr><tr><td><a href="common.html#common__Int__316" onclick="unfold('span:common__Int__316');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__vamos_matroid__51" onclick="swap_content('span:matroid__vamos_matroid__51'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__vamos_matroid__51" onclick="swap_content('span:matroid__vamos_matroid__51'); return false;"><b>vamos_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__vamos_matroid__51" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A minimal non-representable matroid.
 An excluded minor for all finite fields with more than four elements.
 Non-algebraic.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid__wheel4_matroid__73" onclick="swap_content('span:matroid__wheel4_matroid__73'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid__wheel4_matroid__73" onclick="swap_content('span:matroid__wheel4_matroid__73'); return false;"><b>wheel4_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:matroid__wheel4_matroid__73" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The rank-4 wheel.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#matroid__Matroid__18" onclick="unfold('span:matroid__Matroid__18');">Matroid</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div>
